GNU Image Manipulation Program
GNU Image Manipulation Program
Preface
Preface
GIMP User Manual Authors and Contributors
Section 1, “GIMP User Manual Authors and Contributors”
Getting Started
Part I, “Getting Started”
Introduction
Chapter 1, Introduction
Welcome to GIMP
Section 1, “Welcome to GIMP”
Authors
Section 1.1, “Authors”
The GIMP Help system
Section 1.2, “The GIMP Help system”
Features and Capabilities
Section 1.3, “Features and Capabilities”
What's new in GIMP 2.10?
Section 2, “What's new in GIMP 2.10? ”
Updated user interface and initial HiDPI support
Section 2.1, “Updated user interface and initial HiDPI support”
GEGL port, high bit depth support, multi-threading, and more
Section 2.2, “GEGL port, high bit depth support, multi-threading, and more”
Linear color space workflow
Section 2.3, “Linear color space workflow”
Color management revamped
Section 2.4, “Color management revamped”
Layers and masks
Section 2.5, “Layers and masks”
More use for CIE LAB and CIE LCH
Section 2.6, “More use for CIE LAB and CIE LCH”
New and improved tools
Section 2.7, “New and improved tools”
Unified Transform
Section 2.7.1, “Unified Transform”
Warp Transform
Section 2.7.2, “Warp Transform”
Handle Transform
Section 2.7.3, “Handle Transform”
Blend tool becomes Gradient tool and gets on-canvas editing
Section 2.7.4, “Blend tool becomes Gradient tool and gets on-canvas editing”
Better selection tools
Section 2.7.5, “Better selection tools”
Color tools
Section 2.7.6, “Color tools”
Text tool supports CJK and more writing systems
Section 2.7.7, “Text tool supports CJK and more writing systems”
Experimental tools
Section 2.7.8, “Experimental tools”
Digital painting improvements
Section 2.8, “Digital painting improvements”
Digital photography improvements
Section 2.9, “Digital photography improvements”
Effects
Section 2.10, “Effects”
Usability improvements
Section 2.11, “Usability improvements”
File formats support
Section 2.12, “File formats support”
Metadata viewing, editing, and preservation
Section 2.13, “Metadata viewing, editing, and preservation”
On-canvas interaction
Section 2.14, “On-canvas interaction”
Simplified bug reporting and crash recovery
Section 2.15, “Simplified bug reporting and crash recovery”
API changes
Section 2.16, “API changes”
Roadmap and what's next
Section 2.17, “Roadmap and what's next”
Fire up the GIMP
Chapter 2, Fire up the GIMP
Running GIMP
Section 1, “Running GIMP”
Known Platforms
Section 1.1, “Known Platforms”
Language
Section 1.2, “Language”
Command Line Arguments
Section 1.3, “Command Line Arguments”
Starting GIMP the first time
Section 2, “Starting GIMP the first time”
Finally . . .
Section 2.1, “Finally . . . ”
First Steps with Wilber
Chapter 3, First Steps with Wilber
Basic Concepts
Section 1, “Basic Concepts”
Wilber, the GIMP mascot
Figure 3.1, “Wilber, the GIMP mascot”
???TITLE???
Channels
Main Windows
Section 2, “Main Windows”
???TITLE???
Section 2, “Main Windows”
???TITLE???
Multi-Window Mode
A screenshot illustrating the multi-window mode.
Figure 3.2, “ A screenshot illustrating the multi-window mode. ”
???TITLE???
Single Window Mode
A screenshot illustrating the single-window mode.
Figure 3.3, “ A screenshot illustrating the single-window mode. ”
The Toolbox
Section 2.1, “The Toolbox”
Screenshot of the Toolbox
Figure 3.4, “Screenshot of the Toolbox”
Image Window
Section 2.2, “Image Window”
The Image Window in Multi-Window Mode
Figure 3.5, “The Image Window in Multi-Window Mode”
The Image Area in Single-Window Mode
Figure 3.6, “The Image Area in Single-Window Mode”
???TITLE???
3
???TITLE???
4
???TITLE???
5
???TITLE???
8
???TITLE???
9
???TITLE???
11
???TITLE???
13
???TITLE???
14
Dialogs and Docking
Section 2.3, “Dialogs and Docking”
Organizing Dialogs
Section 2.3.1, “Organizing Dialogs”
Integrating a new dialog in a dialog group
Figure 3.7, “Integrating a new dialog in a dialog group”
Anchoring a dialog to a dock border
Figure 3.8, “Anchoring a dialog to a dock border”
Tab Menu
Section 2.3.2, “Tab Menu”
A dialog in a dock, with the Tab menu button highlighted.
Figure 3.9, “A dialog in a dock, with the Tab menu button highlighted.”
The Tab menu of the Layers dialog.
Figure 3.10, “The Tab menu of the Layers dialog.”
???TITLE???
Add Tab
“Add tab” sub-menu
Figure 3.11, ““Add tab” sub-menu”
???TITLE???
Close Tab
???TITLE???
Detach Tab
???TITLE???
Lock Tab to Dock
???TITLE???
Preview Size
Preview Size submenu of a Tab menu.
Figure 3.12, “Preview Size submenu of a Tab menu.”
???TITLE???
Tab Style
Tab Style submenu of a Tab menu.
Figure 3.13, “Tab Style submenu of a Tab menu.”
???TITLE???
View as List; View as Grid
???TITLE???
View as Grid
The list search field.
Figure 3.14, “The list search field.”
???TITLE???
Show Button Bar
Button Bar on the Brushes dialog.
Figure 3.15, “Button Bar on the Brushes dialog.”
A dock with an Image Menu highlighted.
Figure 3.16, “A dock with an Image Menu highlighted.”
Undoing
Section 3, “Undoing”
Things That Cannot be Undone
Section 3.1, “Things That Cannot be Undone”
Common Tasks
Section 4, “Common Tasks”
Intention
Section 4.1, “Intention”
Change the Size of an Image for the screen
Section 4.2, “Change the Size of an Image for the screen”
Example Image for Scaling
Figure 3.17, “Example Image for Scaling”
GIMP Used for Image Scaling
Figure 3.18, “GIMP Used for Image Scaling”
Dialog for Image Scaling in Pixels
Figure 3.19, “Dialog for Image Scaling in Pixels”
Change the Size of an Image for print
Section 4.3, “Change the Size of an Image for print”
Dialog for Setting Print Size
Figure 3.20, “Dialog for Setting Print Size”
Compressing Images
Section 4.4, “Compressing Images”
Example Image for JPEG Saving
Figure 3.21, “Example Image for JPEG Saving”
“Export Image” Dialog
Figure 3.22, ““Export Image” Dialog”
“Export Image as JPEG” dialog with default quality
Figure 3.23, ““Export Image as JPEG” dialog with default quality”
“Export Image as JPEG” dialog with quality 75
Figure 3.24, ““Export Image as JPEG” dialog with quality 75”
Example for High JPEG Compression
Figure 3.25, “Example for High JPEG Compression”
Example for Moderate JPEG Compression
Figure 3.26, “Example for Moderate JPEG Compression”
Crop An Image
Section 4.5, “Crop An Image”
Example Image for Cropping
Figure 3.27, “Example Image for Cropping”
Select a Region to Crop
Figure 3.28, “Select a Region to Crop”
Dialog for Cropping
Figure 3.29, “Dialog for Cropping”
Find Info About Your Image
Section 4.6, “Find Info About Your Image”
Finding Info
Figure 3.30, “Finding Info”
“Image Properties” Dialog
Figure 3.31, ““Image Properties” Dialog”
Change the Mode
Section 4.7, “Change the Mode”
Dialog for changing the mode
Figure 3.32, “Dialog for changing the mode”
Dialog “Convert Image to Indexed Colors”
Figure 3.33, “Dialog “Convert Image to Indexed Colors” ”
Add Alpha Channel
Figure 3.34, “Add Alpha Channel”
Flip An Image
Section 4.8, “Flip An Image”
Dialog “Flip an Image”
Figure 3.35, “Dialog “Flip an Image” ”
Example Image to Flip
Figure 3.36, “Example Image to Flip”
Rotate An Image
Section 4.9, “Rotate An Image”
Menu for “Rotate An Image”
Figure 3.37, “Menu for “Rotate An Image” ”
Example for “Rotate An Image”
Figure 3.38, “Example for “Rotate An Image” ”
Separating an Object From Its Background
Section 4.10, “Separating an Object From Its Background”
Object with Background
Figure 3.39, “Object with Background”
Free Select Tool
Figure 3.40, “Free Select Tool”
Intelligent Scissors Select Tool
Figure 3.41, “Intelligent Scissors Select Tool”
Foreground Select Tool
Figure 3.42, “Foreground Select Tool”
Result of Adding a Plain Color Background
Figure 3.43, “Result of Adding a Plain Color Background”
Result of Adding a Transparent Background
Figure 3.44, “Result of Adding a Transparent Background”
Result of Desaturating the Background
Figure 3.45, “Result of Desaturating the Background”
How to Draw Straight Lines
Section 5, “How to Draw Straight Lines”
Intention
Section 5.1, “Intention”
Example of straight lines
Figure 3.46, “Example of straight lines”
Introducing the Shift-key
Figure 3.47, “Introducing the Shift-key”
New image
Figure 3.48, “New image”
Paint tools in the toolbox
Figure 3.49, “Paint tools in the toolbox”
Starting point
Figure 3.50, “Starting point”
Drawing the line
Figure 3.51, “Drawing the line”
Final Image
Figure 3.52, “Final Image”
Examples
Section 5.2, “Examples”
Examples I
Figure 3.53, “Examples I”
Examples II
Figure 3.54, “Examples II”
Example III
Figure 3.55, “Example III”
Getting Unstuck
Chapter 4, Getting Unstuck
Getting Unstuck
Section 1, “Getting Unstuck”
Stuck!
Section 1.1, “Stuck!”
Common Causes of GIMP Non-Responsiveness
Section 1.2, “Common Causes of GIMP Non-Responsiveness”
There is a floating selection
Section 1.2.1, “There is a floating selection”
Layers dialog showing a floating selection.
Figure 4.1, “ Layers dialog showing a floating selection. ”
The selection is hidden
Section 1.2.2, “The selection is hidden”
Unstuck show selection menu
Figure 4.2, “Unstuck show selection menu”
You are acting outside of the selection
Section 1.2.3, “You are acting outside of the selection”
Unstuck select all
Figure 4.3, “Unstuck select all”
The active drawable is not visible
Section 1.2.4, “The active drawable is not visible”
Unstuck layer invisibility
Figure 4.4, “Unstuck layer invisibility”
The active drawable is transparent
Section 1.2.5, “The active drawable is transparent”
Unstuck layer transparency
Figure 4.5, “Unstuck layer transparency”
You are trying to act outside the layer
Section 1.2.6, “You are trying to act outside the layer”
The image is in indexed color mode.
Section 1.2.7, “The image is in indexed color mode.”
Eraser and brushes no longer work
Section 1.2.8, “Eraser and brushes no longer work”
Empty Clipboard Brush
Figure 4.6, “Empty Clipboard Brush”
How do I Become a GIMP Wizard?
Part II, “ How do I Become a GIMP Wizard? ”
Getting Images into GIMP
Chapter 5, Getting Images into GIMP
Image Types
Section 1, “Image Types”
Components of the RGB and CMY Color Model
Figure 5.1, “Components of the RGB and CMY Color Model”
Example of an image in RGB and Grayscale mode
Figure 5.2, “Example of an image in RGB and Grayscale mode”
Example of an image with alpha channel
Figure 5.3, “Example of an image with alpha channel”
Creating new Files
Section 2, “Creating new Files”
Opening Files
Section 3, “Opening Files”
Open File
Section 3.1, “Open File”
The “Open Image” dialog
Figure 5.4, “The “Open Image” dialog”
Open Location
Section 3.2, “Open Location”
The “Open Location” dialog
Figure 5.5, “The “Open Location” dialog”
Open Recent
Section 3.3, “Open Recent”
Using External Programs
Section 3.4, “Using External Programs”
File Manager
Section 3.5, “File Manager”
Drag and Drop
Section 3.6, “Drag and Drop”
Copy and Paste
Section 3.7, “Copy and Paste”
Image Browser
Section 3.8, “Image Browser”
Getting Images out of GIMP
Chapter 6, Getting Images out of GIMP
Files
Section 1, “Files”
Save / Export Images
Section 1.1, “Save / Export Images”
File Formats
Section 1.2, “File Formats”
Closing warning
Figure 6.1, “Closing warning”
Export Image as GIF
Section 1.2.1, “Export Image as GIF”
???TITLE???
GIF
The GIF Export dialog
Figure 6.2, “The GIF Export dialog”
Export Image as JPEG
Section 1.2.2, “Export Image as JPEG”
???TITLE???
JPEG
The JPEG Export dialog
Figure 6.3, “The JPEG Export dialog”
Export Image as PNG
Section 1.2.3, “Export Image as PNG”
???TITLE???
PNG
???TITLE???
PNG
The “Export Image as PNG” dialog
Figure 6.4, “The “Export Image as PNG” dialog”
Export Image as TIFF
Section 1.2.4, “Export Image as TIFF”
The TIFF Export dialog
Figure 6.5, “The TIFF Export dialog”
Export Image as MNG
Section 1.2.5, “Export Image as MNG”
Export MNG File Dialog
Figure 6.6, “Export MNG File Dialog”
Preparing your Images for the Web
Section 2, “Preparing your Images for the Web”
Images with an Optimal Size/Quality Ratio
Section 2.1, “Images with an Optimal Size/Quality Ratio”
The Wilber image opened in RGBA mode
Figure 6.7, “The Wilber image opened in RGBA mode”
Reducing the File Size Even More
Section 2.2, “Reducing the File Size Even More”
The indexed image
Figure 6.8, “The indexed image”
Saving Images with Transparency
Section 2.3, “Saving Images with Transparency”
The Wilber image opened in RGBA mode
Figure 6.9, “The Wilber image opened in RGBA mode”
The Wilber image with transparency
Figure 6.10, “The Wilber image with transparency”
Painting with GIMP
Chapter 7, Painting with GIMP
The Selection
Section 1, “The Selection”
How would you isolate the tree?
Figure 7.1, “How would you isolate the tree?”
Selection shown as usual with dashed line.
Figure 7.2, “Selection shown as usual with dashed line.”
Same selection in QuickMask mode.
Figure 7.3, “Same selection in QuickMask mode.”
Same selection in QuickMask mode after feathering.
Figure 7.4, “Same selection in QuickMask mode after feathering.”
Feathering
Section 1.1, “Feathering”
Making a Selection Partially Transparent
Section 1.2, “Making a Selection Partially Transparent”
Creating and Using Selections
Section 2, “Creating and Using Selections”
Moving a Selection
Section 2.1, “Moving a Selection”
Moving rectangular and elliptical selections
Section 2.1.1, “Moving rectangular and elliptical selections”
Moving selection outline
Figure 7.5, “Moving selection outline”
Moving a selection and its content, emptying the original place
Figure 7.6, “ Moving a selection and its content, emptying the original place ”
Moving a selection and its content without emptying the original place
Figure 7.7, “ Moving a selection and its content without emptying the original place ”
Moving the other selections
Section 2.1.2, “Moving the other selections”
Other method
Section 2.1.3, “Other method”
Adding or subtracting selections
Section 2.2, “Adding or subtracting selections”
Enlarging a rectangular selection with the Lasso
Figure 7.8, “Enlarging a rectangular selection with the Lasso”
The QuickMask
Section 3, “The QuickMask”
Image with QuickMask enabled
Figure 7.9, “Image with QuickMask enabled”
Overview
Section 3.1, “Overview”
Properties
Section 3.2, “Properties”
Using QuickMask Mode
Section 4, “Using QuickMask Mode”
Paths
Section 5, “

Paths ”
???TITLE???
Paths
Illustration of four different path creating
Figure 7.10, “Illustration of four different path creating”
Path Creation
Section 5.1, “Path Creation”
Appearance of a path while it is manipulated
Figure 7.11, “Appearance of a path while it is manipulated”
Path Properties
Section 5.2, “Path Properties”
Paths and Selections
Section 5.3, “Paths and Selections”
Transforming Paths
Section 5.4, “Transforming Paths”
Stroking a Path
Section 5.5, “Stroking a Path”
Stroking paths
Figure 7.12, “Stroking paths”
The Stroke Path dialog
Figure 7.13, “The Stroke Path dialog”
Paths and Text
Section 5.6, “Paths and Text”
Text converted to a path
Figure 7.14, “Text converted to a path”
Paths and SVG files
Section 5.7, “Paths and SVG files”
Brushes
Section 6, “Brushes”
Brush strokes example
Figure 7.15, “Brush strokes example”
Selection to Brush after Copy or Cut
Figure 7.16, “Selection to Brush after Copy or Cut”
Adding New Brushes
Section 7, “Adding New Brushes”
???TITLE???
???TITLE???
Save a `.gbr` brush
Figure 7.17, “ Save a `.gbr` brush ”
The GIH Dialog Box
Section 8, “The GIH Dialog Box”
The dialog to describe the animated brush
Figure 7.18, “The dialog to describe the animated brush”
Here is the result by stroking an elliptical selection with the brush:
Figure 7.19, “ Here is the result by stroking an elliptical selection with the brush: ”
Varying brush size
Section 9, “Varying brush size”
How to vary the height of a brush
Section 9.1, “How to vary the height of a brush”
The Size slider
Figure 7.20, “The Size slider”
Creating a brush quickly
Section 9.2, “Creating a brush quickly”
Selection becomes a brush after copying
Figure 7.21, “Selection becomes a brush after copying”
Steps to create a brush
Figure 7.22, “Steps to create a brush”
Gradients
Section 10, “Gradients”
Some examples of GIMP gradients.
Figure 7.23, “Some examples of GIMP gradients. ”
How to use rapidly a gradient in a selection
Figure 7.24, “How to use rapidly a gradient in a selection”
How to use rapidly a gradient with a drawing tool
Figure 7.25, “How to use rapidly a gradient with a drawing tool”
Gradient usage
Figure 7.26, “Gradient usage”
Patterns
Section 11, “Patterns”
Pattern usage
Figure 7.27, “Pattern usage”
The checked box for use a pattern
Figure 7.28, “The checked box for use a pattern”
Pattern script examples
Figure 7.29, “Pattern script examples”
How to create new patterns
Figure 7.30, “How to create new patterns”
Palettes
Section 12, “Palettes”
The Palettes dialog
Figure 7.31, “The Palettes dialog”
The Palette Editor
Figure 7.32, “The Palette Editor”
Colormap
Section 12.1, “Colormap”
The Colormap dialog
Figure 7.33, “The Colormap dialog”
Colormap dialog (1) and Palette dialog (2)
Figure 7.34, “Colormap dialog (1) and Palette dialog (2)”
Presets
Section 13, “Presets”
Drawing Simple Objects
Section 14, “Drawing Simple Objects”
Drawing a Straight Line
Section 14.1, “Drawing a Straight Line”
A new image
Figure 7.35, “A new image”
The start of the straight line
Figure 7.36, “The start of the straight line”
The helpline
Figure 7.37, “The helpline”
The line after the second click
Figure 7.38, “The line after the second click”
Creating a Basic Shape
Section 14.2, “Creating a Basic Shape”
Creating a rectangular selection
Figure 7.39, “Creating a rectangular selection”
Rectangular selection filled with foreground color
Figure 7.40, “Rectangular selection filled with foreground color”
Combining Images
Chapter 8, Combining Images
Introduction to Layers
Section 1, “Introduction to Layers”
An image with layers
Figure 8.1, “An image with layers”
Layer Properties
Section 1.1, “Layer Properties”
Example for Alpha channel
Example for Alpha channel
Alpha channel example: Basic image
Figure 8.2, “Alpha channel example: Basic image”
Alpha channel example: One transparent layer
Figure 8.3, “Alpha channel example: One transparent layer”
Alpha channel example: Two transparent layers
Figure 8.4, “Alpha channel example: Two transparent layers”
Alpha channel example: Three transparent layers
Figure 8.5, “Alpha channel example: Three transparent layers”
Alpha channel example: Alpha channel added to the Background
Figure 8.6, “ Alpha channel example: Alpha channel added to the Background ”
Layer Dialog
Figure 8.7, “Layer Dialog”
Layer Modes
Section 2, “Layer Modes”
Images (masks) for layer mode examples
Figure 8.8, “Images (masks) for layer mode examples”
Images (backgrounds) for layer mode examples
Figure 8.9, “Images (backgrounds) for layer mode examples”
Example
Equation 8.1, “Example”
Example for layer mode “Normal”
Figure 8.10, “Example for layer mode “Normal””
Equation for layer mode “Normal”
Equation 8.2, “Equation for layer mode “Normal””
Example for layer mode “Dissolve”
Figure 8.11, “Example for layer mode “Dissolve””
Enlarged screenshots
Figure 8.12, “Enlarged screenshots”
???TITLE???
Multiply
Example for layer mode “Multiply”
Figure 8.13, “Example for layer mode “Multiply””
Equation for layer mode “Multiply”
Equation 8.3, “Equation for layer mode “Multiply””
Example for layer mode “Divide”
Figure 8.14, “Example for layer mode “Divide””
Equation for layer mode “Divide”
Equation 8.4, “Equation for layer mode “Divide””
Example for layer mode “Screen”
Figure 8.15, “Example for layer mode “Screen””
Equation for layer mode “Screen”
Equation 8.5, “Equation for layer mode “Screen””
???TITLE???
Overlay
Example for layer mode “Overlay”
Figure 8.16, “Example for layer mode “Overlay””
???TITLE???
???
Equation for layer mode “Overlay”
Equation 8.6, “Equation for layer mode “Overlay””
Example for layer mode “Dodge”
Figure 8.17, “Example for layer mode “Dodge””
Equation for layer mode “Dodge”
Equation 8.7, “Equation for layer mode “Dodge””
Example for layer mode “Burn”
Figure 8.18, “Example for layer mode “Burn””
Equation for layer mode “Burn”
Equation 8.8, “Equation for layer mode “Burn””
Example for layer mode “Hard light”
Figure 8.19, “Example for layer mode “Hard light””
Equation for layer mode “Hard light”, M > 128
Equation 8.9, “ Equation for layer mode “Hard light”, M > 128 ”
Equation for layer mode “Hard light”, M ≤ 128
Equation 8.10, “ Equation for layer mode “Hard light”, M ≤ 128 ”
Example for layer mode “Soft light”
Figure 8.20, “Example for layer mode “Soft light””
Equation for layer mode “Screen”
Equation 8.11, “Equation for layer mode “Screen””
Equation for layer mode “Soft light”
Equation 8.12, “Equation for layer mode “Soft light””
Example for layer mode “Grain extract”
Figure 8.21, “Example for layer mode “Grain extract””
Equation for layer mode “Grain extract”
Equation 8.13, “Equation for layer mode “Grain extract””
Example for layer mode “Grain merge”
Figure 8.22, “Example for layer mode “Grain merge””
Equation for layer mode “Grain merge”
Equation 8.14, “Equation for layer mode “Grain merge””
???TITLE???
Difference
Example for layer mode “Difference”
Figure 8.23, “Example for layer mode “Difference””
Equation for layer mode “Difference”
Equation 8.15, “Equation for layer mode “Difference””
Example for layer mode “Addition”
Figure 8.24, “Example for layer mode “Addition””
Equation for layer mode “Addition”
Equation 8.16, “Equation for layer mode “Addition””
Example for layer mode “Subtract”
Figure 8.25, “Example for layer mode “Subtract””
Equation for layer mode “Subtraction”
Equation 8.17, “Equation for layer mode “Subtraction””
Example for layer mode “Darken only”
Figure 8.26, “Example for layer mode “Darken only””
Equation for layer mode “Darken only”
Equation 8.18, “Equation for layer mode “Darken only””
Example for layer mode “Lighten only”
Figure 8.27, “Example for layer mode “Lighten only””
Equation for layer mode “Lighten only”
Equation 8.19, “Equation for layer mode “Lighten only””
Example for layer mode “Hue”
Figure 8.28, “Example for layer mode “Hue””
Example for layer mode “Saturation”
Figure 8.29, “Example for layer mode “Saturation””
Example for layer mode “Color”
Figure 8.30, “Example for layer mode “Color””
Example for layer mode “Value”
Figure 8.31, “Example for layer mode “Value””
Multi layer example
Figure 8.32, “Multi layer example”
Creating New Layers
Section 3, “Creating New Layers”
Layer Groups
Section 4, “Layer Groups”
Layer Mode in or out Layer Group
Figure 8.33, “Layer Mode in or out Layer Group”
Text Management
Chapter 9, Text Management
Text Management
Section 1, “Text Management”
Example of a text item
Figure 9.1, “Example of a text item”
Text Area
Section 1.1, “Text Area”
???TITLE???
Section 1.1, “Text Area”
Entering Unicode characters
Figure 9.2, “Entering Unicode characters”
Managing Text Layer
Section 1.2, “Managing Text Layer”
Warning lose modifications
Figure 9.3, “Warning lose modifications”
Text Toolbox
Section 1.3, “Text Toolbox”
Text Toolbox
Figure 9.4, “Text Toolbox”
Default Baseline
Figure 9.5, “Default Baseline”
Text Context Menu
Section 1.4, “Text Context Menu”
Text Editing Context Menu
Figure 9.6, “Text Editing Context Menu”
???TITLE???
Text to path applied
Figure 9.7, “Text to path applied”
Path made visible
Figure 9.8, “Path made visible”
Path tool activated
Figure 9.9, “Path tool activated”
???TITLE???
The Text along Path command among text commands in the Layer menu
Figure 9.10, “ The Text along Path command among text commands in the Layer menu ”
“Text along Path” example
Figure 9.11, ““Text along Path” example”
???TITLE???
Text
Section 2, “Text”
Embellishing Text
Section 2.1, “Embellishing Text”
Fancy text
Figure 9.12, “Fancy text”
Adding Fonts
Section 2.2, “Adding Fonts”
Font Problems
Section 2.3, “Font Problems”
Enhancing Photographs
Chapter 10, Enhancing Photographs
Working with Digital Camera Photos
Section 1, “Working with Digital Camera Photos”
Introduction
Section 1.1, “Introduction”
Improving Composition
Section 1.2, “Improving Composition”
Rotating an Image
Section 1.2.1, “Rotating an Image”
Cropping
Section 1.2.2, “Cropping”
Improving Colors
Section 1.3, “Improving Colors”
Automated Tools
Section 1.3.1, “Automated Tools”
Exposure Problems
Section 1.3.2, “Exposure Problems”
Adjusting Hue and Saturation
Section 1.3.3, “Adjusting Hue and Saturation”
Adjusting Sharpness
Section 1.4, “Adjusting Sharpness”
Unblurring
Section 1.4.1, “Unblurring”
Reducing Graininess
Section 1.4.2, “Reducing Graininess”
Softening
Section 1.4.3, “Softening”
Removing Unwanted Objects from an Image
Section 1.5, “Removing Unwanted Objects from an Image”
Despeckling
Section 1.5.1, “Despeckling”
Garbage Removal
Section 1.5.2, “Garbage Removal”
Removing Red-eye
Section 1.5.3, “Removing Red-eye”
Saving Your Results
Section 1.6, “Saving Your Results”
Files
Section 1.6.1, “Files”
Printing Your Photos
Section 1.6.2, “Printing Your Photos”
EXIF Data
Section 1.6.3, “EXIF Data”
Color Management with GIMP
Chapter 11, Color Management with GIMP
Color Management in GIMP
Section 1, “Color Management in GIMP”
Image Processing Workflow
Figure 11.1, “Image Processing Workflow”
Problems of a non Color Managed Workflow
Section 1.1, “Problems of a non Color Managed Workflow”
Introduction to a Color Managed Workflow
Section 1.2, “Introduction to a Color Managed Workflow”
Input
Section 1.2.1, “Input”
Applying the ICC-profile
Figure 11.2, “Applying the ICC-profile”
Display
Section 1.2.2, “Display”
Display Calibration and Profiling
Section 1.2.2.1, “Display Calibration and Profiling”
Print Simulation
Section 1.2.3, “Print Simulation”
Enrich my GIMP
Chapter 12, Enrich my GIMP
Preferences Dialog
Section 1, “Preferences Dialog”
Introduction
Section 1.1, “Introduction”
List of preference pages
Figure 12.1, “List of preference pages”
System Resources
Section 1.2, “System Resources”
System Resources
Figure 12.2, “System Resources”
Options
Section 1.2.1, “Options”
Color Management
Section 1.3, “Color Management”
Color Management Preferences
Figure 12.3, “Color Management Preferences”
Options
Section 1.3.1, “Options”
Playground
Section 1.4, “Playground”
Insane Options
Figure 12.4, “Insane Options”
Tool Options
Section 1.5, “Tool Options”
Tool Options Preferences
Figure 12.5, “Tool Options Preferences”
Options
Section 1.5.1, “Options”
Default Image Preferences
Section 1.6, “Default Image Preferences”
???TITLE???
Section 1.6, “Default Image Preferences”
Default New Image Preferences
Figure 12.6, “Default New Image Preferences”
Default Image Grid
Section 1.7, “Default Image Grid”
Default Grid Preferences
Figure 12.7, “Default Grid Preferences”
Interface
Section 1.8, “Interface”
Assorted Interface Preferences
Figure 12.8, “Assorted Interface Preferences”
???TITLE???
Keyboard Shortcuts
Theme
Section 1.9, “Theme”
Theme Preference
Figure 12.9, “Theme Preference”
Theme
Section 1.10, “Theme”
Icon Theme Preference
Figure 12.10, “Icon Theme Preference”
Toolbox
Section 1.11, “Toolbox”
Toolbox Preferences
Figure 12.11, “Toolbox Preferences”
Options
Section 1.11.1, “Options”
Default Toolbox appearance
Figure 12.12, “Default Toolbox appearance”
Tools configuration
Tools configuration
Dialog Defaults
Section 1.12, “Dialog Defaults”
Dialog Default
Figure 12.13, “Dialog Default”
Help System
Section 1.13, “Help System”
Help System Preferences
Figure 12.14, “Help System Preferences”
Options
Section 1.13.1, “Options”
Display
Section 1.14, “Display”
Display Preferences
Figure 12.15, “Display Preferences”
Options
Section 1.14.1, “Options”
The Calibration dialog
Figure 12.16, “The Calibration dialog”
???TITLE???
Calibration
Window Management
Section 1.15, “Window Management”
Window Management Preferences
Figure 12.17, “Window Management Preferences”
Options
Section 1.15.1, “Options”
Utility window title bar
Figure 12.18, “Utility window title bar”
Image Windows
Section 1.16, “Image Windows”
General Image Window Preference
Figure 12.19, “General Image Window Preference”
Options
Section 1.16.1, “Options”
Image Window Appearance
Section 1.17, “Image Window Appearance”
Image Window Appearance Defaults
Figure 12.20, “Image Window Appearance Defaults”
Image Window Title and Statusbar
Section 1.18, “Image Window Title and Statusbar”
Image Window Title and Statusbar formats
Figure 12.21, “Image Window Title and Statusbar formats”
Choosing a Format
Section 1.18.1, “Choosing a Format”
Image Window Snapping Behavior
Section 1.19, “Image Window Snapping Behavior”
Image Window Snapping Behavior
Figure 12.22, “Image Window Snapping Behavior”
Input Devices
Section 1.20, “Input Devices”
Input devices preferences
Figure 12.23, “Input devices preferences”
Preferences for a tablet
Figure 12.24, “Preferences for a tablet”
Input Controllers
Section 1.21, “Input Controllers”
Input controllers preferences
Figure 12.25, “Input controllers preferences”
Main Mouse Wheel
Figure 12.26, “Main Mouse Wheel”
Select Controller Event Action
Figure 12.27, “Select Controller Event Action”
Main Keyboard
Figure 12.28, “Main Keyboard”
Folders
Section 1.22, “Folders”
Basic Folder Preferences
Figure 12.29, “Basic Folder Preferences”
Data Folders
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
???TITLE???
Section 1.23, “Data Folders”
Preferences: Brush Folders
Figure 12.30, “Preferences: Brush Folders”
Grids and Guides
Section 2, “Grids and Guides”
Image used for examples below
Figure 12.31, “Image used for examples below”
The Image Grid
Section 2.1, “The Image Grid”
Image with default grid
Figure 12.32, “Image with default grid”
A different grid style
Figure 12.33, “A different grid style”
Guides
Section 2.2, “Guides”
Image with four guides
Figure 12.34, “Image with four guides”
Rendering a Grid
Section 3, “Rendering a Grid”
How to Set Your Tile Cache
Section 4, “How to Set Your Tile Cache”
Creating Shortcuts to Menu Functions
Section 5, “Creating Shortcuts to Menu Functions”
Configure Keyboard Shortcuts
Figure 12.35, “Configure Keyboard Shortcuts”
Customize Splash-Screen
Section 6, “Customize Splash-Screen”
Scripting
Chapter 13, Scripting
Plugins
Section 1, “Plugins”
Introduction
Section 1.1, “Introduction”
Using Plugins
Section 1.2, “Using Plugins”
Installing New Plugins
Section 1.3, “Installing New Plugins”
Linux / Unix-sytem like systems
Section 1.3.1, “Linux / Unix-sytem like systems”
Windows
Section 1.3.2, “Windows”
Apple Mac OS X
Section 1.3.3, “Apple Mac OS X”
Writing Plugins
Section 1.4, “Writing Plugins”
Using Script-Fu Scripts
Section 2, “Using Script-Fu Scripts”
Script-Fu?
Section 2.1, “Script-Fu? ”
Installing Script-Fus
Section 2.2, “Installing Script-Fus”
Do's and Don'ts
Section 2.3, “Do's and Don'ts”
Different Kinds Of Script-Fus
Section 2.4, “Different Kinds Of Script-Fus”
Script-Fus by category
Figure 13.1, “Script-Fus by category”
Where find Image-dependent scripts
Figure 13.2, “Where find Image-dependent scripts”
Standalone Scripts
Section 2.5, “Standalone Scripts”
Image-Dependent Scripts
Section 2.6, “Image-Dependent Scripts”
A Script-Fu Tutorial
Section 3, “A Script-Fu Tutorial”
Getting Acquainted With Scheme
Section 3.1, “Getting Acquainted With Scheme”
Let's Start Scheme'ing
Section 3.1.1, “Let's Start Scheme'ing”
Examples Of Prefix, Infix, And Postfix Notations
Section 3.1.2, “Examples Of Prefix, Infix, And Postfix Notations”
Practicing In Scheme
Section 3.1.3, “Practicing In Scheme”
The Script-Fu Console Window
Section 3.1.4, “The Script-Fu Console Window”
Use Script-Fu Console.
Figure 13.3, “Use Script-Fu Console.”
Watch Out For Extra Parentheses
Section 3.1.5, “Watch Out For Extra Parentheses”
Make Sure You Have The Proper Spacing, Too
Section 3.1.6, “Make Sure You Have The Proper Spacing, Too”
Variables And Functions
Section 3.2, “Variables And Functions”
Declaring Variables
Section 3.2.1, “Declaring Variables”
What Is A Local Variable?
Section 3.2.2, “What Is A Local Variable?”
The General Syntax Of `let*`
Section 3.2.3, “The General Syntax Of `let*`”
White Space
Section 3.2.4, “White Space”
Assigning A New Value To A Variable
Section 3.2.5, “Assigning A New Value To A Variable”
Functions
Section 3.2.6, “Functions”
Lists, Lists And More Lists
Section 3.3, “Lists, Lists And More Lists”
Defining A List
Section 3.3.1, “Defining A List”
How To Think Of Lists
Section 3.3.2, “How To Think Of Lists”
Creating Lists Through Concatenation (The Cons Function)
Section 3.3.3, “Creating Lists Through Concatenation (The Cons Function)”
Defining A List Using The `list` Function
Section 3.3.4, “Defining A List Using The `list` Function”
Accessing Values In A List
Section 3.3.5, “Accessing Values In A List”
The `car` Function
Section 3.3.6, “The `car` Function”
The `cdr` function
Section 3.3.7, “The `cdr` function”
Accessing Other Elements In A List
Section 3.3.8, “Accessing Other Elements In A List”
Your First Script-Fu Script
Section 3.4, “Your First Script-Fu Script”
Creating A Text Box Script
Section 3.4.1, “Creating A Text Box Script”
Editing And Storing Your Scripts
Section 3.4.2, “Editing And Storing Your Scripts”
The Bare Essentials
Section 3.4.3, “The Bare Essentials”
Naming Conventions
Section 3.4.4, “Naming Conventions”
Registering The Function
Section 3.4.5, “Registering The Function”
Steps For Registering The Script
Section 3.4.6, “Steps For Registering The Script”
The menu of our script.
Figure 13.4, “The menu of our script.”
Registering The Script's Parameters
Section 3.4.7, “Registering The Script's Parameters”
The Script-Fu parameter API
Section 3.4.8, “ The Script-Fu parameter API ”
Giving Our Script Some Guts
Section 3.5, “Giving Our Script Some Guts”
Creating A New Image
Section 3.5.1, “Creating A New Image”
Adding A New Layer To The Image
Section 3.5.2, “Adding A New Layer To The Image”
Adding The Text
Section 3.5.3, “Adding The Text”
Clearing The Dirty Flag
Section 3.5.4, “Clearing The Dirty Flag”
Extending The Text Box Script
Section 3.6, “Extending The Text Box Script”
Handling Undo Correctly
Section 3.6.1, “Handling Undo Correctly”
Extending The Script A Little More
Section 3.6.2, “Extending The Script A Little More”
Modifying The Parameters And The Registration Function
Section 3.6.3, “ Modifying The Parameters And The Registration Function ”
Adding The New Code
Section 3.6.4, “Adding The New Code”
Your script and its working
Section 3.7, “Your script and its working”
What you write
Section 3.7.1, “What you write”
What you obtain
Section 3.7.2, “What you obtain”
And the result on the screen.
Figure 13.5, “And the result on the screen.”
Function Reference
Part III, “Function Reference”
Tools
Chapter 14, Tools
The Toolbox
Section 1, “The Toolbox”
Introduction
Section 1.1, “Introduction”
Tool Icons
Section 1.2, “Tool Icons”
The Tool Icons in the Toolbox
Figure 14.1, “The Tool Icons in the Toolbox”
Color and Indicator Area
Section 1.3, “Color and Indicator Area”
Color and Indicator Area in the Toolbox
Figure 14.2, “Color and Indicator Area in the Toolbox”
Color Area
Section 1.3.1, “Color Area”
Active Colors in the Toolbox
Figure 14.3, “Active Colors in the Toolbox”
???TITLE???
Default colors
???TITLE???
Swap FG/BG colors
Tools Indicator Area
Section 1.3.2, “Tools Indicator Area”
Active Brush, Pattern and Gradient in the Toolbox
Figure 14.4, “Active Brush, Pattern and Gradient in the Toolbox”
Active Image Area
Section 1.3.3, “Active Image Area”
Active Image in the Toolbox
Figure 14.5, “Active Image in the Toolbox”
Tool Options
Section 1.4, “Tool Options”
Tool Options Dialog
Figure 14.6, “Tool Options Dialog”
The new sliders of tool options dialogs
Figure 14.7, “The new sliders of tool options dialogs”
Selection Tools
Section 2, “Selection Tools”
The Selection tools
Figure 14.8, “The Selection tools”
Common Features
Section 2.1, “Common Features”
Key modifiers (Defaults)
Section 2.1.1, “Key modifiers (Defaults)”
Options
Section 2.1.2, “Options”
Common options of selection tools
Figure 14.9, “Common options of selection tools”
Rectangle Selection
Section 2.2, “Rectangle Selection”
Rectangle Select icon in the Toolbox
Figure 14.10, “Rectangle Select icon in the Toolbox”
Activating the tool
Section 2.2.1, “Activating the tool”
Key modifiers
Section 2.2.2, “Key modifiers”
Tool manipulation
Section 2.2.3, “Tool manipulation”
Example of Rectangle Selection.
Figure 14.11, “Example of Rectangle Selection.”
Sensitive selection areas
Figure 14.12, “Sensitive selection areas”
Tool Options
Section 2.2.4, “Tool Options”
Tool Options for the Rectangle Select tool
Figure 14.13, “Tool Options for the Rectangle Select tool”
???TITLE???
Guides
Auto Shrink example
Figure 14.14, “Auto Shrink example”
Ellipse Selection
Section 2.3, “Ellipse Selection”
Ellipse Select icon in the Toolbox
Figure 14.15, “Ellipse Select icon in the Toolbox”
Activating the tool
Section 2.3.1, “Activating the tool”
Key modifiers
Section 2.3.2, “Key modifiers”
Tool handling
Section 2.3.3, “Tool handling”
Example of Ellipse Selection.
Figure 14.16, “Example of Ellipse Selection. ”
Options
Section 2.3.4, “Options”
Tool Options for the Ellipse Select tool
Figure 14.17, “Tool Options for the Ellipse Select tool”
Free Selection (Lasso)
Section 2.4, “Free Selection (Lasso)”
Free Selection icon in the Toolbox
Figure 14.18, “Free Selection icon in the Toolbox”
Mixing free hand segments and polygonal segments
Figure 14.19, “Mixing free hand segments and polygonal segments”
Activating the tool
Section 2.4.1, “Activating the tool”
Key modifiers
Section 2.4.2, “Key modifiers”
Tool handling
Section 2.4.3, “Tool handling”
Rough selection with the Free Selection tool.
Figure 14.20, “Rough selection with the Free Selection tool. ”
Options
Section 2.4.4, “Options”
Tool Options for the Lasso tool
Figure 14.21, “Tool Options for the Lasso tool”
Fuzzy selection (Magic wand)
Section 2.5, “Fuzzy selection (Magic wand)”
Magic Wand tool icon in the Toolbox
Figure 14.22, “Magic Wand tool icon in the Toolbox”
Activating the tool
Section 2.5.1, “Activating the tool”
Key modifiers (Defaults)
Section 2.5.2, “Key modifiers (Defaults)”
Tool handling
Section 2.5.3, “Tool handling”
Using Magic Wand tool: selected pixels are contiguous
Figure 14.23, “ Using Magic Wand tool: selected pixels are contiguous ”
Options
Section 2.5.4, “Options”
Tool Options for the Magic Wand tool
Figure 14.24, “Tool Options for the Magic Wand tool”
???TITLE???
Diagonal Neighbors
Example for Diagonal Neighbors
Figure 14.25, “Example for Diagonal Neighbors”
Example for Diagonal Neighbors option applied
Figure 14.26, “Example for Diagonal Neighbors option applied”
Example for Draw mask option applied
Figure 14.27, “Example for Draw mask option applied”
Select By Color
Section 2.6, “Select By Color”
Select by Color tool icon in the Toolbox
Figure 14.28, “Select by Color tool icon in the Toolbox”
Activating the tool
Section 2.6.1, “Activating the tool”
Key modifiers (Defaults)
Section 2.6.2, “Key modifiers (Defaults)”
Handling tool
Section 2.6.3, “Handling tool”
Using Select by Color tool: selected pixels are not only contiguous
Figure 14.29, “ Using Select by Color tool: selected pixels are not only contiguous ”
Options
Section 2.6.4, “Options”
Tool Options for the Select by Color tool
Figure 14.30, “Tool Options for the Select by Color tool”
Intelligent Scissors
Section 2.7, “Intelligent Scissors”
Intelligent Scissors tool icon in the Toolbox
Figure 14.31, “Intelligent Scissors tool icon in the Toolbox”
Activating the tool
Section 2.7.1, “Activating the tool”
Key modifiers
Section 2.7.2, “Key modifiers”
Tool handling
Section 2.7.3, “Tool handling”
Using Intelligent Scissors
Figure 14.32, “Using Intelligent Scissors”
Options
Section 2.7.4, “Options”
Tool Options for the Intelligent Scissors
Figure 14.33, “Tool Options for the Intelligent Scissors”
Foreground Select
Section 2.8, “Foreground Select”
The “Foreground Select” tool in the Toolbox
Figure 14.34, “The “Foreground Select” tool in the Toolbox”
Activating the Tool
Section 2.8.1, “Activating the Tool”
Directions for use
Section 2.8.2, “Directions for use”
Options
Section 2.8.3, “Options”
“Foreground Select” tool options
Figure 14.35, ““Foreground Select” tool options”
Refining Foreground Extraction
Section 2.8.4, “Refining Foreground Extraction”
Example for Draw background
Figure 14.36, “Example for Draw background”
Example for Draw unknown
Figure 14.37, “Example for Draw unknown”
Paint Tools
Section 3, “Paint Tools”
The Paint Tools (Tools menu)
Figure 14.38, “The Paint Tools (Tools menu)”
Common Features
Section 3.1, “Common Features”
The Paint Tools (Tools Box)
Figure 14.39, “The Paint Tools (Tools Box)”
Key modifiers
Section 3.1.1, “Key modifiers”
Tool Options
Section 3.1.2, “Tool Options”
Tool options shared by paint tools
Figure 14.40, “Tool options shared by paint tools”
???TITLE???
Painting Modes
Spacing option
Figure 14.41, “Spacing option”
Hardness option
Figure 14.42, “Hardness option”
Force option
Figure 14.43, “Force option”
???TITLE???
Brush Dynamics
“Jitter” example
Figure 14.44, ““Jitter” example”
“Smooth Stroke” example
Figure 14.45, ““Smooth Stroke” example”
Lock brush example
Figure 14.46, “Lock brush example”
Lock brush to view rotation example
Figure 14.47, “Lock brush to view rotation example”
Paint Mode Examples
Section 3.1.3, “Paint Mode Examples”
Dissolve mode example
Figure 14.48, “Dissolve mode example”
Painting in Dissolve mode
Figure 14.49, “Painting in Dissolve mode”
Example for layer mode “Behind”
Figure 14.50, “Example for layer mode “Behind””
Painting in “Behind” mode
Figure 14.51, “Painting in “Behind” mode”
Example for layer mode “Color erase”
Figure 14.52, “Example for layer mode “Color erase””
Painting in “Color Erase” mode
Figure 14.53, “Painting in “Color Erase” mode”
Further Information
Section 3.1.4, “Further Information”
Dynamics
Section 3.2, “Dynamics”
The Paint Dynamics Selection Dialog
Section 3.2.1, “The Paint Dynamics Selection Dialog”
The Paint Dynamics Selection Dialog
Figure 14.54, “The Paint Dynamics Selection Dialog”
Editing Paint Dynamics
Section 3.2.2, “Editing Paint Dynamics”
Editing Paint Dynamics
Figure 14.55, “Editing Paint Dynamics”
The Paint Dynamics Matrix
Section 3.2.3, “The Paint Dynamics Matrix”
Customizing the Dynamics
Section 3.2.4, “Customizing the Dynamics”
Customizing the Dynamics
Figure 14.56, “Customizing the Dynamics”
The Fine Tuning Curve
Figure 14.57, “The Fine Tuning Curve”
Dynamics Examples
Section 3.2.5, “Dynamics Examples”
Dynamics Options
Figure 14.58, “Dynamics Options”
Dynamics Options
Section 3.2.6, “Dynamics Options”
Dynamics Options
Figure 14.59, “Dynamics Options”
Illustration of the effects of the three gradient-repeat options, for the Abstract 2 gradient.
Figure 14.60, “ Illustration of the effects of the three gradient-repeat options, for the Abstract 2 gradient. ”
Brush Tools (Pencil, Paintbrush, Airbrush)
Section 3.3, “Brush Tools (Pencil, Paintbrush, Airbrush)”
Painting example
Figure 14.61, “Painting example”
Key modifiers
Section 3.3.1, “Key modifiers”
Bucket Fill
Section 3.4, “Bucket Fill”
Toolbox Fill
Figure 14.62, “Toolbox Fill”
Activating the tool
Section 3.4.1, “Activating the tool”
Key modifiers
Section 3.4.2, “Key modifiers”
Options
Section 3.4.3, “Options”
“Bucket Fill” tool options
Figure 14.63, ““Bucket Fill” tool options”
Example for “Fill By”
Figure 14.64, “Example for “Fill By””
“Fill by line art detection” example
Figure 14.65, ““Fill by line art detection” example”
Fill a feathered selection
Section 3.4.4, “Fill a feathered selection”
Example for “Fill a feathered Selection”
Figure 14.66, “Example for “Fill a feathered Selection””
Gradient
Section 3.5, “Gradient”
Activating the Tool
Section 3.5.1, “Activating the Tool”
Options
Section 3.5.2, “Options”
The Gradient tool dialog
Figure 14.67, “The Gradient tool dialog”
Examples of gradient shapes
Figure 14.68, “Examples of gradient shapes”
Square-shaped gradient examples
Figure 14.69, “Square-shaped gradient examples”
Conical gradient examples
Figure 14.70, “Conical gradient examples”
Spiral gradient examples
Figure 14.71, “Spiral gradient examples”
“Blend” tool: Offset example
Figure 14.72, ““Blend” tool: Offset example”
Editing Gradient
Section 3.5.3, “Editing Gradient”
Pencil
Section 3.6, “Pencil”
Pencil tool
Figure 14.73, “Pencil tool”
Activating the Tool
Section 3.6.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.6.2, “Key modifiers (Defaults)”
Options
Section 3.6.3, “Options”
“Pencil” Tool options
Figure 14.74, ““Pencil” Tool options”
Paintbrush
Section 3.7, “Paintbrush”
Paintbrush
Figure 14.75, “Paintbrush”
Activating the Tool
Section 3.7.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.7.2, “Key modifiers (Defaults)”
Options
Section 3.7.3, “Options”
Paintbrush tool options
Figure 14.76, “Paintbrush tool options”
MyPaint Brush
Section 3.8, “MyPaint Brush”
MyPaint Brush Tool
Figure 14.77, “MyPaint Brush Tool”
Installing MyPaint Brushes
Section 3.8.1, “Installing MyPaint Brushes”
Activating the Tool
Section 3.8.2, “ Activating the Tool ”
Options
Section 3.8.3, “Options”
MyPaint Brush Tool Options
Figure 14.78, “MyPaint Brush Tool Options”
A collection of MyPaint brushes
Figure 14.79, “A collection of MyPaint brushes”
Base opacity example
Figure 14.80, “Base opacity example”
Hardness example
Figure 14.81, “Hardness example”
Eraser
Section 3.9, “Eraser”
Eraser tool icon in the Toolbox
Figure 14.82, “Eraser tool icon in the Toolbox”
Eraser and Alpha channel
Figure 14.83, “Eraser and Alpha channel”
Activating the tool
Section 3.9.1, “Activating the tool”
Key modifiers
Section 3.9.2, “Key modifiers”
Tool Options
Section 3.9.3, “Tool Options”
Tool Options for the Eraser tool
Figure 14.84, “Tool Options for the Eraser tool”
Tip
Tip
Airbrush
Section 3.10, “Airbrush”
The Airbrush tool in Toolbox
Figure 14.85, “The Airbrush tool in Toolbox”
Activating the Tool
Section 3.10.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.10.2, “Key modifiers (Defaults)”
Options
Section 3.10.3, “Options”
Airbrush options
Figure 14.86, “Airbrush options”
Ink
Section 3.11, “Ink”
The “Ink” tool in Toolbox
Figure 14.87, “The “Ink” tool in Toolbox”
Activating the Tool
Section 3.11.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.11.2, “Key modifiers (Defaults)”
Options
Section 3.11.3, “Options”
Ink Tool options
Figure 14.88, “Ink Tool options”
Clone
Section 3.12, “Clone”
Clone tool icon in the Toolbox
Figure 14.89, “Clone tool icon in the Toolbox”
Activating the tool
Section 3.12.1, “Activating the tool”
Key modifiers (default)
Section 3.12.2, “Key modifiers (default)”
Options
Section 3.12.3, “Options”
Tool Options for the Clone tool
Figure 14.90, “Tool Options for the Clone tool”
Original images for clone alignment
Figure 14.91, “Original images for clone alignment”
“None” clone alignment
Figure 14.92, ““None” clone alignment”
“Aligned” clone alignment
Figure 14.93, ““Aligned” clone alignment”
“Registered” clone alignment
Figure 14.94, ““Registered” clone alignment”
“Fixed” clone alignment
Figure 14.95, ““Fixed” clone alignment”
Further Information
Section 3.12.4, “Further Information”
Heal
Section 3.13, “Heal”
The “Heal tool” in the Toolbox
Figure 14.96, “The “Heal tool” in the Toolbox”
Activating the Tool
Section 3.13.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.13.2, “Key modifiers (Defaults)”
Options
Section 3.13.3, “Options”
Heal Tool options
Figure 14.97, “Heal Tool options”
Healing is not cloning
Section 3.13.4, “Healing is not cloning”
Comparing “Clone” and “Heal”
Figure 14.98, “Comparing “Clone” and “Heal””
Perspective Clone
Section 3.14, “Perspective Clone”
The “Perspective Clone” tool in the Toolbox
Figure 14.99, “The “Perspective Clone” tool in the Toolbox”
Activating the Tool
Section 3.14.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.14.2, “Key modifiers (Defaults)”
Options
Section 3.14.3, “Options”
Perspective Clone tool options
Figure 14.100, “Perspective Clone tool options”
Example
Section 3.14.4, “Example”
“Perspective Clone” example
Figure 14.101, ““Perspective Clone” example”
Blur/Sharpen
Section 3.15, “Blur/Sharpen”
Blur/Sharpen tool icon in the Toolbox
Figure 14.102, “Blur/Sharpen tool icon in the Toolbox”
Activating the Tool
Section 3.15.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.15.2, “Key modifiers (Defaults)”
Options
Section 3.15.3, “Options”
Tool Options for the Blur/Sharpen tool
Figure 14.103, “Tool Options for the Blur/Sharpen tool”
Smudge
Section 3.16, “Smudge”
Smudge tool
Figure 14.104, “Smudge tool”
Activating the Tool
Section 3.16.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.16.2, “Key modifiers (Defaults)”
Smudge tool
Figure 14.105, “Smudge tool”
Options
Section 3.16.3, “Options”
Smudge Options
Figure 14.106, “Smudge Options”
Rate example
Figure 14.107, “Rate example”
An example of "No erasing" from the programmer
Figure 14.108, “An example of "No erasing" from the programmer”
Dodge/Burn
Section 3.17, “Dodge/Burn”
Dodge tool
Figure 14.109, “Dodge tool”
Activating the Tool
Section 3.17.1, “Activating the Tool”
Key modifiers (Defaults)
Section 3.17.2, “Key modifiers (Defaults)”
Options
Section 3.17.3, “Options”
“Dodge/Burn” tool options
Figure 14.110, ““Dodge/Burn” tool options”
Transform Tools
Section 4, “Transform Tools”
An overview of the transform tools
Figure 14.111, “An overview of the transform tools”
Common Features
Section 4.1, “Common Features”
Tool Options
Section 4.1.1, “Tool Options”
???TITLE???
Interpolation
Original image for examples
Figure 14.112, “Original image for examples”
Example for Clip
Figure 14.113, “Example for Clip”
Example for Crop to result
Figure 14.114, “Example for Crop to result”
Example for Crop with aspect
Figure 14.115, “Example for Crop with aspect”
???TITLE???
Guides
Transforming Paths
Section 4.1.2, “Transforming Paths”
Rotating paths
Figure 14.116, “Rotating paths”
Align
Section 4.2, “Align”
The Align tool in toolbox
Figure 14.117, “The Align tool in toolbox”
Activating the Tool
Section 4.2.1, “Activating the Tool”
Key modifiers (Defaults)
Section 4.2.2, “Key modifiers (Defaults)”
Tool Options
Section 4.2.3, “Tool Options”
Tool Options for the Align tool
Figure 14.118, “Tool Options for the Align tool”
Example for the “Distribute” commands
Figure 14.119, “Example for the “Distribute” commands”
A practical example for “Distribute”
Section 4.2.4, “ A practical example for “Distribute””
Origin
Figure 14.120, “Origin”
Align using the rubber-band box
Section 4.2.5, “Align using the rubber-band box”
Align using rubber-band box
Figure 14.121, “Align using rubber-band box”
Move
Section 4.3, “Move”
The Move tool in Toolbox
Figure 14.122, “The Move tool in Toolbox”
Activating the Tool
Section 4.3.1, “Activating the Tool”
Options
Section 4.3.2, “Options”
Move Tool options
Figure 14.123, “Move Tool options”
Summary of Move tool actions
Section 4.3.3, “Summary of Move tool actions”
Crop
Section 4.4, “Crop”
Crop tool
Figure 14.124, “Crop tool”
Activating the Tool
Section 4.4.1, “Activating the Tool”
Key modifiers (Defaults)
Section 4.4.2, “Key modifiers (Defaults)”
Tool Options
Section 4.4.3, “Tool Options”
Tool Options for the “Crop” tool
Figure 14.125, “Tool Options for the “Crop” tool”
Example for “Allow Growing”
Figure 14.126, “Example for “Allow Growing””
Example for “Autoshrink”
Figure 14.127, “Example for “Autoshrink””
Rotate
Section 4.5, “Rotate”
The Rotate tool in Toolbox
Figure 14.128, “The Rotate tool in Toolbox”
Overview
Section 4.5.1, “Overview”
Activating the Tool
Section 4.5.2, “Activating the Tool”
Key modifiers (Defaults)
Section 4.5.3, “Key modifiers (Defaults)”
Options
Section 4.5.4, “Options”
Rotation tool options
Figure 14.129, “Rotation tool options”
The Rotation adjustment dialog
Section 4.5.5, “The Rotation adjustment dialog”
The Rotation adjustment dialog
Figure 14.130, “The Rotation adjustment dialog”
The rotating center
Figure 14.131, “The rotating center”
Scale
Section 4.6, “Scale”
The Scale tool in Toolbox
Figure 14.132, “The Scale tool in Toolbox”
Overview
Section 4.6.1, “Overview”
Activating the Tool
Section 4.6.2, “Activating the Tool”
Key modifiers (Defaults)
Section 4.6.3, “Key modifiers (Defaults)”
Tool Options
Section 4.6.4, “Tool Options”
Tool options for the Scale tool
Figure 14.133, “Tool options for the Scale tool”
The Scale adjustment dialog
Section 4.6.5, “The Scale adjustment dialog”
The Scale adjustment dialog
Figure 14.134, “The Scale adjustment dialog”
Shear
Section 4.7, “Shear”
The Shear tool in Toolbox
Figure 14.135, “The Shear tool in Toolbox”
Shear example
Figure 14.136, “Shear example”
Activating the Tool
Section 4.7.1, “Activating the Tool”
Options
Section 4.7.2, “Options”
Shear tool options
Figure 14.137, “Shear tool options”
The Shear adjustment dialog
Section 4.7.3, “The Shear adjustment dialog”
The Shear adjustment dialog
Figure 14.138, “The Shear adjustment dialog”
Perspective
Section 4.8, “Perspective”
Perspective tool
Figure 14.139, “Perspective tool”
Activating the Tool
Section 4.8.1, “Activating the Tool”
Options
Section 4.8.2, “Options”
“Perspective” tool options
Figure 14.140, ““Perspective” tool options”
The Shear adjustment dialog
Section 4.8.3, “The Shear adjustment dialog”
The Shear adjustment dialog
Figure 14.141, “ The Shear adjustment dialog ”
Unified Transform
Section 4.9, “Unified Transform”
Unified Transform tool
Figure 14.142, “Unified Transform tool”
Activating the Tool
Section 4.9.1, “ Activating the Tool ”
Options
Section 4.9.2, “Options”
Unified Transform Tool Options
Figure 14.143, “Unified Transform Tool Options”
Scale Constraint Option
Figure 14.144, “Scale Constraint Option”
Perspective Constraint Option
Figure 14.145, “Perspective Constraint Option”
Scale from pivot
Figure 14.146, “Scale from pivot”
Perspective from pivot
Figure 14.147, “Perspective from pivot”
Key modifiers
Section 4.9.3, “Key modifiers”
Handle Transform
Section 4.10, “Handle Transform”
Handle Transform tool
Figure 14.148, “Handle Transform tool”
Example for 1 handle (Move)
Figure 14.149, “Example for 1 handle (Move)”
Example for 2 handles (Rotate and scale)
Figure 14.150, “Example for 2 handles (Rotate and scale)”
Example for 3 handles (Shear and scale)
Figure 14.151, “Example for 3 handles (Shear and scale)”
Example for 4 handles (Change perspective and scale)
Figure 14.152, “Example for 4 handles (Change perspective and scale)”
Activating the Tool
Section 4.10.1, “ Activating the Tool ”
Key modifiers
Section 4.10.2, “Key modifiers”
Options
Section 4.10.3, “Options”
Handle Transform Tool options
Figure 14.153, “Handle Transform Tool options”
Flip
Section 4.11, “Flip”
Flip tool
Figure 14.154, “Flip tool”
Activating the Tool
Section 4.11.1, “Activating the Tool”
Key modifiers (Defaults)
Section 4.11.2, “Key modifiers (Defaults)”
Options
Section 4.11.3, “Options”
“Flip Tool” Options
Figure 14.155, ““Flip Tool” Options”
The Cage Tool
Section 4.12, “The Cage Tool”
The Cage Tool in the Toolbox
Figure 14.156, “The Cage Tool in the Toolbox”
Activating the Tool
Section 4.12.1, “ Activating the Tool ”
Tool Options
Section 4.12.2, “Tool Options”
Cage Tool options
Figure 14.157, “Cage Tool options”
Using “Cage” tool
Section 4.12.3, “Using “Cage” tool”
Cage Tool example
Figure 14.158, “Cage Tool example”
Warp Transform
Section 4.13, “Warp Transform”
Warp Transform Tool
Figure 14.159, “Warp Transform Tool”
Activating the Tool
Section 4.13.1, “ Activating the Tool ”
Options
Section 4.13.2, “Options”
Warp Tool options
Figure 14.160, “Warp Tool options”
Move pixels example
Figure 14.161, “Move pixels example”
Grow example
Figure 14.162, “Grow example”
Shrink example
Figure 14.163, “Shrink example”
Swirl example
Figure 14.164, “Swirl example”
???TITLE???
Abyss policy
Examples for Abyss policy options
Figure 14.165, “Examples for Abyss policy options”
Other
Section 5, “Other”
Overview
Section 5.1, “Overview”
Other Tools in the Tools Menu
Figure 14.166, “Other Tools in the Tools Menu”
Paths
Section 5.2, “Paths”
Paths tool
Figure 14.167, “Paths tool”
Activating the Tool
Section 5.2.1, “Activating the Tool”
Key modifiers (Defaults)
Section 5.2.2, “Key modifiers (Defaults)”
Options
Section 5.2.3, “Options”
“Path” tool options
Figure 14.168, ““Path” tool options”
Color Picker
Section 5.3, “Color Picker”
The Color Picker in the toolbox (eye dropper icon)
Figure 14.169, “The Color Picker in the toolbox (eye dropper icon)”
Activating the Tool
Section 5.3.1, “Activating the Tool”
Key modifiers
Section 5.3.2, “Key modifiers”
Options
Section 5.3.3, “Options”
Color Picker Options
Figure 14.170, “Color Picker Options”
Color Picker Info Window
Figure 14.171, “Color Picker Info Window”
Zoom
Section 5.4, “Zoom”
The “Zoom” tool in Toolbox
Figure 14.172, “The “Zoom” tool in Toolbox”
Activating the Tool
Section 5.4.1, “Activating the Tool”
Key modifiers (Defaults)
Section 5.4.2, “Key modifiers (Defaults)”
Options
Section 5.4.3, “Options”
Zoom tool options
Figure 14.173, “Zoom tool options”
Zoom menu
Section 5.4.4, “Zoom menu”
Measure
Section 5.5, “Measure”
Measure tool
Figure 14.174, “Measure tool”
Status Bar
Section 5.5.1, “Status Bar”
Activating the Tool
Section 5.5.2, “Activating the Tool”
Key modifiers (Defaults)
Section 5.5.3, “Key modifiers (Defaults)”
Shift modifier
Figure 14.175, “Shift modifier”
Options
Section 5.5.4, “Options”
“Measure” tool options
Figure 14.176, ““Measure” tool options”
“Straighten” clipping options
Figure 14.177, ““Straighten” clipping options”
Measuring surfaces
Section 5.5.5, “Measuring surfaces”
Text
Section 5.6, “Text”
The Text tool in Toolbox
Figure 14.178, “The Text tool in Toolbox”
Activating the Tool
Section 5.6.1, “Activating the Tool”
Options
Section 5.6.2, “Options”
Text tool options
Figure 14.179, “Text tool options”
Text Editor
Section 5.6.3, “Text Editor”
The Text Editor
Figure 14.180, “The Text Editor”
GEGL Operation
Section 5.7, “GEGL Operation”
GEGL Operation tool
Figure 14.181, “GEGL Operation tool”
Activating the Tool
Section 5.7.1, “Activating the Tool”
Options
Section 5.7.2, “Options”
GEGL Operation tool options
Figure 14.182, “GEGL Operation tool options”
“Operation Settings” example
Figure 14.183, ““Operation Settings” example”
Dialogs
Chapter 15, Dialogs
Dialog Introduction
Section 1, “Dialog Introduction”
Image Structure Related Dialogs
Section 2, “Image Structure Related Dialogs”
Layers Dialog
Section 2.1, “Layers Dialog”
Layers Dialog
Figure 15.1, “Layers Dialog”
Activating the dialog
Section 2.1.1, “Activating the dialog”
Using the Layer dialog
Section 2.1.2, “Using the Layer dialog”
???TITLE???
Layer attributes
???TITLE???
Visible layer
???TITLE???
Linked layers
???TITLE???
Layers characteristics
???TITLE???
Mode
???TITLE???
Opacity
???TITLE???
Lock
Lock pixels
Figure 15.2, “Lock pixels”
Lock position and size
Figure 15.3, “Lock position and size”
Lock Alpha channel
Figure 15.4, “Lock Alpha channel”
Example for Locking Alpha Channel
Figure 15.5, “Example for Locking Alpha Channel”
???TITLE???
New Layer
???TITLE???
New Layer Group
Layer masks
Section 2.1.3, “Layer masks”
“Add mask” dialog
Figure 15.6, ““Add mask” dialog”
A layer with layer mask
Figure 15.7, “A layer with layer mask”
Painting the layer mask
Figure 15.8, “Painting the layer mask”
Channels Dialog
Section 2.2, “Channels Dialog”
The Channels dialog
Figure 15.9, “The Channels dialog”
Representation of an image with channels
Figure 15.10, “Representation of an image with channels”
Activating the Dialog
Section 2.2.1, “Activating the Dialog”
Using the Channel dialog
Section 2.2.2, “Using the Channel dialog”
Overview
Section 2.2.2.1, “Overview”
Channel attributes
Section 2.2.2.2, “Channel attributes”
???TITLE???
Section 2.2.2.2, “Channel attributes”
Managing channels
Section 2.2.2.3, “Managing channels”
???TITLE???
Edit Channel Attributes
???TITLE???
New Channel
???TITLE???
Raise Channel
???TITLE???
Lower Channel
???TITLE???
Duplicate Channel
???TITLE???
Channel to Selection
???TITLE???
Add to Selection
???TITLE???
Subtract from Selection
???TITLE???
Intersect with Selection
???TITLE???
Delete Channel
Channels Context Menu
Section 2.2.2.4, “Channels Context Menu”
Channel Context Menu
Figure 15.11, “Channel Context Menu”
Selection masks
Section 2.2.3, “Selection masks”
???TITLE???
Selection masks
A selection composed out of channels.
Figure 15.12, “A selection composed out of channels.”
Using Selection Masks
Section 2.2.3.1, “Using Selection Masks”
Quick Mask
Section 2.2.4, “Quick Mask”
Dialog Quick Mask
Figure 15.13, “Dialog Quick Mask”
Activating the dialog
Section 2.2.4.1, “Activating the dialog”
Creating a Quick Mask
Section 2.2.4.2, “Creating a Quick Mask”
Using Quick Mask with a gradient
Section 2.2.4.3, “Using Quick Mask with a gradient”
Usage
Section 2.2.4.4, “Usage”
Paths Dialog
Section 2.3, “Paths Dialog”
The “Paths” dialog
Figure 15.14, “The “Paths” dialog”
Activating the dialog
Section 2.3.1, “Activating the dialog”
Using the Paths dialog
Section 2.3.2, “Using the Paths dialog”
Buttons
Section 2.3.3, “Buttons”
The “Paths” context menu
Section 2.3.4, “The “Paths” context menu”
The “Paths” context menu
Figure 15.15, “The “Paths” context menu”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Colormap Dialog
Section 2.4, “Colormap Dialog”
An indexed image with 6 colors and its Colormap dialog
Figure 15.16, “An indexed image with 6 colors and its Colormap dialog”
Activating the dialog
Section 2.4.1, “Activating the dialog”
Colormaps and Indexed Images
Section 2.4.2, “Colormaps and Indexed Images”
Using the Colormap dialog
Section 2.4.3, “Using the Colormap dialog”
???TITLE???
???TITLE???
The Colormap context menu
Section 2.4.4, “The Colormap context menu”
The Colormap context menu
Figure 15.17, “The Colormap context menu”
Histogram dialog
Section 2.5, “Histogram dialog”
The Histogram dialog
Figure 15.18, “The Histogram dialog”
Activating the dialog
Section 2.5.1, “Activating the dialog”
About Histograms
Section 2.5.2, “About Histograms”
Using the Histogram dialog
Section 2.5.3, “Using the Histogram dialog”
Channel options for an RGB layer with alpha channel
Figure 15.19, “ Channel options for an RGB layer with alpha channel ”
Combined histograms of R, G, and B channels.
Figure 15.20, “ Combined histograms of R, G, and B channels. ”
The histogram shown at the top, changed to logarithmic mode.
Figure 15.21, “ The histogram shown at the top, changed to logarithmic mode. ”
Dialog aspect after range fixing.
Figure 15.22, “Dialog aspect after range fixing.”
Navigation Dialog
Section 2.6, “Navigation Dialog”
Navigation Dialog
Figure 15.23, “Navigation Dialog”
Activating the dialog
Section 2.6.1, “Activating the dialog”
Using the Navigation Dialog
Section 2.6.2, “Using the Navigation Dialog”
Undo History Dialog
Section 2.7, “Undo History Dialog”
The Undo History dialog
Figure 15.24, “The Undo History dialog”
Activating the dialog
Section 2.7.1, “Activating the dialog”
Using the Undo History dialog
Section 2.7.2, “Using the Undo History dialog”
Image-content Related Dialogs
Section 3, “Image-content Related Dialogs”
FG/BG Color Dialog
Section 3.1, “FG/BG Color Dialog”
The FG/BG Color dialog
Figure 15.25, “The FG/BG Color dialog”
Activating the Dialog
Section 3.1.1, “Activating the Dialog”
Using the “FG/BG color” dialog
Section 3.1.2, “Using the “FG/BG color” dialog”
???TITLE???
GIMP Selector
???TITLE???
CMYK
CMYK
Figure 15.26, “CMYK”
???TITLE???
Triangle
The triangle selector
Figure 15.27, “The triangle selector”
???TITLE???
Watercolor
Watercolor Color Selector
Figure 15.28, “Watercolor Color Selector”
???TITLE???
Palette
Palette Color Selector
Figure 15.29, “Palette Color Selector”
???TITLE???
Scales
The Scales selector
Figure 15.30, “The Scales selector”
???TITLE???
Color picker
???TITLE???
HTML Notation
CSS keywords example
Figure 15.31, “CSS keywords example”
The HTML Notation context menu
Figure 15.32, “The HTML Notation context menu”
Brushes Dialog
Section 3.2, “Brushes Dialog”
The Brushes dialog
Figure 15.33, “The Brushes dialog”
Activating the Dialog
Section 3.2.1, “Activating the Dialog”
Using the “Brushes” dialog
Section 3.2.2, “Using the “Brushes” dialog”
Grid/List mode
Section 3.2.2.1, “Grid/List mode”
Grid/List view
Figure 15.34, “Grid/List view”
Brush previews
Section 3.2.2.2, “Brush previews”
The “Brushes” dialog
Figure 15.35, “The “Brushes” dialog”
Tagging
Section 3.2.2.3, “Tagging”
Buttons at the bottom
Section 3.2.2.4, “Buttons at the bottom”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
The “Brushes” context menu
Section 3.2.2.5, “The “Brushes” context menu”
The “Brushes” context menu
Figure 15.36, “The “Brushes” context menu”
Brush Editor
Section 3.2.3, “Brush Editor”
The “Brushes” Editor dialog
Figure 15.37, “The “Brushes” Editor dialog”
The Clipboard Brush
Section 3.2.4, “The Clipboard Brush”
A new “Clipboard Brush”
Figure 15.38, “A new “Clipboard Brush””
Patterns Dialog
Section 3.3, “Patterns Dialog”
Activating the dialog
Section 3.3.1, “Activating the dialog”
Using the pattern dialog
Section 3.3.2, “Using the pattern dialog”
The Patterns dialog
Figure 15.39, “The Patterns dialog”
???TITLE???
???TITLE???
???TITLE???
Tagging
Section 3.3.3, “Tagging”
The Pattern context menu
Section 3.3.4, “The Pattern context menu”
The Clipboard pattern
Section 3.3.5, “The Clipboard pattern”
A new “Clipboard Pattern”
Figure 15.40, “A new “Clipboard Pattern””
Gradients Dialog
Section 3.4, “Gradients Dialog”
The screenshot illustrates the Gradients dialog
Figure 15.41, “The screenshot illustrates the Gradients dialog”
Activating the Dialog
Section 3.4.1, “Activating the Dialog”
Using the “Gradients” dialog
Section 3.4.2, “Using the “Gradients” dialog”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
The Gradients Menu
Figure 15.42, “The Gradients Menu”
???TITLE???
Save as POV-Ray...
???TITLE???
Copy Gradient Location
???TITLE???
Custom Gradient...
???TITLE???
Save as CSS
Tagging
Section 3.4.2.1, “Tagging”
The Gradient Editor
Section 3.4.3, “The Gradient Editor”
???TITLE???
Section 3.4.3, “The Gradient Editor”
The gradient editor
Figure 15.43, “The gradient editor”
How to Activate the Gradient Editor
Section 3.4.3.1, “How to Activate the Gradient Editor”
Display
Section 3.4.3.2, “Display”
???TITLE???
???TITLE???
???TITLE???
The Gradient Editor pop-up Menu
Section 3.4.3.3, “The Gradient Editor pop-up Menu”
The Gradient Editor pop-up menu
Figure 15.44, “The Gradient Editor pop-up menu”
The Left/Right color type sub-menu
Figure 15.45, “The Left/Right color type sub-menu”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
The “Load Color From” submenu
Figure 15.46, “The “Load Color From” submenu”
???TITLE???
???TITLE???
???TITLE???
The Blending Function submenu
Figure 15.47, “The Blending Function submenu”
???TITLE???
The Coloring Type submenu
Figure 15.48, “The Coloring Type submenu”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Using example for the Gradient Editor
Section 3.4.3.4, “Using example for the Gradient Editor”
New gradient
Figure 15.49, “New gradient”
Gradient with three segments
Figure 15.50, “Gradient with three segments”
First segment colored
Figure 15.51, “First segment colored”
Palettes Dialog
Section 3.5, “Palettes Dialog”
Activating the dialog
Section 3.5.1, “Activating the dialog”
Using the Palettes dialog
Section 3.5.2, “Using the Palettes dialog”
The “Palettes” dialog
Figure 15.52, “The “Palettes” dialog”
???TITLE???
???TITLE???
???TITLE???
New Palette
The “Palettes” pop-menu
Section 3.5.3, “The “Palettes” pop-menu”
The “Palettes” pop-menu
Figure 15.53, “The “Palettes” pop-menu”
???TITLE???
Edit Palette
???TITLE???
New Palette
???TITLE???
Import Palette
The Import Palette dialog
Figure 15.54, “The Import Palette dialog”
???TITLE???
Duplicate Palette
???TITLE???
Merge Palettes
???TITLE???
Copy Palette Location
???TITLE???
Delete Palette
???TITLE???
Refresh Palettes
???TITLE???
Offset Palette...
The “Offset Palette”dialog
Figure 15.55, “The “Offset Palette”dialog”
“Offset Palette” examples
Figure 15.56, ““Offset Palette” examples”
???TITLE???
Palette to gradient
???TITLE???
Palette to Repeating Gradient
“Palette to repeating gradient” examples
Figure 15.57, “ “Palette to repeating gradient” examples ”
???TITLE???
Sort Palette...
The “Sort Palette”dialog
Figure 15.58, “The “Sort Palette”dialog”
Palette Editor
Section 3.5.4, “Palette Editor”
The Palette Editor
Figure 15.59, “The Palette Editor”
How to Activate the Palette Editor
Section 3.5.4.1, “How to Activate the Palette Editor”
Using the Palette Editor
Section 3.5.4.2, “Using the Palette Editor”
The Palette Editor pop-menu
Section 3.5.5, “The Palette Editor pop-menu”
The Palette Editor pop-menu
Figure 15.60, “The Palette Editor pop-menu”
???TITLE???
Edit Color
???TITLE???
New Color from FG; New Color from BG
???TITLE???
Delete Color
???TITLE???
Zoom Out
???TITLE???
Zoom In
???TITLE???
Zoom All
???TITLE???
Edit Active Palette
Tagging
Section 3.6, “Tagging”
Tagging
Figure 15.61, “Tagging”
Example
Figure 15.62, “Example”
Fonts Dialog
Section 3.7, “Fonts Dialog”
The Fonts dialog
Figure 15.63, “The Fonts dialog”
Activating the Dialog
Section 3.7.1, “Activating the Dialog”
Using the Fonts dialog
Section 3.7.2, “Using the Fonts dialog”
The Fonts dialog
Figure 15.64, “The Fonts dialog”
???TITLE???
Refresh font list
Image Management Related Dialogs
Section 4, “Image Management Related Dialogs”
Buffers Dialog
Section 4.1, “Buffers Dialog”
The Buffers dialog (as a list)
Figure 15.65, “The Buffers dialog (as a list)”
Activating the Dialog
Section 4.1.1, “Activating the Dialog”
Using the Buffers dialog
Section 4.1.2, “Using the Buffers dialog”
The Buffers Menu
Figure 15.66, “The Buffers Menu”
The Buffers dialog (Grid View)
Figure 15.67, “The Buffers dialog (Grid View)”
Buttons at the bottom
Section 4.1.2.1, “Buttons at the bottom”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Context menu
Section 4.1.2.2, “Context menu”
The “Buffers” context menu
Figure 15.68, “The “Buffers” context menu”
Images Dialog
Section 4.2, “Images Dialog”
The Images dialog
Figure 15.69, “The Images dialog”
Activating the dialog
Section 4.2.1, “Activating the dialog”
Using the Images dialog
Section 4.2.2, “Using the Images dialog”
Document History Dialog
Section 4.3, “Document History Dialog”
Document History dialog
Figure 15.70, “Document History dialog”
Activating the Dialog
Section 4.3.1, “Activating the Dialog”
Using the Document History dialog
Section 4.3.2, “Using the Document History dialog”
Templates Dialog
Section 4.4, “Templates Dialog”
The Templates dialog
Figure 15.71, “The Templates dialog”
Activating the dialog
Section 4.4.1, “Activating the dialog”
Using the Templates dialog
Section 4.4.2, “Using the Templates dialog”
Grid/List modes
Section 4.4.2.1, “Grid/List modes”
Buttons at the bottom
Section 4.4.2.2, “Buttons at the bottom”
Edit Template
Section 4.4.3, “Edit Template”
The Edit Template dialog
Figure 15.72, “The Edit Template dialog”
The “Advanced Options” dialog
Figure 15.73, “The “Advanced Options” dialog”
Misc. Dialogs
Section 5, “Misc. Dialogs”
Tool Presets Dialog
Section 5.1, “Tool Presets Dialog”
The Tool Presets Dialog
Figure 15.74, “The Tool Presets Dialog”
Activating the Dialog
Section 5.1.1, “Activating the Dialog”
Using the Tool Presets Dialog
Section 5.1.2, “Using the Tool Presets Dialog”
The Tool Presets Dialog Context Menu
Section 5.1.3, “The Tool Presets Dialog Context Menu”
Tool Preset Editor
Section 5.2, “Tool Preset Editor”
The Tool Preset Editor
Figure 15.75, “The Tool Preset Editor”
Activating the Dialog
Section 5.2.1, “Activating the Dialog”
Using the Tool Preset Editor
Section 5.2.2, “Using the Tool Preset Editor”
Device Status Dialog
Section 5.3, “Device Status Dialog”
The “Device Status” Dialog
Figure 15.76, “The “Device Status” Dialog”
Activating the Dialog
Section 5.3.1, “Activating the Dialog”
Error Console
Section 5.4, “Error Console”
Activating the Dialog
Section 5.4.1, “Activating the Dialog”
The “Error Console” Dialog
Section 5.4.2, “The “Error Console” Dialog”
“Error Console” Dialog window
Figure 15.77, ““Error Console” Dialog window”
“Save Error Log to file” Dialog window
Figure 15.78, “ “Save Error Log to file” Dialog window ”
Save File
Section 5.5, “Save File”
Save Image Dialog
Figure 15.79, “Save Image Dialog”
Activate the Dialog
Section 5.5.1, “Activate the Dialog”
The Save Image Dialog
Section 5.5.2, “The Save Image Dialog”
Export File
Section 5.6, “Export File”
Export Image Dialog
Figure 15.80, “Export Image Dialog”
The Export Image Dialog
Section 5.6.1, “The Export Image Dialog”
Exporting
Section 5.6.2, “Exporting”
Sample Points Dialog
Section 5.7, “Sample Points Dialog”
Activating the dialog
Section 5.7.1, “Activating the dialog”
Using sample points
Section 5.7.2, “Using sample points”
The “Sample Point” menu
Figure 15.81, “The “Sample Point” menu”
“Sample Points” dialog description
Section 5.7.3, ““Sample Points” dialog description”
Sample points dialog
Figure 15.82, “Sample points dialog”
Pointer Dialog
Section 5.8, “Pointer Dialog”
Pointer dialog
Figure 15.83, “Pointer dialog”
Activating the dialog
Section 5.8.1, “Activating the dialog”
“Pointer” dialog options
Section 5.8.2, ““Pointer” dialog options”
Symmetry Painting dialog
Section 5.9, “Symmetry Painting dialog”
Activating the Dialog
Section 5.9.1, “Activating the Dialog”
Using the Symmetry Painting dialog
Section 5.9.2, “Using the Symmetry Painting dialog”
Symmetry Painting dialog
Figure 15.84, “Symmetry Painting dialog”
The Symmetry mirror dialog
Figure 15.85, “The Symmetry mirror dialog”
The Symmetry Tiling Dialog
Figure 15.86, “The Symmetry Tiling Dialog”
The Symmetry Mandala Dialog
Figure 15.87, “The Symmetry Mandala Dialog”
Examples
Section 5.9.3, “Examples”
Vertical Symmetry
Figure 15.88, “Vertical Symmetry”
Figure 15.89, “”
Figure 15.90, “”
Menus
Chapter 16, Menus
Introduction to Menus
Section 1, “Introduction to Menus”
The Image Menu Bar
Section 1.1, “The Image Menu Bar”
Context Menus
Section 1.2, “Context Menus”
Tear-off menus
Section 1.3, “Tear-off menus”
The “windows” submenu and its tear-off submenu
Figure 16.1, “ The “windows” submenu and its tear-off submenu ”
Tab menus
Section 1.4, “Tab menus”
A dockable dialog.
Figure 16.2, “A dockable dialog.”
The “File” Menu
Section 2, “The “File” Menu”
Overview
Section 2.1, “Overview”
The File menu
Figure 16.3, “The File menu”
New…
Section 2.2, “New…”
Activate the command
Section 2.2.1, “Activate the command”
Basic Options
Section 2.2.2, “Basic Options”
The “Create a New Image” dialog
Figure 16.4, “The “Create a New Image” dialog”
The “Template” dialog
Figure 16.5, “The “Template” dialog”
Advanced Options
Section 2.2.3, “Advanced Options”
New Image dialog (Advanced Options)
Figure 16.6, “New Image dialog (Advanced Options)”
Precision example
Figure 16.7, “Precision example”
Create
Section 2.3, “Create”
The “Create” submenu
Figure 16.8, “The “Create” submenu”
Activate the Submenu
Section 2.3.1, “Activate the Submenu”
From Clipboard
Section 2.3.2, “From Clipboard”
From Web page
Section 2.3.3, “From Web page”
Screenshot
Section 2.3.4, “Screenshot”
The “Screenshot” window
Figure 16.9, “The “Screenshot” window”
Scanner/Camera
Section 2.3.5, “Scanner/Camera”
Scanner and Camera
Figure 16.10, “Scanner and Camera”
Buttons, Logos, Patterns, Web Page Themes
Section 2.3.6, “Buttons, Logos, Patterns, Web Page Themes”
Open…
Section 2.4, “Open…”
Activate Dialog
Section 2.4.1, “Activate Dialog”
File browsing
Section 2.4.2, “File browsing”
The Open Image Dialog
Figure 16.11, “The Open Image Dialog”
Open as Layers…
Section 2.5, “Open as Layers…”
Activate Command
Section 2.5.1, “Activate Command”
Open Location…
Section 2.6, “Open Location…”
Activate Command
Section 2.6.1, “Activate Command”
Description of the dialog window
Section 2.6.2, “Description of the dialog window”
The “Open Location” dialog window
Figure 16.12, “The “Open Location” dialog window”
Open Recent
Section 2.7, “Open Recent”
Activate Command
Section 2.7.1, “Activate Command”
Save
Section 2.8, “Save”
???TITLE???
Section 2.8, “Save”
???TITLE???
Section 2.8, “Save”
Save as…
Section 2.9, “Save as…”
Activating the Command
Section 2.9.1, “Activating the Command”
The “Save Image” dialog
Section 2.9.2, “The “Save Image” dialog”
The “Save Image” dialog
Figure 16.13, “The “Save Image” dialog”
Save a Copy…
Section 2.10, “Save a Copy…”
Activate Command
Section 2.10.1, “Activate Command”
Revert
Section 2.11, “Revert”
Activate Command
Section 2.11.1, “Activate Command”
Export…
Section 2.12, “Export…”
Export As…
Section 2.13, “Export As…”
Activating the Command
Section 2.13.1, “Activating the Command”
Create Template…
Section 2.14, “Create Template…”
Activating the Command
Section 2.14.1, “Activating the Command”
Print
Section 2.15, “Print”
The “Print” dialog
Figure 16.14, “The “Print” dialog”
Activate Command
Section 2.15.1, “Activate Command”
Send by Email
Section 2.16, “Send by Email”
Copy Image Location
Section 2.17, “Copy Image Location”
Show in File Manager
Section 2.18, “Show in File Manager”
Close
Section 2.19, “Close”
???TITLE???
Section 2.19, “Close”
Activating the Command
Section 2.19.1, “Activating the Command”
Close all
Section 2.20, “Close all”
Activate the Command
Section 2.20.1, “Activate the Command”
Quit
Section 2.21, “Quit”
???TITLE???
Section 2.21, “Quit”
Activate Command
Section 2.21.1, “Activate Command”
The “Edit” Menu
Section 3, “The “Edit” Menu”
“Edit” Menu Entries
Section 3.1, ““Edit” Menu Entries”
Contents of the Edit Menu
Figure 16.15, “Contents of the Edit Menu”
Undo
Section 3.2, “Undo”
Activate the Command
Section 3.2.1, “Activate the Command”
Redo
Section 3.3, “Redo”
Activating the Command
Section 3.3.1, “Activating the Command”
Fade
Section 3.4, “Fade”
Activate the command
Section 3.4.1, “Activate the command”
Options
Section 3.4.2, “Options”
The “Fade” dialog
Figure 16.16, “The “Fade” dialog”
Undo History
Section 3.5, “Undo History”
Activating the Command
Section 3.5.1, “Activating the Command”
Cut
Section 3.6, “Cut”
Activate the Command
Section 3.6.1, “Activate the Command”
Copy
Section 3.7, “Copy”
Activate the Command
Section 3.7.1, “Activate the Command”
Copy Visible
Section 3.8, “Copy Visible”
Activating the Command
Section 3.8.1, “Activating the Command”
Paste
Section 3.9, “Paste”
Activate the Command
Section 3.9.1, “Activate the Command”
Paste Into Selection
Section 3.10, “Paste Into Selection”
Activate the Command
Section 3.10.1, “Activate the Command”
Paste In Place
Section 3.11, “Paste In Place”
Activate the Command
Section 3.11.1, “Activate the Command”
Paste Into Selection In Place
Section 3.12, “Paste Into Selection In Place”
Activate the Command
Section 3.12.1, “Activate the Command”
Paste as
Section 3.13, “Paste as”
The “Paste as” sub-menu
Figure 16.17, “The “Paste as” sub-menu”
Paste as New Layer
Section 3.13.1, “Paste as New Layer”
Activate the Command
Section 3.13.1.1, “Activate the Command”
Paste As New Layer In Place
Section 3.13.2, “Paste As New Layer In Place”
Activate the Command
Section 3.13.2.1, “Activate the Command”
Paste as New Image
Section 3.13.3, “Paste as New Image”
Activate the Command
Section 3.13.3.1, “Activate the Command”
Paste as New Brush
Section 3.13.4, “Paste as New Brush”
Options
Section 3.13.4.1, “Options”
The “New Brush”dialog
Figure 16.18, “The “New Brush”dialog”
Activate the Command
Section 3.13.4.2, “Activate the Command”
Paste as New Pattern
Section 3.13.5, “Paste as New Pattern”
Options
Section 3.13.5.1, “Options”
The “New Pattern”dialog
Figure 16.19, “The “New Pattern”dialog”
Activate the Command
Section 3.13.5.2, “Activate the Command”
Buffer
Section 3.14, “Buffer”
The “Buffer” submenu of the “Edit” menu
Figure 16.20, “ The “Buffer” submenu of the “Edit” menu ”
Activate the Submenu
Section 3.14.1, “Activate the Submenu”
Sub-menu entries
Section 3.14.2, “Sub-menu entries”
Clear
Section 3.15, “Clear”
Activate the Command
Section 3.15.1, “Activate the Command”
Fill with FG Color
Section 3.16, “Fill with FG Color”
Activate the Command
Section 3.16.1, “Activate the Command”
Fill with BG Color
Section 3.17, “Fill with BG Color”
Activate the Command
Section 3.17.1, “Activate the Command”
Fill with Pattern
Section 3.18, “Fill with Pattern”
Activate the Command
Section 3.18.1, “Activate the Command”
Fill Selection Outline
Section 3.19, “Fill Selection Outline”
Activate the command
Section 3.19.1, “Activate the command”
Options
Section 3.19.2, “Options”
The “Choose Fill Style” dialog
Figure 16.21, “The “Choose Fill Style” dialog”
Fill Path
Section 3.20, “Fill Path”
Activate the command
Section 3.20.1, “Activate the command”
Options
Section 3.20.2, “Options”
The “Choose Fill Style” dialog
Figure 16.22, “The “Choose Fill Style” dialog”
Fill Path Example
Figure 16.23, “Fill Path Example”
Stroke Selection
Section 3.21, “Stroke Selection”
Activate the Command
Section 3.21.1, “Activate the Command”
The “Stroke Selection” dialog
Section 3.21.2, “The “Stroke Selection” dialog”
Stroke Path
Section 3.22, “Stroke Path”
Activating the Command
Section 3.22.1, “Activating the Command”
Description of the Dialog Window
Section 3.22.2, “Description of the Dialog Window”
The “Choose Stroke Style” dialog window
Figure 16.24, “The “Choose Stroke Style” dialog window”
Example of miter limit
Figure 16.25, “Example of miter limit”
The “Preferences” Command
Section 3.23, “The “Preferences” Command”
Activate Command
Section 3.23.1, “Activate Command”
Keyboard Shortcuts
Section 3.24, “Keyboard Shortcuts”
Activate the Command
Section 3.24.1, “Activate the Command”
Modules
Section 3.25, “Modules”
Activating the Command
Section 3.25.1, “Activating the Command”
Description of the “Module Manager” Dialog
Section 3.25.2, “Description of the “Module Manager” Dialog”
The “Module Manager” dialog window
Figure 16.26, “The “Module Manager” dialog window”
Loaded modules example: Color selector modules
Figure 16.27, “Loaded modules example: Color selector modules”
Units
Section 3.26, “Units”
Activate the Command
Section 3.26.1, “Activate the Command”
Description of the “Unit Editor” dialog window
Section 3.26.2, “Description of the “Unit Editor” dialog window”
The “Unit Editor” dialog window
Figure 16.28, “The “Unit Editor” dialog window”
Defining New Units
Section 3.26.3, “Defining New Units”
The “New Unit” dialog
Figure 16.29, “The “New Unit” dialog”
The “Select” Menu
Section 4, “The “Select” Menu”
Introduction to the “Select” Menu
Section 4.1, “Introduction to the “Select” Menu”
The Contents of the “Select” menu
Figure 16.30, “The Contents of the “Select” menu”
Select All
Section 4.2, “Select All”
Activate the Command
Section 4.2.1, “Activate the Command”
None
Section 4.3, “None”
Activating the Command
Section 4.3.1, “Activating the Command”
Invert
Section 4.4, “Invert”
Activate the Command
Section 4.4.1, “Activate the Command”
Float
Section 4.5, “Float”
Activate the Command
Section 4.5.1, “Activate the Command”
Creating a Floating Selection Automatically
Section 4.5.2, “Creating a Floating Selection Automatically”
Anchor a Floating Selection
Section 4.5.3, “Anchor a Floating Selection”
By Color
Section 4.6, “By Color”
Activating the Command
Section 4.6.1, “Activating the Command”
From Path
Section 4.7, “From Path”
???TITLE???
Section 4.7, “From Path”
Activating the Command
Section 4.7.1, “Activating the Command”
Selection Editor
Section 4.8, “Selection Editor”
Activating the Command
Section 4.8.1, “Activating the Command”
Description of the “Selection Editor” dialog window
Section 4.8.2, “ Description of the “Selection Editor” dialog window ”
The “Selection Editor” dialog window
Figure 16.31, “The “Selection Editor” dialog window”
Example of clicking in the “Selection Editor” display window
Figure 16.32, “ Example of clicking in the “Selection Editor” display window ”
The “Selection to Path Advanced Settings” dialog
Section 4.8.3, “ The “Selection to Path Advanced Settings” dialog ”
The “Advanced Settings” dialog window
Figure 16.33, “The “Advanced Settings” dialog window”
Feather
Section 4.9, “Feather”
Activating the Command
Section 4.9.1, “Activating the Command”
Description of the “Feather Selection” dialog window
Section 4.9.2, “ Description of the “Feather Selection” dialog window ”
The “Feather Selection” dialog
Figure 16.34, “The “Feather Selection” dialog”
Sharpen
Section 4.10, “Sharpen”
Activating the Command
Section 4.10.1, “Activating the Command”
Shrink
Section 4.11, “Shrink”
Activating the Command
Section 4.11.1, “Activating the Command”
Description of the “Shrink” dialog
Section 4.11.2, “Description of the “Shrink” dialog”
The “Shrink Selection” dialog
Figure 16.35, “The “Shrink Selection” dialog”
Grow
Section 4.12, “Grow”
Activating the Command
Section 4.12.1, “Activating the Command”
Description of the “Grow Selection” dialog
Section 4.12.2, “Description of the “Grow Selection” dialog”
The “Grow Selection” dialog window
Figure 16.36, “The “Grow Selection” dialog window”
A Peculiarity of Rectangular Selections
Section 4.12.3, “A Peculiarity of Rectangular Selections”
Why growing a rectangular selection results in rounded corners
Figure 16.37, “ Why growing a rectangular selection results in rounded corners ”
Border
Section 4.13, “Border”
Example of creating a border from a selection
Figure 16.38, “Example of creating a border from a selection”
Activating the Command
Section 4.13.1, “Activating the Command”
Description of the “Border” dialog window
Section 4.13.2, “Description of the “Border” dialog window”
The “Border” dialog window
Figure 16.39, “The “Border” dialog window”
Border Style Comparison
Figure 16.40, “Border Style Comparison”
Select border with and without “Selected areas continue outside the image”
Figure 16.41, “ Select border with and without “Selected areas continue outside the image” ”
Remove Holes
Section 4.14, “Remove Holes”
Activating the Command
Section 4.14.1, “Activating the Command”
Example for Remove Holes
Section 4.14.2, “Example for Remove Holes”
A selection and the Selection Editor
Figure 16.42, “A selection and the Selection Editor”
Remove Holes applied and the Selection Editor
Figure 16.43, “Remove Holes applied and the Selection Editor”
Distort
Section 4.15, “Distort”
Example of using Distort on a selection
Figure 16.44, “Example of using Distort on a selection”
Activating the Command
Section 4.15.1, “Activating the Command”
Description of the “Distort” Dialog Window
Section 4.15.2, “ Description of the “Distort” Dialog Window ”
The “Distort” dialog
Figure 16.45, “ The “Distort” dialog ”
Rounded Rectangle
Section 4.16, “Rounded Rectangle”
Example of using Rounded rectangle on a selection
Figure 16.46, “Example of using Rounded rectangle on a selection”
Activating the Command
Section 4.16.1, “Activating the Command”
Description of the “Rounded Rectangle” Dialog Window
Section 4.16.2, “ Description of the “Rounded Rectangle” Dialog Window ”
The “Rounded Rectangle” dialog
Figure 16.47, “The “Rounded Rectangle” dialog”
Toggle QuickMask
Section 4.17, “Toggle QuickMask”
Activate Dialog
Section 4.17.1, “Activate Dialog”
Save to Channel
Section 4.18, “Save to Channel”
Activate the Command
Section 4.18.1, “Activate the Command”
To Path
Section 4.19, “To Path”
Activating the Command
Section 4.19.1, “Activating the Command”
The “View” Menu
Section 5, “The “View” Menu”
Introduction to the “View” Menu
Section 5.1, “Introduction to the “View” Menu”
Contents of the View menu
Figure 16.48, “Contents of the View menu”
New View
Section 5.2, “New View”
Activating the Command
Section 5.2.1, “Activating the Command”
Dot for Dot
Section 5.3, “Dot for Dot”
Activating the Command
Section 5.3.1, “Activating the Command”
Zoom
Section 5.4, “Zoom”
The “Zoom” submenu of the “View” menu
Figure 16.49, “ The “Zoom” submenu of the “View” menu ”
Activate the Submenu
Section 5.4.1, “Activate the Submenu”
Contents of the “Zoom” submenu
Section 5.4.2, “Contents of the “Zoom” submenu”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Fit Image in Window
???TITLE???
Fill Window
???TITLE???
Zoom to Selection
???TITLE???
???TITLE???
Flip and Rotate (0°)
Section 5.5, “Flip and Rotate (0°)”
The “Flip and Rotate” submenu
Figure 16.50, “ The “Flip and Rotate” submenu ”
The “Select Rotation Angle” dialog
Figure 16.51, “ The “Select Rotation Angle” dialog ”
Shrink Wrap
Section 5.6, “Shrink Wrap”
Activating the Command
Section 5.6.1, “Activating the Command”
Full Screen
Section 5.7, “Full Screen”
Activating the Command
Section 5.7.1, “Activating the Command”
Navigation Window
Section 5.8, “Navigation Window”
Activating the Command
Section 5.8.1, “Activating the Command”
Display Filters
Section 5.9, “Display Filters”
Activating the Command
Section 5.9.1, “Activating the Command”
Description of the “Display Filters” Dialog
Section 5.9.2, “Description of the “Display Filters” Dialog”
The “Color Display Filters” dialog
Figure 16.52, “ The “Color Display Filters” dialog ”
Color Deficient Vision
Section 5.9.3, “Color Deficient Vision”
Description of the “Color Deficient Vision” dialog
Figure 16.53, “ Description of the “Color Deficient Vision” dialog ”
Options
Section 5.9.3.1, “Options”
Examples
Section 5.9.3.2, “Examples”
Example of protanopia
Figure 16.54, “Example of protanopia”
Examples of the three types of vision deficiencies in one image
Figure 16.55, “ Examples of the three types of vision deficiencies in one image ”
Gamma
Section 5.9.4, “Gamma”
The “Gamma” dialog
Figure 16.56, “The “Gamma” dialog”
Contrast
Section 5.9.5, “Contrast”
The “Contrast” dialog
Figure 16.57, “The “Contrast” dialog”
Options
Section 5.9.5.1, “Options”
Clip Warning
Section 5.9.6, “Clip Warning”
The “Clip Warning” dialog
Figure 16.58, “The “Clip Warning” dialog”
Options
Section 5.9.6.1, “Options”
Color Management
Section 5.10, “Color Management”
The “View/Color Management” submenu
Figure 16.59, “ The “View/Color Management” submenu ”
Show Selection
Section 5.11, “Show Selection”
Activating the Command
Section 5.11.1, “Activating the Command”
Show Layer Boundary
Section 5.12, “Show Layer Boundary”
Activating the Command
Section 5.12.1, “Activating the Command”
Show Guides
Section 5.13, “Show Guides”
Activating the Command
Section 5.13.1, “Activating the Command”
Show Grid
Section 5.14, “Show Grid”
Activating the Command
Section 5.14.1, “Activating the Command”
Show Sample Points
Section 5.15, “Show Sample Points”
Activating the Command
Section 5.15.1, “Activating the Command”
Snap to Guides
Section 5.16, “Snap to Guides”
Activating the Command
Section 5.16.1, “Activating the Command”
Snap to Grid
Section 5.17, “Snap to Grid”
Activating the Command
Section 5.17.1, “Activating the Command”
Snap to Canvas
Section 5.18, “Snap to Canvas”
Activating the Command
Section 5.18.1, “Activating the Command”
Snap to Active Path
Section 5.19, “Snap to Active Path”
Activating the Command
Section 5.19.1, “Activating the Command”
Padding Color
Section 5.20, “Padding Color”
Contents of the “Padding Color” submenu
Figure 16.60, “Contents of the “Padding Color” submenu”
Activating the submenu
Section 5.20.1, “Activating the submenu”
“Padding Color” Options
Section 5.20.2, ““Padding Color” Options”
Show Menubar
Section 5.21, “Show Menubar”
Activating the Command
Section 5.21.1, “Activating the Command”
Show Rulers
Section 5.22, “Show Rulers”
Activating the Command
Section 5.22.1, “Activating the Command”
Show Scrollbars
Section 5.23, “Show Scrollbars”
Activating the Command
Section 5.23.1, “Activating the Command”
Show Statusbar
Section 5.24, “Show Statusbar”
Activating the Command
Section 5.24.1, “Activating the Command”
The “Image” Menu
Section 6, “The “Image” Menu”
Overview
Section 6.1, “Overview”
The Contents of the “Image” Menu
Figure 16.61, “The Contents of the “Image” Menu”
Duplicate
Section 6.2, “Duplicate”
Activating the Command
Section 6.2.1, “Activating the Command”
Mode
Section 6.3, “Mode”
The “Mode” submenu of the “Image” menu
Figure 16.62, “ The “Mode” submenu of the “Image” menu ”
Activating the Submenu
Section 6.3.1, “Activating the Submenu”
The Contents of the “Mode” Submenu
Section 6.3.2, “The Contents of the “Mode” Submenu”
RGB mode
Section 6.4, “RGB mode”
Activating the command
Section 6.4.1, “Activating the command”
Grayscale mode
Section 6.5, “Grayscale mode”
Activating the Command
Section 6.5.1, “Activating the Command”
Indexed mode
Section 6.6, “Indexed mode”
Activating the Command
Section 6.6.1, “Activating the Command”
The “Convert Image to Indexed Colors” dialog
Section 6.6.2, “The “Convert Image to Indexed Colors” dialog”
The “Convert Image to Indexed Colors” dialog
Figure 16.63, “The “Convert Image to Indexed Colors” dialog”
Example: full color, with no dithering
Figure 16.64, “Example: full color, with no dithering”
Example: four colors, with no dithering
Figure 16.65, “Example: four colors, with no dithering”
Example: Floyd-Steinberg (normal)
Figure 16.66, “Example: Floyd-Steinberg (normal)”
Example: Floyd-Steinberg (reduced color bleeding)
Figure 16.67, “Example: Floyd-Steinberg (reduced color bleeding)”
Precision
Section 6.7, “Precision”
The “Precision” submenu of the “Image” menu
Figure 16.68, “ The “Precision” submenu of the “Image” menu ”
Activating the Submenu
Section 6.7.1, “Activating the Submenu”
The Contents of the “Precision” Submenu
Section 6.7.2, “The Contents of the “Precision” Submenu”
Choosing the image precision and channel encoding
Section 6.7.3, “Choosing the image precision and channel encoding”
More information about the Precision options
Section 6.7.4, “More information about the Precision options”
Color Management
Section 6.8, “Color Management”
The “Color Management” submenu of the “Image” menu
Figure 16.69, “ The “Color Management” submenu of the “Image” menu ”
Activating the Color Management Submenu
Section 6.8.1, “Activating the Color Management Submenu”
The Contents of the “Color Management” Submenu
Section 6.8.2, “The Contents of the “Color Management” Submenu”
Enable Color Management
Section 6.9, “Enable Color Management”
Activating the command
Section 6.9.1, “Activating the command”
Use Notes regarding unchecking Enable Color Management
Section 6.9.2, “ Use Notes regarding unchecking Enable Color Management ”
What does GIMP do when Enable Color Management is unchecked?
Section 6.9.3, “ What does GIMP do when Enable Color Management is unchecked? ”
When Enable Color Management is unchecked, what happens to the image and the image appearance?
Section 6.9.4, “ When Enable Color Management is unchecked, what happens to the image and the image appearance? ”
Two screenshots showing examples of correct and incorrect image appearances after unchecking Enable Color Management
Section 6.9.5, “ Two screenshots showing examples of correct and incorrect image appearances after unchecking Enable Color Management ”
Assign Color Profile
Section 6.10, “Assign Color Profile”
Activating the command
Section 6.10.1, “Activating the command”
Use Notes for Assign Color Profile
Section 6.10.2, “Use Notes for Assign Color Profile”
An example with screenshots showing how to use Assign Color Profile
Section 6.10.3, “An example with screenshots showing how to use Assign Color Profile”
Convert to Color Profile
Section 6.11, “Convert to Color Profile”
Activating the command
Section 6.11.1, “Activating the command”
Use Notes for Convert to Color Profile
Section 6.11.2, “Use Notes for Convert to Color Profile”
An example with screenshots showing how to use Convert to Color Profile
Section 6.11.3, “An example with screenshots showing how to use Convert to Color Profile”
Discard Color Profile
Section 6.12, “Discard Color Profile”
Activating the command
Section 6.12.1, “Activating the command”
Use Notes for Discard Color Profile
Section 6.12.2, “Use Notes for Discard Color Profile”
Save Color Profile to File
Section 6.13, “Save Color Profile to File”
Activating the command
Section 6.13.1, “Activating the command”
Use Notes for Save Color Profile to File
Section 6.13.2, “Use Notes for Save Color Profile to File ”
An example with screenshots showing how to use Save Color Profile to File
Section 6.13.3, “An example with screenshots showing how to use Save Color Profile to File”
Transform
Section 6.14, “Transform”
The “Transform” submenu of the “Image” menu
Figure 16.70, “ The “Transform” submenu of the “Image” menu ”
Activating the Submenu
Section 6.14.1, “Activating the Submenu”
The Contents of the “Transform” Submenu
Section 6.14.2, “The Contents of the “Transform” Submenu”
Flip Horizontally; Flip Vertically
Section 6.15, “Flip Horizontally; Flip Vertically”
???TITLE???
Section 6.15, “Flip Horizontally; Flip Vertically”
Activate the Commands
Section 6.15.1, “Activate the Commands”
Rotation
Section 6.16, “Rotation”
???TITLE???
Section 6.16, “Rotation”
???TITLE???
Section 6.16, “Rotation”
Activate the Commands
Section 6.16.1, “Activate the Commands”
Slice Using Guides
Section 6.17, “Slice Using Guides”
Activate the Command
Section 6.17.1, “Activate the Command”
Canvas Size
Section 6.18, “Canvas Size”
Activating the Command
Section 6.18.1, “Activating the Command”
Description of the “Set Image Canvas Size” dialog
Section 6.18.2, “Description of the “Set Image Canvas Size” dialog”
The “Set Image Canvas Size” dialog
Figure 16.71, “The “Set Image Canvas Size” dialog”
The Resize layers list
Figure 16.72, “The Resize layers list”
Example
Section 6.18.3, “Example”
Original image
Figure 16.73, “Original image”
Canvas enlarged (layers unchanged)
Figure 16.74, “Canvas enlarged (layers unchanged)”
Canvas enlarged (all layers changed)
Figure 16.75, “Canvas enlarged (all layers changed)”
What's Canvas Size useful for?
Section 6.18.4, “What's Canvas Size useful for?”
Resizing canvas
Figure 16.76, “Resizing canvas”
Cropped image
Figure 16.77, “Cropped image”
Fit Canvas to Layers
Section 6.19, “Fit Canvas to Layers”
Activate the command
Section 6.19.1, “Activate the command”
Fit Canvas to Selection
Section 6.20, “Fit Canvas to Selection”
Activate the command
Section 6.20.1, “Activate the command”
Print Size
Section 6.21, “Print Size”
Activating the Dialog
Section 6.21.1, “Activating the Dialog”
Options in the “Print Size” Dialog
Section 6.21.2, “Options in the “Print Size” Dialog”
The “Set Image Print Resolution” dialog
Figure 16.78, “The “Set Image Print Resolution” dialog”
Scale Image
Section 6.22, “Scale Image”
???TITLE???
Section 6.22, “Scale Image”
Activate the Command
Section 6.22.1, “Activate the Command”
The “Scale Image” Dialog
Section 6.22.2, “The “Scale Image” Dialog”
The “Scale Image” dialog
Figure 16.79, “The “Scale Image” dialog”
Crop Image
Section 6.23, “Crop Image”
Crop to selection
Section 6.23.1, “Crop to selection”
Crop to content
Section 6.23.2, “Crop to content”
“Crop to content” example
Figure 16.80, ““Crop to content” example”
Activate the command
Section 6.23.3, “Activate the command”
Zealous Crop
Section 6.24, “Zealous Crop”
Example
Section 6.24.1, “Example”
“Zealous Crop” Example
Figure 16.81, ““Zealous Crop” Example”
Activate the Command
Section 6.24.2, “Activate the Command”
Merge Visible Layers
Section 6.25, “Merge Visible Layers”
Activate the Command
Section 6.25.1, “Activate the Command”
Description of the “Layers Merge Options” Dialog
Section 6.25.2, “ Description of the “Layers Merge Options” Dialog ”
The “Layers Merge Options” Dialog
Figure 16.82, “The “Layers Merge Options” Dialog”
“Merge visible layers” example
Figure 16.83, ““Merge visible layers” example”
Flatten Image
Section 6.26, “Flatten Image”
Activate the Command
Section 6.26.1, “Activate the Command”
Align Visible Layers…
Section 6.27, “Align Visible Layers…”
Example image for layer alignment
Figure 16.84, “Example image for layer alignment”
Activate the Command
Section 6.27.1, “Activate the Command”
The “Not enough layers” message
Figure 16.85, “The “Not enough layers” message”
Description of the “Align Visible Layers” dialog
Section 6.27.2, “ Description of the “Align Visible Layers” dialog ”
The “Align Visible Layers” dialog
Figure 16.86, “The “Align Visible Layers” dialog”
Horizontal “Collect” alignment (on the edge of the canvas)
Figure 16.87, “ Horizontal “Collect” alignment (on the edge of the canvas) ”
Horizontal “Collect” alignment (on the bottom layer)
Figure 16.88, “ Horizontal “Collect” alignment (on the bottom layer) ”
Horizontal “Fill” alignment (canvas)
Figure 16.89, “ Horizontal “Fill” alignment (canvas) ”
Horizontal “Fill” alignment (bottom layer)
Figure 16.90, “ Horizontal “Fill” alignment (bottom layer) ”
Vertical “Fill” alignment (bottom layer)
Figure 16.91, “ Vertical “Fill” alignment (bottom layer) ”
Guides
Section 6.28, “Guides”
The “Guides” options of the “Image” submenu
Figure 16.92, “ The “Guides” options of the “Image” submenu ”
Activating the Submenu
Section 6.28.1, “Activating the Submenu”
The Contents of the “Guides” Submenu
Section 6.28.2, “The Contents of the “Guides” Submenu”
New Guide
Section 6.29, “New Guide”
Activate the Command
Section 6.29.1, “Activate the Command”
“New Guide” Options
Section 6.29.2, ““New Guide” Options”
The “New Guide” Dialog
Figure 16.93, “The “New Guide” Dialog”
New Guide (by Percent)
Section 6.30, “New Guide (by Percent)”
Activate the Command
Section 6.30.1, “Activate the Command”
“New Guide (by Percent)” Options
Section 6.30.2, ““New Guide (by Percent)” Options”
The “New Guide (by Percent)” Dialog
Figure 16.94, “The “New Guide (by Percent)” Dialog”
New Guides from Selection
Section 6.31, “New Guides from Selection”
Activating the Command
Section 6.31.1, “Activating the Command”
Remove all guides
Section 6.32, “Remove all guides”
Activate the Command
Section 6.32.1, “Activate the Command”
Configure Grid…
Section 6.33, “Configure Grid…”
???TITLE???
Section 6.33, “Configure Grid…”
Activating the Command
Section 6.33.1, “Activating the Command”
Description of the “Configure Image Grid” dialog
Section 6.33.2, “ Description of the “Configure Image Grid” dialog ”
The “Configure Grid” dialog
Figure 16.95, “The “Configure Grid” dialog”
Image Properties
Section 6.34, “Image Properties”
Activate the Command
Section 6.34.1, “Activate the Command”
Options
Section 6.34.2, “Options”
“Properties” tab
Section 6.34.2.1, ““Properties” tab”
“Properties” tab
Figure 16.96, ““Properties” tab”
“Color profile” tab
Section 6.34.2.2, ““Color profile” tab”
“Color profile” tab
Figure 16.97, ““Color profile” tab”
“Comments” tab
Section 6.34.2.3, ““Comments” tab”
“Comments” tab
Figure 16.98, ““Comments” tab”
The “Layer” Menu
Section 7, “The “Layer” Menu”
Introduction to the “Layer” Menu
Section 7.1, “Introduction to the “Layer” Menu”
The Contents of the “Layer” Menu
Figure 16.99, “The Contents of the “Layer” Menu”
The Contents of the “Layer” local pop-menu
Figure 16.100, “The Contents of the “Layer” local pop-menu”
New Layer
Section 7.2, “New Layer”
Activating the Command
Section 7.2.1, “Activating the Command”
Description of the “New Layer” Dialog
Section 7.2.2, “Description of the “New Layer” Dialog”
The “New Layer” dialog
Figure 16.101, “The “New Layer” dialog”
“Union” option example
Figure 16.102, ““Union” option example”
“Clip to backdrop” option example
Figure 16.103, ““Clip to backdrop” option example”
“Clip to layer” option example
Figure 16.104, ““Clip to layer” option example”
“Intersection” option example
Figure 16.105, ““Intersection” option example”
New Layer Group
Section 7.3, “New Layer Group”
Activating the Command
Section 7.3.1, “Activating the Command”
New From Visible
Section 7.4, “New From Visible”
Activating the Command
Section 7.4.1, “Activating the Command”
Duplicate layer
Section 7.5, “Duplicate layer”
Activate the Command
Section 7.5.1, “Activate the Command”
Anchor layer
Section 7.6, “Anchor layer”
Activate the Command
Section 7.6.1, “Activate the Command”
Alternative Ways of Anchoring a Floating Selection
Section 7.6.2, “Alternative Ways of Anchoring a Floating Selection”
Merge Down
Section 7.7, “Merge Down”
Activating the Command
Section 7.7.1, “Activating the Command”
Delete Layer
Section 7.8, “Delete Layer”
Activate the Command
Section 7.8.1, “Activate the Command”
The Text Commands of the Layer Menu
Section 7.9, “The Text Commands of the Layer Menu”
Text commands in the Layer menu
Figure 16.106, “Text commands in the Layer menu”
The Text Commands
Section 7.9.1, “The Text Commands”
???TITLE???
Text to Selection
???TITLE???
Add to Selection
???TITLE???
Subtract from Selection
???TITLE???
Intersect with Selection
Discard Text Information
Section 7.10, “Discard Text Information”
The Discard Text command among text commands in the Layer menu
Figure 16.107, “ The Discard Text command among text commands in the Layer menu ”
Activating the Command
Section 7.10.1, “Activating the Command”
“Stack” Submenu
Section 7.11, ““Stack” Submenu”
The “Stack” submenu
Figure 16.108, “The “Stack” submenu”
Activating the Submenu
Section 7.11.1, “Activating the Submenu”
The Contents of the “Stack” Submenu
Section 7.11.2, “The Contents of the “Stack” Submenu”
Select Previous Layer
Section 7.12, “Select Previous Layer”
Activating the Command
Section 7.12.1, “Activating the Command”
Select Next Layer
Section 7.13, “Select Next Layer”
Activating the Command
Section 7.13.1, “Activating the Command”
Select Top Layer
Section 7.14, “Select Top Layer”
Activating the Command
Section 7.14.1, “Activating the Command”
Select Bottom Layer
Section 7.15, “Select Bottom Layer”
Activate the Command
Section 7.15.1, “Activate the Command”
Raise Layer
Section 7.16, “Raise Layer”
Activating the Command
Section 7.16.1, “Activating the Command”
Lower Layer
Section 7.17, “Lower Layer”
Activating the Command
Section 7.17.1, “Activating the Command”
Layer to Top
Section 7.18, “Layer to Top”
Activating the Command
Section 7.18.1, “Activating the Command”
Layer to Bottom
Section 7.19, “Layer to Bottom”
Activating the Command
Section 7.19.1, “Activating the Command”
The “Reverse Layer Order” command
Section 7.20, “The “Reverse Layer Order” command”
Activating the command
Section 7.20.1, “Activating the command”
The “Mask” Submenu
Section 7.21, “The “Mask” Submenu”
The “Mask” submenu of the “Layer” menu
Figure 16.109, “ The “Mask” submenu of the “Layer” menu ”
Activating the Submenu
Section 7.21.1, “Activating the Submenu”
The Contents of the “Mask” Submenu
Section 7.21.2, “The Contents of the “Mask” Submenu”
Add Layer Mask
Section 7.22, “Add Layer Mask”
Activating the Command
Section 7.22.1, “Activating the Command”
Description of the “Add Layer Mask” Dialog
Section 7.22.2, “Description of the “Add Layer Mask” Dialog”
The “Add Layer Mask” dialog
Figure 16.110, “The “Add Layer Mask” dialog”
Apply Layer Mask
Section 7.23, “ Apply Layer Mask ”
Activating the Command
Section 7.23.1, “ Activating the Command ”
Delete Layer Mask
Section 7.24, “Delete Layer Mask”
Activating the Command
Section 7.24.1, “Activating the Command”
Show Layer Mask
Section 7.25, “Show Layer Mask”
Activating the Command
Section 7.25.1, “Activating the Command”
Edit Layer Mask
Section 7.26, “Edit Layer Mask”
Activating the Command
Section 7.26.1, “Activating the Command”
Disable Layer Mask
Section 7.27, “Disable Layer Mask”
Activating the Command
Section 7.27.1, “Activating the Command”
Mask to Selection
Section 7.28, “Mask to Selection”
Activating the Command
Section 7.28.1, “Activating the Command”
Illustration of “Layer Mask to Selection”
Section 7.28.2, “Illustration of “Layer Mask to Selection””
Illustration of “Layer Mask to Selection”
Figure 16.111, “Illustration of “Layer Mask to Selection””
Add Layer Mask to Selection
Section 7.29, “Add Layer Mask to Selection”
Activating the Command
Section 7.29.1, “Activating the Command”
Illustration of Add Layer Mask to Selection
Section 7.29.2, “Illustration of Add Layer Mask to Selection”
Illustration of Add Layer Mask to Selection
Figure 16.112, “Illustration of Add Layer Mask to Selection”
Subtract Layer Mask from Selection
Section 7.30, “Subtract Layer Mask from Selection”
Activating the Command
Section 7.30.1, “Activating the Command”
Illustration of Subtract Layer Mask from Selection
Section 7.30.2, “Illustration of Subtract Layer Mask from Selection”
Illustration of Subtract Layer Mask from Selection
Figure 16.113, “Illustration of Subtract Layer Mask from Selection”
Intersect Layer Mask with Selection
Section 7.31, “Intersect Layer Mask with Selection”
Activating the Command
Section 7.31.1, “Activating the Command”
Illustration of Intersecting the Layer Mask with the Selection
Section 7.31.2, “ Illustration of Intersecting the Layer Mask with the Selection ”
Illustration of Intersecting the Layer Mask with the Selection
Figure 16.114, “ Illustration of Intersecting the Layer Mask with the Selection ”
The “Transparency” Submenu of the “Layer” menu
Section 7.32, “ The “Transparency” Submenu of the “Layer” menu ”
The “Transparency” submenu of the “Layer” menu
Figure 16.115, “ The “Transparency” submenu of the “Layer” menu ”
Activating the Submenu
Section 7.32.1, “Activating the Submenu”
The Contents of the “Transparency” Submenu
Section 7.32.2, “The Contents of the “Transparency” Submenu”
Add Alpha Channel
Section 7.33, “Add Alpha Channel”
Activate the Command
Section 7.33.1, “Activate the Command”
Remove Alpha Channel
Section 7.34, “Remove Alpha Channel”
Activate the Command
Section 7.34.1, “Activate the Command”
Color to Alpha
Section 7.35, “Color to Alpha”
Semi-flatten
Section 7.36, “Semi-flatten”
Activate the Command
Section 7.36.1, “Activate the Command”
Threshold Alpha
Section 7.37, “Threshold Alpha”
Activating the Command
Section 7.37.1, “Activating the Command”
Description of the Dialog Window
Section 7.37.2, “Description of the Dialog Window”
The only one option of the “Threshold Alpha” dialog
Figure 16.116, “ The only one option of the “Threshold Alpha” dialog ”
Threshold Alpha example
Figure 16.117, “Threshold Alpha example”
Alpha to Selection
Section 7.38, “Alpha to Selection”
Activate the Command
Section 7.38.1, “Activate the Command”
Example
Section 7.38.2, “Example”
Applying “Alpha to Selection”
Figure 16.118, “Applying “Alpha to Selection””
Add Alpha channel to Selection
Section 7.39, “Add Alpha channel to Selection”
Activate the Command
Section 7.39.1, “Activate the Command”
Example
Section 7.39.2, “Example”
Applying “Add to Selection”
Figure 16.119, “Applying “Add to Selection””
Subtract from Selection
Section 7.40, “Subtract from Selection”
Activate the Command
Section 7.40.1, “Activate the Command”
Example
Section 7.40.2, “Example”
Applying “Subtract from Selection”
Figure 16.120, “ Applying “Subtract from Selection” ”
Intersect Alpha channel with Selection
Section 7.41, “Intersect Alpha channel with Selection”
Activate the Command
Section 7.41.1, “Activate the Command”
Example
Section 7.41.2, “Example”
Applying “Intersect with Selection”
Figure 16.121, “Applying “Intersect with Selection””
The “Transform” Submenu
Section 7.42, “The “Transform” Submenu”
The “Transform” Submenu of the “Layer” menu
Figure 16.122, “ The “Transform” Submenu of the “Layer” menu ”
Activating the Submenu
Section 7.42.1, “Activating the Submenu”
The Contents of the “Transform” Submenu
Section 7.42.2, “The Contents of the “Transform” Submenu”
Flip Horizontally
Section 7.43, “Flip Horizontally”
Activating the Command
Section 7.43.1, “Activating the Command”
Example
Section 7.43.2, “Example”
Applying “Flip Layer Horizontally”
Figure 16.123, “Applying “Flip Layer Horizontally””
Flip Vertically
Section 7.44, “Flip Vertically”
Activating the Command
Section 7.44.1, “Activating the Command”
Example
Section 7.44.2, “Example”
Applying “Flip Layer Vertically”
Figure 16.124, “Applying “Flip Layer Vertically””
Rotate 90° clockwise
Section 7.45, “Rotate 90° clockwise”
Activating the Command
Section 7.45.1, “Activating the Command”
Example
Section 7.45.2, “Example”
Applying “Rotate 90° clockwise”
Figure 16.125, “Applying “Rotate 90° clockwise””
Rotate 90° counter-clockwise
Section 7.46, “Rotate 90° counter-clockwise”
Activating the Command
Section 7.46.1, “Activating the Command”
Example
Section 7.46.2, “Example”
Applying “Rotate 90° counter-clockwise”
Figure 16.126, “Applying “Rotate 90° counter-clockwise””
Rotate 180°
Section 7.47, “Rotate 180°”
Activating the Command
Section 7.47.1, “Activating the Command”
Example
Section 7.47.2, “Example”
Applying “Rotate 180°”
Figure 16.127, “Applying “Rotate 180°””
Arbitrary Rotation
Section 7.48, “Arbitrary Rotation”
Activating the Command
Section 7.48.1, “Activating the Command”
Example
Section 7.48.2, “Example”
Applying “Rotate Arbitrary”
Figure 16.128, “Applying “Rotate Arbitrary””
Offset
Section 7.49, “Offset”
Activating the Command
Section 7.49.1, “Activating the Command”
Using the “Offset” Command
Section 7.49.2, “Using the “Offset” Command”
The “Offset” dialog
Figure 16.129, “The “Offset” dialog”
Example
Section 7.49.3, “Example”
Using “Offset” together with “Edge Behaviors”
Figure 16.130, “Using “Offset” together with “Edge Behaviors””
Layer Boundary Size
Section 7.50, “Layer Boundary Size”
Activating the Command
Section 7.50.1, “Activating the Command”
Description of the “Layer Boundary Size” dialog
Section 7.50.2, “ Description of the “Layer Boundary Size” dialog ”
The “Layer Boundary Size” Dialog
Figure 16.131, “The “Layer Boundary Size” Dialog”
Resizing Layer
Section 7.50.3, “Resizing Layer”
Example
Figure 16.132, “Example”
Example
Figure 16.133, “Example”
Result
Figure 16.134, “Result”
Layer to Image Size
Section 7.51, “Layer to Image Size”
Activating the Command
Section 7.51.1, “Activating the Command”
Scale Layer
Section 7.52, “Scale Layer”
Activating the Command
Section 7.52.1, “Activating the Command”
Description of the “Scale Layer” Dialog
Section 7.52.2, “Description of the “Scale Layer” Dialog”
The “Scale Layer” dialog
Figure 16.135, “The “Scale Layer” dialog”
Crop Layer
Section 7.53, “Crop Layer”
Crop to selection
Section 7.53.1, “Crop to selection”
Applying “Crop to Selection”
Figure 16.136, “Applying “Crop to Selection””
Crop to content
Section 7.53.2, “Crop to content”
“Crop to content” example
Figure 16.137, ““Crop to content” example”
Activating the Command
Section 7.53.3, “Activating the Command”
The “Colors” Menu
Section 8, “The “Colors” Menu”
Introduction to the “Colors” Menu
Section 8.1, “Introduction to the “Colors” Menu”
Contents of the “Colors” Menu
Figure 16.138, “Contents of the “Colors” Menu”
Colors Common Features
Section 8.1.1, “Colors Common Features”
Preset Menu
Figure 16.139, “Preset Menu”
Manage saved Settings Dialog
Figure 16.140, “Manage saved Settings Dialog”
Color Balance
Section 8.2, “Color Balance”
Activating the Tool
Section 8.2.1, “Activating the Tool”
Options
Section 8.2.2, “Options”
Color Balance options
Figure 16.141, “Color Balance options”
Color Temperature
Section 8.3, “Color Temperature”
Overview
Section 8.3.1, “Overview”
Example for the “Color Temperature” filter
Figure 16.142, “Example for the “Color Temperature” filter”
Activate the filter
Section 8.3.2, “Activate the filter”
Options
Section 8.3.3, “Options”
“Color Temperature” options
Figure 16.143, ““Color Temperature” options”
Hue Chroma
Section 8.4, “Hue Chroma”
Activating the Command
Section 8.4.1, “Activating the Command”
Options
Section 8.4.2, “Options”
Hue-Chroma Options
Figure 16.144, “Hue-Chroma Options”
Hue-Saturation
Section 8.5, “Hue-Saturation”
Activating the command
Section 8.5.1, “Activating the command”
Options
Section 8.5.2, “Options”
Hue-Saturation Options
Figure 16.145, “Hue-Saturation Options”
Example for the “Overlap” option
Figure 16.146, “ Example for the “Overlap” option ”
Saturation
Section 8.6, “Saturation”
Activating the Command
Section 8.6.1, “Activating the Command”
Options
Section 8.6.2, “Options”
Saturation Options
Figure 16.147, “Saturation Options”
Exposure
Section 8.7, “Exposure”
Activating the Command
Section 8.7.1, “Activating the Command”
Options
Section 8.7.2, “Options”
Exposure Options
Figure 16.148, “Exposure Options”
Shadows-Highlights
Section 8.8, “Shadows-Highlights”
Activating the Command
Section 8.8.1, “Activating the Command”
Options
Section 8.8.2, “Options”
Shadows and Highlights Options
Figure 16.149, “Shadows and Highlights Options”
Brightness-Contrast
Section 8.9, “Brightness-Contrast”
Activating the Tool
Section 8.9.1, “Activating the Tool”
Options
Section 8.9.2, “Options”
Brightness-Contrast options dialog
Figure 16.150, “Brightness-Contrast options dialog”
Levels
Section 8.10, “Levels”
Activating the Tool
Section 8.10.1, “Activating the Tool”
Options
Section 8.10.2, “Options”
Level tool options
Figure 16.151, “Level tool options”
Example for Levels eye-droppers
Figure 16.152, “Example for Levels eye-droppers”
Tool Options dialog
Section 8.10.3, “Tool Options dialog”
“Levels” tool options
Figure 16.153, ““Levels” tool options”
Actual practice
Section 8.10.4, “Actual practice”
A very under-exposed image
Figure 16.154, “A very under-exposed image”
Setting the white point
Figure 16.155, “Setting the white point”
Setting the balance between Shadows and Highlights
Figure 16.156, “Setting the balance between Shadows and Highlights”
Curves
Section 8.11, “Curves”
Activating the Tool
Section 8.11.1, “Activating the Tool”
“Curves” options
Section 8.11.2, ““Curves” options”
The “Curves” dialog
Figure 16.157, “The “Curves” dialog”
“Levels” tool options
Figure 16.158, ““Levels” tool options”
Using the “Curves” tool
Section 8.11.3, “Using the “Curves” tool”
Summary and basic shapes
Section 8.11.3.1, “Summary and basic shapes”
Making the curve more horizontal
Figure 16.159, “Making the curve more horizontal”
Making the curve more vertical
Figure 16.160, “Making the curve more vertical”
Practical cases
Section 8.11.3.2, “Practical cases”
Invert
Section 8.12, “Invert”
Activate the Command
Section 8.12.1, “Activate the Command”
Example
Section 8.12.2, “Example”
Applying “Invert colors”
Figure 16.161, “Applying “Invert colors””
Linear Invert
Section 8.13, “Linear Invert”
Value Invert
Section 8.14, “Value Invert”
Overview
Section 8.14.1, “Overview”
Example for the “Value invert” filter
Figure 16.162, “Example for the “Value invert” filter”
Example of using this filter twice
Figure 16.163, “Example of using this filter twice”
Activate the filter
Section 8.14.2, “Activate the filter”
The “Auto” Submenu
Section 8.15, “The “Auto” Submenu”
The “Colors/Auto” submenu
Figure 16.164, “The “Colors/Auto” submenu”
Activate submenu
Section 8.15.1, “Activate submenu”
Automatic Color-Stretching
Section 8.15.2, “Automatic Color-Stretching”
The original layer and its histograms
Figure 16.165, “The original layer and its histograms”
The Equalize command
Figure 16.166, “ The Equalize command ”
The White Balance command
Figure 16.167, “ The White Balance command ”
The Color Enhance command
Figure 16.168, “ The Color Enhance command ”
The Normalize command
Figure 16.169, “ The Normalize command ”
The Stretch Contrast command
Figure 16.170, “ The Stretch Contrast command ”
The Stretch HSV command
Figure 16.171, “ The Stretch HSV command ”
Equalize
Section 8.16, “Equalize”
Activate the Command
Section 8.16.1, “Activate the Command”
“Equalize” example
Section 8.16.2, ““Equalize” example”
Original image
Figure 16.172, “Original image”
Image after the command
Figure 16.173, “Image after the command”
White Balance
Section 8.17, “White Balance”
Activate the Command
Section 8.17.1, “Activate the Command”
“White Balance” example
Section 8.17.2, ““White Balance” example”
Original image
Figure 16.174, “Original image”
Image after the command
Figure 16.175, “Image after the command”
Color Enhance
Section 8.18, “Color Enhance”
Color Enhance (legacy)
Section 8.19, “Color Enhance (legacy)”
Activate the command
Section 8.19.1, “Activate the command”
“Color Enhance (legacy)” example
Section 8.19.2, ““Color Enhance (legacy)” example”
Original image
Figure 16.176, “Original image”
Command applied
Figure 16.177, “ Command applied ”
Normalize
Section 8.20, “Normalize”
Activate the Command
Section 8.20.1, “Activate the Command”
“Normalize”Example
Section 8.20.2, ““Normalize”Example”
Original image
Figure 16.178, “Original image”
Image after the command
Figure 16.179, “Image after the command”
Stretch Contrast
Section 8.21, “Stretch Contrast”
Activate the Command
Section 8.21.1, “Activate the Command”
“Stretch Contrast” Example
Section 8.21.2, ““Stretch Contrast” Example”
Original image
Figure 16.180, “Original image”
Image after the command
Figure 16.181, “Image after the command”
Stretch HSV
Section 8.22, “Stretch HSV”
Activate the Command
Section 8.22.1, “Activate the Command”
“Stretch HSV” example
Section 8.22.2, ““Stretch HSV” example”
Original image
Figure 16.182, “Original image”
Image after the command
Figure 16.183, “Image after the command”
The “Components” Submenu
Section 8.23, “The “Components” Submenu”
The “Components” submenu
Figure 16.184, “The “Components” submenu”
Activating the command
Section 8.23.1, “Activating the command”
Channel Mixer
Section 8.24, “Channel Mixer”
Overview
Section 8.24.1, “Overview”
Example for the “Channel Mixer” filter
Figure 16.185, “Example for the “Channel Mixer” filter”
Activate the command
Section 8.24.2, “Activate the command”
Options
Section 8.24.3, “Options”
“Channel Mixer” command options
Figure 16.186, ““Channel Mixer” command options”
Buttons
Section 8.24.4, “Buttons”
How does Channel Mixer work?
Section 8.24.5, “How does Channel Mixer work? ”
The original image and its channels
Figure 16.187, “The original image and its channels”
Output channel is red. Green Channel +50
Figure 16.188, “Output channel is red. Green Channel +50”
Output channel is red. Green Channel +50%. The Preserve Luminosity option is checked.
Figure 16.189, “ Output channel is red. Green Channel +50%. The Preserve Luminosity option is checked. ”
Monochrome option checked. Red: 100% Green: 50% Blue: 0%. Preserve Luminosity unchecked.
Figure 16.190, “ Monochrome option checked. Red: 100% Green: 50% Blue: 0%. Preserve Luminosity unchecked. ”
Compose
Section 8.25, “Compose”
Overview
Section 8.25.1, “Overview”
Example for the “Compose” command
Figure 16.191, “Example for the “Compose” command”
Activate the command
Section 8.25.2, “Activate the command”
Options
Section 8.25.3, “Options”
“Compose” command options
Figure 16.192, ““Compose” command options”
Channel Representation example: exchange two channels
Figure 16.193, “ Channel Representation example: exchange two channels ”
Extract Component
Section 8.26, “Extract Component”
Mono Mixer
Section 8.27, “Mono Mixer”
Decompose
Section 8.28, “

Decompose ”
???TITLE???
Section 8.28, “

Decompose ”
Overview
Section 8.28.1, “Overview”
Decomposition to images (RGB)
Figure 16.194, “Decomposition to images (RGB)”
Decomposition to layers (RGB)
Figure 16.195, “Decomposition to layers (RGB)”
Activate the command
Section 8.28.2, “Activate the command”
Options
Section 8.28.3, “Options”
“Decompose” command options
Figure 16.196, ““Decompose” command options”
???TITLE???
Decompose to Layers
Crop marks
Example 16.1, “Crop marks”
Recompose
Section 8.29, “Recompose”
Overview
Section 8.29.1, “Overview”
Example for the “Recompose” command
Figure 16.197, “Example for the “Recompose” command”
Activate the command
Section 8.29.2, “Activate the command”
Color to Gray
Section 8.30, “Color to Gray”
Desaturate
Section 8.31, “Desaturate”
Activating the Command
Section 8.31.1, “Activating the Command”
Options
Section 8.31.2, “Options”
The “Desaturate” option dialog
Figure 16.198, “The “Desaturate” option dialog”
Using the five modes to convert two very different color images to black and white
Figure 16.199, “Using the five modes to convert two very different color images to black and white”
Comparing results from using different options for converting from color to black and white:
Section 8.31.3, “Comparing results from using different options for converting from color to black and white:”
More information about the five options for converting from color to black and white:
Section 8.31.4, “More information about the five options for converting from color to black and white:”
???TITLE???
1
???TITLE???
2
???TITLE???
3
Sepia
Section 8.32, “Sepia”
Overview
Section 8.32.1, “Overview”
Example for the “Sepia” filter
Figure 16.200, “Example for the “Sepia” filter”
Activate the filter
Section 8.32.2, “Activate the filter”
Options
Section 8.32.3, “Options”
“Sepia” options
Figure 16.201, ““Sepia” options”
The “Map” Submenu
Section 8.33, “The “Map” Submenu”
The “Map” submenu
Figure 16.202, “The “Map” submenu”
Rearrange Colormap
Section 8.34, “Rearrange Colormap”
The “Rearrange Colormap” window
Figure 16.203, “The “Rearrange Colormap” window”
Activate Dialog
Section 8.34.1, “Activate Dialog”
Using the “Rearrange Colormap” dialog
Section 8.34.2, “Using the “Rearrange Colormap” dialog”
The “Rearrange Colormap” pop-menu
Figure 16.204, “The “Rearrange Colormap” pop-menu”
Set Colormap
Section 8.35, “Set Colormap”
The “Set Colormap” window
Figure 16.205, “The “Set Colormap” window”
The “Palette Selection” dialog
Figure 16.206, “The “Palette Selection” dialog”
Activate the command
Section 8.35.1, “Activate the command”
Alien Map
Section 8.36, “Alien Map”
Color Exchange
Section 8.37, “Color Exchange”
Overview
Section 8.37.1, “Overview”
“Color Exchange” filter example
Figure 16.207, ““Color Exchange” filter example”
Activate the filter
Section 8.37.2, “Activate the filter”
Options
Section 8.37.3, “Options”
Option of the “Two color exchange” filter
Figure 16.208, “Option of the “Two color exchange” filter”
Rotate Colors
Section 8.38, “Rotate Colors”
Overview
Section 8.38.1, “Overview”
Example for the “Rotate Colors” filter
Figure 16.209, “Example for the “Rotate Colors” filter”
Activating the filter
Section 8.38.2, “Activating the filter”
Main Options
Section 8.38.3, “Main Options”
Main Options of the “Color Map Rotation” filter
Figure 16.210, “ Main Options of the “Color Map Rotation” filter ”
Gray Options
Section 8.38.4, “Gray Options”
Base image for Gray Options
Figure 16.211, “Base image for Gray Options”
Gray Mode
Figure 16.212, “Gray Mode”
Gray Threshold
Figure 16.213, “Gray Threshold”
Previews
Section 8.38.5, “Previews”
Units
Section 8.38.6, “Units”
Gradient Map
Section 8.39, “Gradient Map”
Overview
Section 8.39.1, “Overview”
Example of gradient map
Figure 16.214, “Example of gradient map”
Activate the filter
Section 8.39.2, “Activate the filter”
Palette Map
Section 8.40, “Palette Map”
Overview
Section 8.40.1, “Overview”
Activate the filter
Section 8.40.2, “Activate the filter”
Example
Section 8.40.3, “Example”
The active palette is applied to a gradient image
Figure 16.215, “The active palette is applied to a gradient image”
Sample Colorize
Section 8.41, “Sample Colorize”
Overview
Section 8.41.1, “Overview”
Example for the “Sample Colorize” filter
Figure 16.216, “Example for the “Sample Colorize” filter”
Activate the filter
Section 8.41.2, “Activate the filter”
Options
Section 8.41.3, “Options”
Options of the “Sample Colorize” filter
Figure 16.217, “Options of the “Sample Colorize” filter”
Fattal et al. 2002
Section 8.42, “Fattal et al. 2002”
Mantiuk 2006
Section 8.43, “Mantiuk 2006”
Reinhard 2005
Section 8.44, “Reinhard 2005”
Stress
Section 8.45, “Stress”
Retinex
Section 8.46, “Retinex”
Overview
Section 8.46.1, “Overview”
“Retinex” example
Figure 16.218, ““Retinex” example”
Activate the filter
Section 8.46.2, “Activate the filter”
Options
Section 8.46.3, “Options”
“Retinex” filter options
Figure 16.219, ““Retinex” filter options”
The “Info” Submenu
Section 8.47, “The “Info” Submenu”
The “Info” submenu
Figure 16.220, “The “Info” submenu”
Histogram
Section 8.48, “Histogram”
Border Average
Section 8.49, “Border Average”
Overview
Section 8.49.1, “Overview”
Example for the “Border Average” filter
Figure 16.221, “Example for the “Border Average” filter”
Activating the filter
Section 8.49.2, “Activating the filter”
Options
Section 8.49.3, “Options”
Options of the “Border Average Filter”
Figure 16.222, “Options of the “Border Average Filter””
Examples illustrating the “Border Average” filter
Section 8.49.4, “ Examples illustrating the “Border Average” filter ”
Original image
Figure 16.223, “Original image”
“Number of Colors” is set to 8:
Figure 16.224, ““Number of Colors” is set to 8:”
“Number of Colors” is set to 64:
Figure 16.225, ““Number of Colors” is set to 64:”
Colorcube Analysis
Section 8.50, “Colorcube Analysis”
Overview
Section 8.50.1, “Overview”
Example for the “Colorcube” filter
Figure 16.226, “Example for the “Colorcube” filter”
Activating the filter
Section 8.50.2, “Activating the filter”
Export Histogram
Section 8.51, “Export Histogram”
Smooth Palette
Section 8.52, “Smooth Palette”
Overview
Section 8.52.1, “Overview”
Example for the “Smooth Palette” filter
Figure 16.227, “Example for the “Smooth Palette” filter”
Activating the filter
Section 8.52.2, “Activating the filter”
Options
Section 8.52.3, “Options”
“Smooth Palette” options
Figure 16.228, ““Smooth Palette” options”
Threshold
Section 8.53, “Threshold”
Activating the Tool
Section 8.53.1, “Activating the Tool”
Options
Section 8.53.2, “Options”
Threshold tool options
Figure 16.229, “Threshold tool options”
Preset Menu
Figure 16.230, “Preset Menu”
Manage saved Settings Dialog
Figure 16.231, “Manage saved Settings Dialog”
Using Threshold and Quick Mask to create a selection mask
Section 8.53.3, “Using Threshold and Quick Mask to create a selection mask”
The original image, the decompose image and its Layer Dialog
Figure 16.232, “ The original image, the decompose image and its Layer Dialog ”
The selected layer after threshold fit
Figure 16.233, “The selected layer after threshold fit”
The mask
Figure 16.234, “The mask”
The result
Figure 16.235, “The result”
Colorize
Section 8.54, “Colorize”
Activating tool
Section 8.54.1, “Activating tool”
Options
Section 8.54.2, “Options”
Colorize options
Figure 16.236, “Colorize options”
Preset Menu
Figure 16.237, “Preset Menu”
Manage saved Settings Dialog
Figure 16.238, “Manage saved Settings Dialog”
Posterize
Section 8.55, “Posterize”
Activating the Command
Section 8.55.1, “Activating the Command”
Options
Section 8.55.2, “Options”
Posterize tool options
Figure 16.239, “Posterize tool options”
Example
Section 8.55.3, “Example”
Color to Alpha…
Section 8.56, “Color to Alpha…”
Overview
Section 8.56.1, “Overview”
Example for “Color to Alpha”
Figure 16.240, “Example for “Color to Alpha””
Activate the filter
Section 8.56.2, “Activate the filter”
Options
Section 8.56.3, “Options”
“Color to Alfa” command options
Figure 16.241, ““Color to Alfa” command options”
Dither
Section 8.57, “Dither”
RGB Clip
Section 8.58, “RGB Clip”
Hot…
Section 8.59, “Hot…”
Overview
Section 8.59.1, “Overview”
Activate the command
Section 8.59.2, “Activate the command”
Options
Section 8.59.3, “Options”
“Hot” options
Figure 16.242, ““Hot” options”
The “Tools” Menu
Section 9, “The “Tools” Menu”
Introduction to the “Tools” Menu
Section 9.1, “Introduction to the “Tools” Menu”
Contents of the “Tools” menu
Figure 16.243, “Contents of the “Tools” menu”
The “Filters” Menu
Section 10, “The “Filters” Menu”
Introduction to the “Filters” Menu
Section 10.1, “Introduction to the “Filters” Menu”
The “Filters” menu
Figure 16.244, “The “Filters” menu”
Repeat Last
Section 10.2, “Repeat Last”
Activating the Command
Section 10.2.1, “Activating the Command”
Re-show Last
Section 10.3, “Re-show Last”
Activating the Command
Section 10.3.1, “Activating the Command”
Reset All Filters
Section 10.4, “Reset All Filters”
Activating the Command
Section 10.4.1, “Activating the Command”
The “Python-Fu” Submenu
Section 10.5, “The “Python-Fu” Submenu”
The “Python-Fu” submenu
Figure 16.245, “The “Python-Fu” submenu”
Activating the submenu
Section 10.5.1, “Activating the submenu”
The Python-Fu Console
Section 10.5.2, “The Python-Fu Console”
The Python-Fu Console
Figure 16.246, “The Python-Fu Console”
The “Script-Fu” Submenu
Section 10.6, “The “Script-Fu” Submenu”
The “Script-Fu” submenu
Figure 16.247, “The “Script-Fu” submenu”
Activating the submenu
Section 10.6.1, “Activating the submenu”
Refresh Scripts
Section 10.6.2, “Refresh Scripts”
Script-Fu Console
Section 10.6.3, “Script-Fu Console”
The Script-Fu Console
Figure 16.248, “The Script-Fu Console”
Start Server
Section 10.6.4, “Start Server”
The Script-Fu Server Options
Figure 16.249, “The Script-Fu Server Options”
Header format for commands
Table 16.1, “Header format for commands”
Header format for responses
Table 16.2, “Header format for responses”
“Windows” Menu
Section 11, ““Windows” Menu”
Contents of the “Windows” Menu
Figure 16.250, “Contents of the “Windows” Menu”
???TITLE???
1
???TITLE???
3
???TITLE???
4
???TITLE???
5
???TITLE???
6
???TITLE???
7
The “Help” Menu
Section 12, “The “Help” Menu”
Introduction to the “Help” Menu
Section 12.1, “Introduction to the “Help” Menu”
Contents of the “Help” menu
Figure 16.251, “Contents of the “Help” menu”
Help
Section 12.2, “Help”
Activating the Command
Section 12.2.1, “Activating the Command”
Context Help
Section 12.3, “Context Help”
Activating the Command
Section 12.3.1, “Activating the Command”
Tip of the Day
Section 12.4, “Tip of the Day”
Activating the Command
Section 12.4.1, “Activating the Command”
Description of the dialog window
Section 12.4.2, “Description of the dialog window”
“Tip of the Day”Dialog window
Figure 16.252, ““Tip of the Day”Dialog window”
About
Section 12.5, “About”
Activating the “About” Command
Section 12.5.1, “Activating the “About” Command”
Description of the dialog window
Section 12.5.2, “Description of the dialog window”
The “About” dialog window
Figure 16.253, “The “About” dialog window”
Plug-In Browser
Section 12.6, “Plug-In Browser”
Activating the Command
Section 12.6.1, “Activating the Command”
Description of the “Plug-In Browser” dialog window
Section 12.6.2, “ Description of the “Plug-In Browser” dialog window ”
The list view of the “Plug-In Browser” dialog window
Figure 16.254, “ The list view of the “Plug-In Browser” dialog window ”
The tree view of the “Plug-In Browser” dialog window
Figure 16.255, “ The tree view of the “Plug-In Browser” dialog window ”
The Procedure Browser
Section 12.7, “The Procedure Browser”
Activating the Command
Section 12.7.1, “Activating the Command”
Description of the “Procedure Browser” dialog window
Section 12.7.2, “ Description of the “Procedure Browser” dialog window ”
The “Procedure Browser” dialog window
Figure 16.256, “ The “Procedure Browser” dialog window ”
GIMP online
Section 12.8, “GIMP online”
The “GIMP Online” submenu of the Help menu
Figure 16.257, “The “GIMP Online” submenu of the Help menu”
Filters
Chapter 17, Filters
Introduction
Section 1, “Introduction”
Common Features
Section 2, “Common Features”
Filters Common Options
Figure 17.1, “Filters Common Options”
Blur Filters
Section 3, “Blur Filters”
Introduction
Section 3.1, “Introduction”
Original for demo
Figure 17.2, “Original for demo”
Gaussian blur (radius 10)
Figure 17.3, “Gaussian blur (radius 10)”
Selective blur
Figure 17.4, “Selective blur”
Pixelize
Figure 17.5, “Pixelize”
Circular Motion Blur filter
Figure 17.6, “Circular Motion Blur filter”
Linear Motion Blur filter
Figure 17.7, “Linear Motion Blur filter”
Zoom Motion Blur filter
Figure 17.8, “Zoom Motion Blur filter”
Gaussian Blur
Section 3.2, “Gaussian Blur”
Overview
Section 3.2.1, “Overview”
Example for the “Gaussian Blur” filter
Figure 17.9, “Example for the “Gaussian Blur” filter”
Activate the filter
Section 3.2.2, “Activate the filter”
Options
Section 3.2.3, “Options”
“Gaussian” filter parameters settings
Figure 17.10, ““Gaussian” filter parameters settings”
Example
Figure 17.11, “Example”
Median Blur
Section 3.3, “Median Blur”
Overview
Section 3.3.1, “Overview”
Calculating Median
Figure 17.12, “Calculating Median”
Activate the filter
Section 3.3.2, “Activate the filter”
Options
Section 3.3.3, “Options”
“Median” filter parameters
Figure 17.13, ““Median” filter parameters”
“Median” Neighborhood
Figure 17.14, ““Median” Neighborhood”
“Median” blur vs “Gaussian” blur
Figure 17.15, ““Median” blur vs “Gaussian” blur”
Using Median Blur
Section 3.3.4, “Using Median Blur”
Pixelize
Section 3.4, “Pixelize”
Overview
Section 3.4.1, “Overview”
Example for the “Pixelize” filter
Figure 17.16, “Example for the “Pixelize” filter”
Activate the filter
Section 3.4.2, “Activate the filter”
Options
Section 3.4.3, “Options”
“Pixelize” filter options
Figure 17.17, ““Pixelize” filter options”
Selective Gaussian Blur
Section 3.5, “Selective Gaussian Blur”
Overview
Section 3.5.1, “Overview”
The Selective Gaussian Blur filter
Figure 17.18, “The Selective Gaussian Blur filter”
Activate the filter
Section 3.5.2, “Activate the filter”
Options
Section 3.5.3, “Options”
“Selective Gaussian” filter parameters settings
Figure 17.19, “ “Selective Gaussian” filter parameters settings ”
Circular Motion Blur
Section 3.6, “Circular Motion Blur”
Overview
Section 3.6.1, “Overview”
The Circular Motion Blur filter
Figure 17.20, “The Circular Motion Blur filter”
Options
Section 3.6.2, “Options”
“Circular Motion Blur” filter options
Figure 17.21, ““Circular Motion Blur” filter options”
Linear Motion Blur
Section 3.7, “Linear Motion Blur”
Overview
Section 3.7.1, “Overview”
The Linear Motion Blur filter
Figure 17.22, “The Linear Motion Blur filter”
Options
Section 3.7.2, “Options”
“Linear Motion Blur” filter options
Figure 17.23, ““Linear Motion Blur” filter options”
Zoom Motion Blur
Section 3.8, “Zoom Motion Blur”
Overview
Section 3.8.1, “Overview”
The Zoom Motion Blur filter
Figure 17.24, “The Zoom Motion Blur filter”
Options
Section 3.8.2, “Options”
“Zoom Motion Blur” filter options
Figure 17.25, ““Zoom Motion Blur” filter options”
Tileable Blur
Section 3.9, “Tileable Blur”
Overview
Section 3.9.1, “Overview”
Example for the “Tileable” filter
Figure 17.26, “Example for the “Tileable” filter”
Activate the filter
Section 3.9.2, “Activate the filter”
Options
Section 3.9.3, “Options”
“Tileable Blur” filter options
Figure 17.27, ““Tileable Blur” filter options”
Enhance Filters
Section 4, “Enhance Filters”
The Enhance filters menu
Figure 17.28, “The Enhance filters menu”
Introduction
Section 4.1, “Introduction”
Antialias
Section 4.2, “Antialias”
Overview
Section 4.2.1, “Overview”
Activating the filter
Section 4.2.2, “Activating the filter”
Examples
Section 4.2.3, “Examples”
Deinterlace
Section 4.3, “Deinterlace”
Overview
Section 4.3.1, “Overview”
Activating the filter
Section 4.3.2, “Activating the filter”
Options
Section 4.3.3, “Options”
Deinterlace filter options
Figure 17.29, “Deinterlace filter options”
Example
Section 4.3.4, “Example”
Simple applying example for the Deinterlace filter
Figure 17.30, “Simple applying example for the Deinterlace filter”
High Pass
Section 4.4, “High Pass”
Overview
Section 4.4.1, “Overview”
Activating the filter
Section 4.4.2, “Activating the filter”
Options
Section 4.4.3, “Options”
“High Pass” filter options
Figure 17.31, ““High Pass” filter options”
Using High Pass Filter
Section 4.4.4, “Using High Pass Filter”
Noise Reduction
Section 4.5, “Noise Reduction”
Overview
Section 4.5.1, “Overview”
Activating the filter
Section 4.5.2, “Activating the filter”
Options
Section 4.5.3, “Options”
Noise Reduction filter options
Figure 17.32, “Noise Reduction filter options”
Example
Section 4.5.4, “Example”
Red Eye Removal
Section 4.6, “Red Eye Removal”
Overview
Section 4.6.1, “Overview”
Example for the “Red Eye Removal” filter
Figure 17.33, “Example for the “Red Eye Removal” filter”
Activating the filter
Section 4.6.2, “Activating the filter”
Options
Section 4.6.3, “Options”
“Red Eye Removal” options
Figure 17.34, ““Red Eye Removal” options”
Symmetric Nearest Neighbor
Section 4.7, “Symmetric Nearest Neighbor”
Overview
Section 4.7.1, “Overview”
Activating the filter
Section 4.7.2, “Activating the filter”
Options
Section 4.7.3, “Options”
“Symmetric Nearest neighbor” filter options
Figure 17.35, ““Symmetric Nearest neighbor” filter options”
Example
Section 4.7.4, “Example”
Sharpen (Unsharp Mask)
Section 4.8, “Sharpen (Unsharp Mask)”
Overview
Section 4.8.1, “Overview”
Applying example for the Sharpen filter
Figure 17.36, “Applying example for the Sharpen filter”
Activating the filter
Section 4.8.2, “Activating the filter”
Options
Section 4.8.3, “Options”
“Sharpen” filter options
Figure 17.37, ““Sharpen” filter options”
How does an unsharp mask work?
Section 4.8.4, “How does an unsharp mask work?”
Black eye effect
Figure 17.38, “Black eye effect”
Despeckle
Section 4.9, “Despeckle”
Overview
Section 4.9.1, “Overview”
Activating the filter
Section 4.9.2, “Activating the filter”
Options
Section 4.9.3, “Options”
“Despeckle” filter options
Figure 17.39, ““Despeckle” filter options”
Destripe
Section 4.10, “Destripe”
Overview
Section 4.10.1, “Overview”
Activating the filter
Section 4.10.2, “Activating the filter”
Options
Section 4.10.3, “Options”
“Destripe” filter options
Figure 17.40, ““Destripe” filter options”
NL Filter
Section 4.11, “NL Filter”
Overview
Section 4.11.1, “Overview”
Example for the NL-Filter
Figure 17.41, “Example for the NL-Filter”
Activating the filter
Section 4.11.2, “Activating the filter”
Options
Section 4.11.3, “Options”
“NL Filter” options
Figure 17.42, ““NL Filter” options”
Operating Modes
Section 4.11.4, “Operating Modes”
Wavelet Decompose
Section 4.12, “Wavelet Decompose”
Overview
Section 4.12.1, “Overview”
Example for “Wavelet decompose” filter
Figure 17.43, “Example for “Wavelet decompose” filter”
Activating the filter
Section 4.12.2, “Activating the filter”
Options
Section 4.12.3, “Options”
“Wavelet decompose” options
Figure 17.44, ““Wavelet decompose” options”
Distort Filters
Section 5, “Distort Filters”
The Distort filters menu
Figure 17.45, “The Distort filters menu”
Introduction
Section 5.1, “Introduction”
Apply Lens
Section 5.2, “Apply Lens”
Overview
Section 5.2.1, “Overview”
The same image, before and after applying lens effect.
Figure 17.46, “The same image, before and after applying lens effect.”
Activate the filter
Section 5.2.2, “Activate the filter”
Options
Section 5.2.3, “Options”
“Apply Lens” filter options
Figure 17.47, ““Apply Lens” filter options”
Emboss
Section 5.3, “Emboss”
Overview
Section 5.3.1, “Overview”
Applying example for the Emboss filter
Figure 17.48, “Applying example for the Emboss filter”
Starting filter
Section 5.3.2, “Starting filter”
Options
Section 5.3.3, “Options”
“Emboss” filter options
Figure 17.49, ““Emboss” filter options”
Engrave
Section 5.4, “Engrave”
Overview
Section 5.4.1, “Overview”
Example for the “Engrave” filter
Figure 17.50, “Example for the “Engrave” filter”
Activating the filter
Section 5.4.2, “Activating the filter”
Options
Section 5.4.3, “Options”
“Engrave” options
Figure 17.51, ““Engrave” options”
Example result of Limit line width option
Figure 17.52, “Example result of Limit line width option”
Lens Distortion
Section 5.5, “Lens Distortion”
Overview
Section 5.5.1, “Overview”
Example for the “Lens Distortion” filter
Figure 17.53, “Example for the “Lens Distortion” filter”
Activating the filter
Section 5.5.2, “Activating the filter”
Options
Section 5.5.3, “Options”
“Lens Distortion” options
Figure 17.54, ““Lens Distortion” options”
Example result of Main option
Figure 17.55, “Example result of Main option”
Example result of Edge option (Main set to 50.0)
Figure 17.56, “Example result of Edge option (Main set to 50.0)”
Example result of Zoom option
Figure 17.57, “Example result of Zoom option”
Example result of Brigthen option (Main set to 75.0)
Figure 17.58, “Example result of Brigthen option (Main set to 75.0)”
Example result of Shift X option (Main set to 70.0)
Figure 17.59, “Example result of Shift X option (Main set to 70.0)”
Mosaic
Section 5.6, “Mosaic”
Overview
Section 5.6.1, “Overview”
Applying example for the “Mosaic” filter
Figure 17.60, “Applying example for the “Mosaic” filter”
Activating the filter
Section 5.6.2, “Activating the filter”
Options
Section 5.6.3, “Options”
“Mosaic” filter options
Figure 17.61, ““Mosaic” filter options”
Polar Coordinates
Section 5.7, “Polar Coordinates”
Overview
Section 5.7.1, “Overview”
Example for Polar Coordinates filter
Figure 17.62, “Example for Polar Coordinates filter”
Activating the filter
Section 5.7.2, “Activating the filter”
Options
Section 5.7.3, “Options”
“Polar Coordinates” filter options
Figure 17.63, ““Polar Coordinates” filter options”
Examples
Section 5.7.4, “Examples”
With text
Figure 17.64, “With text”
With two horizontal bars
Figure 17.65, “With two horizontal bars”
Ripple
Section 5.8, “Ripple”
Overview
Section 5.8.1, “Overview”
“Ripple” filter example
Figure 17.66, ““Ripple” filter example”
Activating the filter
Section 5.8.2, “Activating the filter”
Options
Section 5.8.3, “Options”
“Ripple” filter options
Figure 17.67, ““Ripple” filter options”
Shift
Section 5.9, “Shift”
Overview
Section 5.9.1, “Overview”
Example for the Shift filter
Figure 17.68, “Example for the Shift filter”
Activating the filter
Section 5.9.2, “Activating the filter”
Options
Section 5.9.3, “Options”
“Shift” filter options
Figure 17.69, ““Shift” filter options”
Spherize
Section 5.10, “Spherize”
Overview
Section 5.10.1, “Overview”
Spherize filter example, with default values
Figure 17.70, “Spherize filter example, with default values”
Starting filter
Section 5.10.2, “Starting filter”
Options
Section 5.10.3, “Options”
“Spherize” filter options
Figure 17.71, ““Spherize” filter options”
Using Spherize filter
Section 5.10.4, “Using Spherize filter”
Value Propagate
Section 5.11, “Value Propagate”
Overview
Section 5.11.1, “Overview”
Example for the Value Propagate filter
Figure 17.72, “Example for the Value Propagate filter”
Activating the filter
Section 5.11.2, “Activating the filter”
Options
Section 5.11.3, “Options”
“Value propagate” filter options
Figure 17.73, ““Value propagate” filter options”
More white
Figure 17.74, “More white”
More black
Figure 17.75, “More black”
To bottom only
Figure 17.76, “To bottom only”
Middle value to peaks
Figure 17.77, “Middle value to peaks”
Color to peaks
Figure 17.78, “Color to peaks”
Only color
Figure 17.79, “Only color”
More opaque
Figure 17.80, “More opaque”
Using Value Propagate
Section 5.11.4, “Using Value Propagate”
Video
Section 5.12, “Video”
Overview
Section 5.12.1, “Overview”
Applying example for the “Video Degradation” filter
Figure 17.81, “Applying example for the “Video Degradation” filter”
Activating the filter
Section 5.12.2, “Activating the filter ”
Options
Section 5.12.3, “Options”
“Video” filter options
Figure 17.82, ““Video” filter options”
Waves
Section 5.13, “Waves”
Overview
Section 5.13.1, “Overview”
Example for the Waves filter
Figure 17.83, “Example for the Waves filter”
Activating the filter
Section 5.13.2, “Activating the filter”
Options
Section 5.13.3, “Options”
“Waves” filter options
Figure 17.84, ““Waves” filter options”
Whirl and Pinch
Section 5.14, “Whirl and Pinch”
Overview
Section 5.14.1, “Overview”
Example for the Whirl and Pinch filter
Figure 17.85, “Example for the Whirl and Pinch filter”
Illustration
Figure 17.86, “Illustration”
Activating the filter
Section 5.14.2, “Activating the filter”
Parameter Settings
Section 5.14.3, “Parameter Settings”
“Whirl and Pinch” filter options
Figure 17.87, ““Whirl and Pinch” filter options”
Wind
Section 5.15, “Wind”
Overview
Section 5.15.1, “Overview”
“Wind” filter example
Figure 17.88, ““Wind” filter example”
Activating the filter
Section 5.15.2, “Activating the filter”
Options
Section 5.15.3, “Options”
“Wind” filter options
Figure 17.89, ““Wind” filter options”
Curve Bend
Section 5.16, “Curve Bend”
Overview
Section 5.16.1, “Overview”
Applying example for the Curve Bend filter
Figure 17.90, “Applying example for the Curve Bend filter”
Activating the filter
Section 5.16.2, “Activating the filter”
Options
Section 5.16.3, “Options”
“Curve bend” filter options
Figure 17.91, ““Curve bend” filter options”
Emboss (legacy)
Section 5.17, “Emboss (legacy)”
Overview
Section 5.17.1, “Overview”
Applying example for the Emboss (legacy) filter
Figure 17.92, “Applying example for the Emboss (legacy) filter”
Starting filter
Section 5.17.2, “Starting filter”
Options
Section 5.17.3, “Options”
“Emboss (legacy)” filter options
Figure 17.93, ““Emboss (legacy)” filter options”
Newsprint
Section 5.18, “Newsprint”
Overview
Section 5.18.1, “Overview”
Applying example for the Newsprint filter
Figure 17.94, “Applying example for the Newsprint filter”
Starting filter
Section 5.18.2, “Starting filter”
Options
Section 5.18.3, “Options”
“Newsprint” filter options
Figure 17.95, ““Newsprint” filter options”
Example
Section 5.18.4, “Example”
Example for Newsprint
Figure 17.96, “Example for Newsprint”
Page Curl
Section 5.19, “Page Curl”
Overview
Section 5.19.1, “Overview”
Example for the Page Curl filter
Figure 17.97, “Example for the Page Curl filter”
Activating the filter
Section 5.19.2, “Activating the filter”
Options
Section 5.19.3, “Options”
Options
Figure 17.98, “Options”
Light and Shadow Filters
Section 6, “Light and Shadow Filters”
The Light and Shadow filters menu
Figure 17.99, “The Light and Shadow filters menu”
Introduction
Section 6.1, “Introduction”
Supernova
Section 6.2, “Supernova”
Overview
Section 6.2.1, “Overview”
Applying example for the Supernova filter
Figure 17.100, “Applying example for the Supernova filter”
Activate the filter
Section 6.2.2, “Activate the filter”
Options
Section 6.2.3, “Options”
“Supernova” filter options
Figure 17.101, ““Supernova” filter options”
Lens Flare
Section 6.3, “Lens Flare”
Overview
Section 6.3.1, “Overview”
Example for the Lens Flare filter
Figure 17.102, “Example for the Lens Flare filter”
Activate the filter
Section 6.3.2, “Activate the filter”
Options
Section 6.3.3, “Options”
“Lens Flare” filter options
Figure 17.103, ““Lens Flare” filter options”
Gradient Flare
Section 6.4, “Gradient Flare”
Overview
Section 6.4.1, “Overview”
Example for the Gradient Flare filter
Figure 17.104, “Example for the Gradient Flare filter”
Activating the filter
Section 6.4.2, “Activating the filter”
Options
Section 6.4.3, “Options”
Settings
Section 6.4.3.1, “Settings”
“Gradient Flare” filter options (Settings)
Figure 17.105, ““Gradient Flare” filter options (Settings)”
Selector
Section 6.4.3.2, “Selector”
“Gradient Flare” filter options (Selector)
Figure 17.106, ““Gradient Flare” filter options (Selector)”
Gradient Flare Editor
Section 6.4.4, “Gradient Flare Editor”
General
Section 6.4.4.1, “General”
“Gradient Flare Editor” options (General)
Figure 17.107, ““Gradient Flare Editor” options (General)”
Glow
Section 6.4.4.2, “Glow”
“Gradient Flare Editor” options (Glow)
Figure 17.108, ““Gradient Flare Editor” options (Glow)”
Rays
Section 6.4.4.3, “Rays”
“Gradient Flare Editor” options (Rays)
Figure 17.109, ““Gradient Flare Editor” options (Rays)”
Second Flares
Section 6.4.4.4, “Second Flares”
“Gradient Flare Editor” options (Second Flares)
Figure 17.110, “ “Gradient Flare Editor” options (Second Flares) ”
Lighting Effects
Section 6.5, “Lighting Effects”
Overview
Section 6.5.1, “Overview”
The same image, before and after applying Lighting filter
Figure 17.111, “The same image, before and after applying Lighting filter”
Activate the filter
Section 6.5.2, “Activate the filter”
Options
Section 6.5.3, “Options”
“Lighting” filter options
Figure 17.112, ““Lighting” filter options”
General Options
Section 6.5.3.1, “General Options”
“Lighting” filter options (General Options)
Figure 17.113, “ “Lighting” filter options (General Options) ”
Light Settings
Section 6.5.3.2, “Light Settings”
“Lighting” filter options (Light Settings)
Figure 17.114, “ “Lighting” filter options (Light Settings) ”
Material Properties
Section 6.5.3.3, “Material Properties”
“Lighting” filter options (Material Properties)
Figure 17.115, “ “Lighting” filter options (Material Properties) ”
Bump Map
Section 6.5.3.4, “Bump Map”
“Lighting” filter options (Bump Map)
Figure 17.116, “ “Lighting” filter options (Bump Map) ”
Environment Map
Section 6.5.3.5, “Environment Map”
“Lighting” filter options (Environment Map)
Figure 17.117, “ “Lighting” filter options (Environment Map) ”
Sparkle
Section 6.6, “Sparkle”
Overview
Section 6.6.1, “Overview”
Applying example for the Sparkle filter
Figure 17.118, “Applying example for the Sparkle filter”
Activate the filter
Section 6.6.2, “Activate the filter”
Parameter Settings
Section 6.6.3, “Parameter Settings”
“Sparkle” filter options
Figure 17.119, ““Sparkle” filter options”
Drop Shadow
Section 6.7, “Drop Shadow”
Overview
Section 6.7.1, “Overview”
Example for the “Drop Shadow” filter
Figure 17.120, “Example for the “Drop Shadow” filter”
Activate the filter
Section 6.7.2, “Activate the filter”
Options
Section 6.7.3, “Options”
“Drop Shadow” filter options
Figure 17.121, ““Drop Shadow” filter options”
Using Drop Shadow Filter
Section 6.7.4, “Using Drop Shadow Filter”
Long Shadow
Section 6.8, “Long Shadow”
Overview
Section 6.8.1, “Overview”
Activate the filter
Section 6.8.2, “Activate the filter”
Options
Section 6.8.3, “Options”
“Long Shadow” filter options
Figure 17.122, ““Long Shadow” filter options”
“Style” option examples
Figure 17.123, ““Style” option examples”
“Composition” option examples
Figure 17.124, ““Composition” option examples”
Vignette
Section 6.9, “Vignette”
Overview
Section 6.9.1, “Overview”
Original images used for examples
Figure 17.125, “Original images used for examples”
Activate the filter
Section 6.9.2, “Activate the filter”
Options
Section 6.9.3, “Options”
“Vignette” filter options
Figure 17.126, ““Vignette” filter options”
Drop Shadow
Section 6.10, “Drop Shadow”
Overview
Section 6.10.1, “Overview”
Example for the “Drop Shadow” filter
Figure 17.127, “Example for the “Drop Shadow” filter”
Activate the filter
Section 6.10.2, “Activate the filter”
Options
Section 6.10.3, “Options”
“Drop Shadow” filter options
Figure 17.128, ““Drop Shadow” filter options”
“Drop Shadow” color example
Figure 17.129, ““Drop Shadow” color example”
Perspective
Section 6.11, “Perspective”
Overview
Section 6.11.1, “Overview”
Example for the “Perspective” filter
Figure 17.130, “Example for the “Perspective” filter”
Activate the filter
Section 6.11.2, “Activate the filter”
Options
Section 6.11.3, “Options”
“Perspective” options
Figure 17.131, ““Perspective” options”
“Angle” example
Figure 17.132, ““Angle” example”
“Distance of horizon” example
Figure 17.133, ““Distance of horizon” example”
“Length of Shadow” example
Figure 17.134, ““Length of Shadow” example”
Blur example
Figure 17.135, “Blur example”
“Allow resizing” example
Figure 17.136, ““Allow resizing” example”
Xach-Effect
Section 6.12, “Xach-Effect”
Overview
Section 6.12.1, “Overview”
Example for the “Xach-Effect” filter
Figure 17.137, “Example for the “Xach-Effect” filter”
Activate the filter
Section 6.12.2, “Activate the filter”
Options
Section 6.12.3, “Options”
“Xach-Effect” options
Figure 17.138, ““Xach-Effect” options”
Noise Filters
Section 7, “Noise Filters”
Introduction
Section 7.1, “Introduction”
CIE lch Noise
Section 7.2, “CIE lch Noise”
Overview
Section 7.2.1, “Overview”
Example of applying the “CIE lch Noise” filter
Figure 17.139, “Example of applying the “CIE lch Noise” filter”
Activate the filter
Section 7.2.2, “Activate the filter”
Options
Section 7.2.3, “Options”
“CIE lch Noise” filter options
Figure 17.140, ““CIE lch Noise” filter options”
HSV Noise
Section 7.3, “HSV Noise”
Overview
Section 7.3.1, “Overview”
Example of applying the “HSV Noise” filter
Figure 17.141, “Example of applying the “HSV Noise” filter”
Activate the filter
Section 7.3.2, “Activate the filter”
Options
Section 7.3.3, “Options”
“HSV Noise” filter options
Figure 17.142, ““HSV Noise” filter options”
Hurl
Section 7.4, “Hurl”
Overview
Section 7.4.1, “Overview”
Example for the “Hurl” filter
Figure 17.143, “Example for the “Hurl” filter”
Options
Section 7.4.2, “Options”
“Hurl” options
Figure 17.144, ““Hurl” options”
Pick
Section 7.5, “Pick”
Overview
Section 7.5.1, “Overview”
Example of applying the “Pick” filter
Figure 17.145, “Example of applying the “Pick” filter”
Activate the filter
Section 7.5.2, “Activate the filter”
Options
Section 7.5.3, “Options”
“Pick” filter options
Figure 17.146, ““Pick” filter options”
RGB Noise
Section 7.6, “RGB Noise”
Overview
Section 7.6.1, “Overview”
Example of applying the “RGB Noise” filter
Figure 17.147, “Example of applying the “RGB Noise” filter”
Activate the filter
Section 7.6.2, “Activate the filter”
Options
Section 7.6.3, “Options”
“RGB Noise” filter options
Figure 17.148, ““RGB Noise” filter options”
Slur
Section 7.7, “Slur”
Overview
Section 7.7.1, “Overview”
Example of applying the Slur filter
Figure 17.149, “Example of applying the Slur filter”
Activate the filter
Section 7.7.2, “Activate the filter”
Options
Section 7.7.3, “Options”
Slur filter options
Figure 17.150, “Slur filter options”
Spread
Section 7.8, “Spread”
Overview
Section 7.8.1, “Overview”
Example of applying the Spread filter
Figure 17.151, “Example of applying the Spread filter”
Activate the filter
Section 7.8.2, “Activate the filter”
Options
Section 7.8.3, “Options”
“Spread” filter options
Figure 17.152, ““Spread” filter options”
Edge-Detect Filters
Section 8, “Edge-Detect Filters”
Introduction
Section 8.1, “Introduction”
Difference of Gaussians
Section 8.2, “Difference of Gaussians”
Overview
Section 8.2.1, “Overview”
Applying example for the “Difference of Gaussians” filter
Figure 17.153, “ Applying example for the “Difference of Gaussians” filter ”
Activating the filter
Section 8.2.2, “Activating the filter”
Options
Section 8.2.3, “Options”
Gaussian Difference filter options
Figure 17.154, “ Gaussian Difference filter options ”
Edge
Section 8.3, “Edge”
Activating the filter
Section 8.3.1, “Activating the filter”
Options
Section 8.3.2, “Options”
Edge filter options
Figure 17.155, “Edge filter options”
Laplace
Section 8.4, “Laplace”
Overview
Section 8.4.1, “Overview”
Applying example for the Laplace filter
Figure 17.156, “Applying example for the Laplace filter”
Activating the filter
Section 8.4.2, “Activating the filter”
Options
Section 8.4.3, “Options”
Neon
Section 8.5, “Neon”
Overview
Section 8.5.1, “Overview”
Applying example for the Neon filter
Figure 17.157, “Applying example for the Neon filter”
Activating the filter
Section 8.5.2, “Activating the filter”
Options
Section 8.5.3, “Options”
Neon filter options
Figure 17.158, “Neon filter options”
Sobel
Section 8.6, “Sobel”
Overview
Section 8.6.1, “Overview”
Applying example of the Sobel filter
Figure 17.159, “Applying example of the Sobel filter”
Activating the filter
Section 8.6.2, “Activating the filter”
Options
Section 8.6.3, “Options”
Sobel filter options
Figure 17.160, “Sobel filter options”
Generic Filters
Section 9, “Generic Filters”
Introduction
Section 9.1, “Introduction”
Convolution Matrix
Section 9.2, “Convolution Matrix”
Overview
Section 9.2.1, “Overview”
Activating the filter
Section 9.2.2, “Activating the filter”
Options
Section 9.2.3, “Options”
“Convolution matrix” options
Figure 17.161, ““Convolution matrix” options”
Examples
Section 9.2.4, “Examples”
Sharpen
Figure 17.162, “Sharpen”
Blur
Figure 17.163, “Blur”
Edge enhance
Figure 17.164, “Edge enhance”
Edge detect
Figure 17.165, “Edge detect”
Emboss
Figure 17.166, “Emboss”
Distance Map
Section 9.3, “Distance Map”
Overview
Section 9.3.1, “Overview”
Activating the filter
Section 9.3.2, “Activating the filter”
Options
Section 9.3.3, “Options”
“Distance Map” options
Figure 17.167, ““Distance Map” options”
“Threshold low” example
Figure 17.168, ““Threshold low” example”
“Normalize” example
Figure 17.169, ““Normalize” example”
Using Distance Map filter
Section 9.3.4, “Using Distance Map filter”
GEGL graph
Section 9.4, “GEGL graph”
Overview
Section 9.4.1, “Overview”
Activating the filter
Section 9.4.2, “Activating the filter”
Options
Section 9.4.3, “Options”
“Distance Map” options
Figure 17.170, ““Distance Map” options”
Dilate
Section 9.5, “Dilate”
Overview
Section 9.5.1, “Overview”
Applying example for the Dilate filter
Figure 17.171, “Applying example for the Dilate filter”
Activating the filter
Section 9.5.2, “Activating the filter”
Examples
Section 9.5.3, “Examples”
Dilate text
Figure 17.172, “Dilate text”
Dilate neon effect
Figure 17.173, “Dilate neon effect”
Erode
Section 9.6, “Erode”
Overview
Section 9.6.1, “Overview”
Erode noise
Figure 17.174, “Erode noise”
“Erode noise” example
Figure 17.175, ““Erode noise” example”
Activating the filter
Section 9.6.2, “Activating the filter”
Combine Filters
Section 10, “Combine Filters”
Introduction
Section 10.1, “Introduction”
Depth Merge
Section 10.2, “Depth Merge”
Overview
Section 10.2.1, “Overview”
Filter example
Figure 17.176, “Filter example”
Accessing this Filter
Section 10.2.2, “Accessing this Filter”
Options
Section 10.2.3, “Options”
“Depth Merge” filter options
Figure 17.177, ““Depth Merge” filter options”
Using example
Section 10.2.4, “Using example”
Source images and their maps
Figure 17.178, “Source images and their maps”
Results
Figure 17.179, “Results”
Filmstrip
Section 10.3, “Filmstrip”
Overview
Section 10.3.1, “Overview”
Applying example for the Filmstrip filter
Figure 17.180, “Applying example for the Filmstrip filter”
Accessing this Filter
Section 10.3.2, “Accessing this Filter”
Options
Section 10.3.3, “Options”
Selection
Section 10.3.3.1, “Selection”
“Filmstrip” filter options (Selection)
Figure 17.181, ““Filmstrip” filter options (Selection)”
Advanced
Section 10.3.3.2, “Advanced”
“Filmstrip” filter options (Advanced)
Figure 17.182, ““Filmstrip” filter options (Advanced)”
Artistic Filters
Section 11, “Artistic Filters”
Introduction
Section 11.1, “Introduction”
Apply Canvas
Section 11.2, “Apply Canvas”
Overview
Section 11.2.1, “Overview”
Example for the “Apply Canvas” filter
Figure 17.183, “Example for the “Apply Canvas” filter”
Activate the filter
Section 11.2.2, “Activate the filter”
Options
Section 11.2.3, “Options”
“Apply Canvas” options
Figure 17.184, ““Apply Canvas” options”
Cartoon
Section 11.3, “Cartoon”
Overview
Section 11.3.1, “Overview”
Example for the “Cartoon” filter
Figure 17.185, “Example for the “Cartoon” filter”
Activate the filter
Section 11.3.2, “Activate the filter”
Options
Section 11.3.3, “Options”
“Cartoon” filter options
Figure 17.186, ““Cartoon” filter options”
Cubism
Section 11.4, “Cubism”
Overview
Section 11.4.1, “Overview”
Example for the “Cubism”
Figure 17.187, “Example for the “Cubism””
Activate the filter
Section 11.4.2, “Activate the filter”
Options
Section 11.4.3, “Options”
“Cubism” filter options
Figure 17.188, ““Cubism” filter options”
Example illustrating the action of the “Use BackGround color” option
Figure 17.189, “ Example illustrating the action of the “Use BackGround color” option ”
The option is not checked
Figure 17.190, “The option is not checked”
The option is checked
Figure 17.191, “The option is checked”
Glass Tile
Section 11.5, “Glass Tile”
Overview
Section 11.5.1, “Overview”
The same image, before and after applying glass tile effect.
Figure 17.192, “ The same image, before and after applying glass tile effect. ”
Activate the filter
Section 11.5.2, “Activate the filter”
Options
Section 11.5.3, “Options”
“Glass Tile” filter options
Figure 17.193, ““Glass Tile” filter options”
Oilify
Section 11.6, “Oilify”
Overview
Section 11.6.1, “Overview”
Example for the “Oilify” filter
Figure 17.194, “Example for the “Oilify” filter”
Activate the filter
Section 11.6.2, “Activate the filter”
Options
Section 11.6.3, “Options”
“Oilify” filter options
Figure 17.195, ““Oilify” filter options”
Photocopy
Section 11.7, “Photocopy”
Overview
Section 11.7.1, “Overview”
Example for the “Photocopy” filter
Figure 17.196, “Example for the “Photocopy” filter”
Starting filter
Section 11.7.2, “Starting filter”
Options
Section 11.7.3, “Options”
“Photocopy” filter options
Figure 17.197, ““Photocopy” filter options”
Simple Linear Iterative Clustering (SLIC)
Section 11.8, “Simple Linear Iterative Clustering (SLIC)”
Overview
Section 11.8.1, “Overview”
Activating the filter
Section 11.8.2, “Activating the filter”
Options
Section 11.8.3, “Options”
“Simple Linear Iterative Clustering” options
Figure 17.198, ““Simple Linear Iterative Clustering” options”
“Regions size” example
Figure 17.199, ““Regions size” example”
“Compactness” example
Figure 17.200, ““Compactness” example”
“Regions size” example
Figure 17.201, ““Regions size” example”
Softglow
Section 11.9, “Softglow”
Overview
Section 11.9.1, “Overview”
Example for the “SoftGlow” filter
Figure 17.202, “Example for the “SoftGlow” filter”
Starting filter
Section 11.9.2, “Starting filter”
Options
Section 11.9.3, “Options”
“Softglow” filter options
Figure 17.203, ““Softglow” filter options”
Waterpixels
Section 11.10, “Waterpixels”
Overview
Section 11.10.1, “Overview”
Activating the filter
Section 11.10.2, “Activating the filter”
Options
Section 11.10.3, “Options”
“Waterpixels” options
Figure 17.204, ““Waterpixels” options”
Cartoon (legacy)
Section 11.11, “Cartoon (legacy)”
Overview
Section 11.11.1, “Overview”
Example for the “Cartoon (legacy)” filter
Figure 17.205, “Example for the “Cartoon (legacy)” filter”
Activate the filter
Section 11.11.2, “Activate the filter”
Options
Section 11.11.3, “Options”
“Cartoon” filter options
Figure 17.206, ““Cartoon” filter options”
Clothify
Section 11.12, “Clothify”
Overview
Section 11.12.1, “Overview”
Example of Clothify
Figure 17.207, “Example of Clothify”
Activate the filter
Section 11.12.2, “Activate the filter”
Options
Section 11.12.3, “Options”
“Clothify” filter options
Figure 17.208, ““Clothify” filter options”
GIMPressionist
Section 11.13, “GIMPressionist”
Overview
Section 11.13.1, “Overview”
Example for the “GIMPressionist” filter
Figure 17.209, “Example for the “GIMPressionist” filter”
Activating the filter
Section 11.13.2, “Activating the filter”
Options
Section 11.13.3, “Options”
GIMPressionist options
Figure 17.210, “GIMPressionist options”
Preview
Section 11.13.3.1, “Preview”
Presets tab
Section 11.13.3.2, “Presets tab”
“Presets” tab options
Figure 17.211, ““Presets” tab options”
Paper tab
Section 11.13.3.3, “Paper tab”
“Paper” tab options
Figure 17.212, ““Paper” tab options”
Brush tab
Section 11.13.3.4, “Brush tab”
“Brush” tab options
Figure 17.213, ““Brush” tab options”
Orientation tab
Section 11.13.3.5, “Orientation tab”
“Orientation” tab options
Figure 17.214, ““Orientation” tab options”
Size tab
Section 11.13.3.6, “Size tab”
“Size” tab options
Figure 17.215, ““Size” tab options”
Placement tab
Section 11.13.3.7, “Placement tab”
“Placement” tab options
Figure 17.216, ““Placement” tab options”
Color tab
Section 11.13.3.8, “Color tab”
“Color” tab options
Figure 17.217, ““Color” tab options”
General tab
Section 11.13.3.9, “General tab”
“General” tab options
Figure 17.218, ““General” tab options”
Orientation Map Editor
Section 11.13.4, “Orientation Map Editor”
Overview
Section 11.13.4.1, “Overview”
Options
Section 11.13.4.2, “Options”
Options of the “Orientation-map Editor” dialog
Figure 17.219, “ Options of the “Orientation-map Editor” dialog ”
???TITLE???
Voronoi
Size Map Editor
Section 11.13.5, “Size Map Editor”
Overview
Section 11.13.5.1, “Overview”
Options
Section 11.13.5.2, “Options”
Size-map editor options
Figure 17.220, “Size-map editor options”
Oilify (legacy)
Section 11.14, “Oilify (legacy)”
Overview
Section 11.14.1, “Overview”
Example for the “Oilify (legacy)” filter
Figure 17.221, “Example for the “Oilify (legacy)” filter”
Activate the filter
Section 11.14.2, “Activate the filter”
Options
Section 11.14.3, “Options”
“Oilify (legacy)” filter options
Figure 17.222, ““Oilify (legacy)” filter options”
Predator
Section 11.15, “Predator”
Overview
Section 11.15.1, “Overview”
Example for the “Predator” filter
Figure 17.223, “Example for the “Predator” filter”
Activate the filter
Section 11.15.2, “Activate the filter”
Options
Section 11.15.3, “Options”
“Predator” options
Figure 17.224, ““Predator” options”
“Edge amount” examples
Figure 17.225, ““Edge amount” examples”
“Pixelize” examples
Figure 17.226, ““Pixelize” examples”
Softglow (legacy)
Section 11.16, “Softglow (legacy)”
Overview
Section 11.16.1, “Overview”
Example for the “SoftGlow (legacy)” filter
Figure 17.227, “Example for the “SoftGlow (legacy)” filter”
Starting filter
Section 11.16.2, “Starting filter”
Options
Section 11.16.3, “Options”
“Softglow” filter options
Figure 17.228, ““Softglow” filter options”
Van Gogh (LIC)
Section 11.17, “Van Gogh (LIC)”
Overview
Section 11.17.1, “Overview”
From left to right: original image, map, resulting image
Figure 17.229, “ From left to right: original image, map, resulting image ”
Activate the filter
Section 11.17.2, “Activate the filter”
Options
Section 11.17.3, “Options”
“Van Gogh (LIC)” filter options
Figure 17.230, ““Van Gogh (LIC)” filter options”
Derivative option example
Figure 17.231, “Derivative option example”
Blurring with vertical gradient map
Figure 17.232, “Blurring with vertical gradient map”
Blurring with a square gradient map
Figure 17.233, “Blurring with a square gradient map”
Texture example
Figure 17.234, “Texture example”
Action example of Filter Length on blur
Figure 17.235, “Action example of Filter Length on blur”
Filter Length example on texture
Figure 17.236, “Filter Length example on texture”
Action example of Noise Magnitude on texture
Figure 17.237, “Action example of Noise Magnitude on texture”
Action example of Integration Steps on texture
Figure 17.238, “Action example of Integration Steps on texture”
Action example of min/max values on texture
Figure 17.239, “Action example of min/max values on texture”
Weave
Section 11.18, “Weave”
Overview
Section 11.18.1, “Overview”
Example of Weave
Figure 17.240, “Example of Weave”
Activate the filter
Section 11.18.2, “Activate the filter”
Options
Section 11.18.3, “Options”
“Weave” filter options
Figure 17.241, ““Weave” filter options”
Another usage
Section 11.18.4, “Another usage”
Adding a lattice using “Weave” texture
Figure 17.242, “Adding a lattice using “Weave” texture”
Decor Filters
Section 12, “Decor Filters”
Introduction
Section 12.1, “Introduction”
Add Bevel
Section 12.2, “Add Bevel”
Overview
Section 12.2.1, “Overview”
Example for the “Add Bevel” filter
Figure 17.243, “Example for the “Add Bevel” filter”
Another “Add Bevel” example, with bumpmap
Figure 17.244, “Another “Add Bevel” example, with bumpmap”
Activate the filter
Section 12.2.2, “Activate the filter”
Options
Section 12.2.3, “Options”
“Add Bevel” options
Figure 17.245, ““Add Bevel” options”
Add Border
Section 12.3, “Add Border”
Overview
Section 12.3.1, “Overview”
Example for the “Add Border” filter
Figure 17.246, “Example for the “Add Border” filter”
Activate the filter
Section 12.3.2, “Activate the filter”
Options
Section 12.3.3, “Options”
“Add Border” options
Figure 17.247, ““Add Border” options”
Delta examples
Figure 17.248, “Delta examples”
Coffee Stain
Section 12.4, “Coffee Stain”
Overview
Section 12.4.1, “Overview”
Example for the “Coffee Stain” filter
Figure 17.249, “Example for the “Coffee Stain” filter”
Activate the filter
Section 12.4.2, “Activate the filter”
Options
Section 12.4.3, “Options”
“Coffee Stain” options
Figure 17.250, ““Coffee Stain” options”
Fog
Section 12.5, “Fog”
Overview
Section 12.5.1, “Overview”
Example for the “Fog” filter
Figure 17.251, “Example for the “Fog” filter”
Activating the filter
Section 12.5.2, “Activating the filter”
Options
Section 12.5.3, “Options”
“Fog” options
Figure 17.252, ““Fog” options”
Fuzzy Border
Section 12.6, “Fuzzy Border”
Overview
Section 12.6.1, “Overview”
Example for the “Fuzzy Border” filter
Figure 17.253, “Example for the “Fuzzy Border” filter”
Activate the filter
Section 12.6.2, “Activate the filter”
Options
Section 12.6.3, “Options”
“Fuzzy Border” options
Figure 17.254, ““Fuzzy Border” options”
“Blur border” example
Figure 17.255, ““Blur border” example”
“Blur border” zoomed (1600%)
Figure 17.256, ““Blur border” zoomed (1600%)”
Granularity example (without blurring)
Figure 17.257, “Granularity example (without blurring)”
“Add shadow” example
Figure 17.258, ““Add shadow” example”
Old Photo
Section 12.7, “Old Photo”
Overview
Section 12.7.1, “Overview”
Example for the “Old Photo” filter
Figure 17.259, “Example for the “Old Photo” filter”
Activate the filter
Section 12.7.2, “Activate the filter”
Options
Section 12.7.3, “Options”
“Old Photo” options
Figure 17.260, ““Old Photo” options”
Example for the “Defocus” option
Figure 17.261, “Example for the “Defocus” option”
Example for the “Mottle” option
Figure 17.262, “Example for the “Mottle” option”
Round Corners
Section 12.8, “Round Corners”
Overview
Section 12.8.1, “Overview”
Example for the “Round Corners” filter
Figure 17.263, “Example for the “Round Corners” filter”
Activate the filter
Section 12.8.2, “Activate the filter”
Options
Section 12.8.3, “Options”
“Round Corners” options
Figure 17.264, ““Round Corners” options”
Edge radius examples
Figure 17.265, “Edge radius examples”
Shadow offset examples
Figure 17.266, “Shadow offset examples”
Slide
Section 12.9, “Slide”
Overview
Section 12.9.1, “Overview”
Example for the “Slide” filter
Figure 17.267, “Example for the “Slide” filter”
Activate the filter
Section 12.9.2, “Activate the filter”
Options
Section 12.9.3, “Options”
“Slide” options
Figure 17.268, ““Slide” options”
Stencil Carve
Section 12.10, “Stencil Carve”
Overview
Section 12.10.1, “Overview”
Example for the “Stencil Carve” filter
Figure 17.269, “Example for the “Stencil Carve” filter”
Activating the filter
Section 12.10.2, “Activating the filter”
Options
Section 12.10.3, “Options”
“Stencil Carve” options
Figure 17.270, ““Stencil Carve” options”
Engraving Masks
Figure 17.271, “Engraving Masks”
Example for “Carve white areas”
Figure 17.272, “Example for “Carve white areas””
Stencil Chrome
Section 12.11, “Stencil Chrome”
Overview
Section 12.11.1, “Overview”
Example for the “Stencil Chrome” filter
Figure 17.273, “Example for the “Stencil Chrome” filter”
Activating the filter
Section 12.11.2, “Activating the filter”
Options
Section 12.11.3, “Options”
“Stencil Chrome” options
Figure 17.274, ““Stencil Chrome” options”
How to create the chrome effect
Section 12.11.4, “How to create the chrome effect”
Map Filters
Section 13, “Map Filters”
Introduction
Section 13.1, “Introduction”
Bump Map
Section 13.2, “Bump Map”
Overview
Section 13.2.1, “Overview”
“bump-map” example
Figure 17.275, ““bump-map” example”
Activate the filter
Section 13.2.2, “Activate the filter”
Options
Section 13.2.3, “Options”
“Bump Map” filter options
Figure 17.276, ““Bump Map” filter options”
Using Bumpmap filter
Section 13.2.4, “Using Bumpmap filter”
Displace
Section 13.3, “Displace”
Overview
Section 13.3.1, “Overview”
Displacement examples
Figure 17.277, “Displacement examples”
Activating the filter
Section 13.3.2, “Activating the filter”
Options
Section 13.3.3, “Options”
Displace filter options
Figure 17.278, “Displace filter options”
Cartesian Displacement Mode
Section 13.3.3.1, “Cartesian Displacement Mode”
Displace filter options (Cartesian)
Figure 17.279, “Displace filter options (Cartesian)”
Polar Displacement Mode
Section 13.3.3.2, “Polar Displacement Mode”
Displace filter options (Polar)
Figure 17.280, “Displace filter options (Polar)”
Center displacement
Section 13.3.3.3, “Center displacement”
Using gradient to bend a text
Section 13.3.4, “Using gradient to bend a text”
Using Displace filter to fit a text to an uneven surface
Section 13.3.5, “Using Displace filter to fit a text to an uneven surface”
Images example
Figure 17.281, “Images example”
Displacement Calculation
Section 13.3.6, “Displacement Calculation”
A closer look at the displacement example
Figure 17.282, “A closer look at the displacement example”
Fractal Trace
Section 13.4, “Fractal Trace”
Overview
Section 13.4.1, “Overview”
Fractal Trace
Figure 17.283, “Fractal Trace”
Activate the filter
Section 13.4.2, “Activate the filter”
Options
Section 13.4.3, “Options”
“Fractal trace” filter options
Figure 17.284, ““Fractal trace” filter options”
Illusion
Section 13.5, “Illusion”
Overview
Section 13.5.1, “Overview”
Illusion
Figure 17.285, “Illusion”
Activate the filter
Section 13.5.2, “Activate the filter”
Options
Section 13.5.3, “Options”
“Illusion” filter options
Figure 17.286, ““Illusion” filter options”
From left to right: original image, Type 1, Type 2, with Divisions=4
Figure 17.287, “ From left to right: original image, Type 1, Type 2, with Divisions=4 ”
Little Planet
Section 13.6, “Little Planet”
Overview
Section 13.6.1, “Overview”
Activate the filter
Section 13.6.2, “Activate the filter”
Options
Section 13.6.3, “Options”
“Little Planet” filter options
Figure 17.288, ““Little Planet” filter options”
Using Little Planet filter with an equirectangular image
Section 13.6.4, “Using Little Planet filter with an equirectangular image”
Using Little Planet filter with a normal image
Section 13.6.5, “Using Little Planet filter with a normal image”
Original Images
Figure 17.289, “Original Images”
Results
Figure 17.290, “Results”
Panorama Projection
Section 13.7, “Panorama Projection”
Overview
Section 13.7.1, “Overview”
Activate the filter
Section 13.7.2, “Activate the filter”
Options
Section 13.7.3, “Options”
“Panorama Projection” filter options
Figure 17.291, ““Panorama Projection” filter options”
Key Modifiers
Section 13.7.4, “Key Modifiers”
Using Panorama Projection filter
Section 13.7.5, “Using Panorama Projection filter”
“Panorama Projection” filter applied
Figure 17.292, ““Panorama Projection” filter applied”
Recursive Transform
Section 13.8, “Recursive Transform”
Overview
Section 13.8.1, “Overview”
Changing perspective
Figure 17.293, “Changing perspective”
Scaling in all directions
Figure 17.294, “Scaling in all directions”
Activate the filter
Section 13.8.2, “Activate the filter”
Options
Section 13.8.3, “Options”
“Recursive Transform” filter options
Figure 17.295, ““Recursive Transform” filter options”
“Recursive Transform” filter options
Figure 17.296, ““Recursive Transform” filter options”
Using Recursive Transform Filter
Section 13.8.4, “Using Recursive Transform Filter”
Paper Tile
Section 13.9, “Paper Tile”
Overview
Section 13.9.1, “Overview”
“Papertile” filter example.
Figure 17.297, ““Papertile” filter example.”
Activate the filter
Section 13.9.2, “Activate the filter”
Options
Section 13.9.3, “Options”
“Paper Tile” filter options
Figure 17.298, ““Paper Tile” filter options”
Tile Seamless
Section 13.10, “Tile Seamless”
Overview
Section 13.10.1, “Overview”
An example of Tile Seamless.
Figure 17.299, “An example of Tile Seamless.”
Activation
Section 13.10.2, “Activation”
Options
Section 13.10.3, “Options”
“Tile Seamless” filter options
Figure 17.300, ““Tile Seamless” filter options”
Fractal Trace (legacy)
Section 13.11, “Fractal Trace (legacy)”
Overview
Section 13.11.1, “Overview”
Fractal Trace (legacy)
Figure 17.301, “Fractal Trace (legacy)”
Activate the filter
Section 13.11.2, “Activate the filter”
Options
Section 13.11.3, “Options”
“Fractal trace (legacy)” filter options
Figure 17.302, ““Fractal trace (legacy)” filter options”
Map Object
Section 13.12, “Map Object”
Overview
Section 13.12.1, “Overview”
The “Map Object” filter applied to a photograph
Figure 17.303, “ The “Map Object” filter applied to a photograph ”
Activate the filter
Section 13.12.2, “Activate the filter”
Options
Section 13.12.3, “Options”
Preview
Section 13.12.3.1, “Preview”
General Options
Section 13.12.3.2, “General Options”
“Map Object” options (General)
Figure 17.304, ““Map Object” options (General)”
Light
Section 13.12.3.3, “Light”
“Map Object” options (Light)
Figure 17.305, ““Map Object” options (Light)”
Material
Section 13.12.3.4, “Material”
“Map Object” options (Material)
Figure 17.306, ““Map Object” options (Material)”
Orientation
Section 13.12.3.5, “Orientation”
“Map Object” options (Orientation)
Figure 17.307, ““Map Object” options (Orientation)”
Box
Section 13.12.3.6, “Box”
“Map Object” options (Box)
Figure 17.308, ““Map Object” options (Box)”
Cylinder
Section 13.12.3.7, “Cylinder”
“Map Object” options (Cylinder)
Figure 17.309, ““Map Object” options (Cylinder)”
Tile
Section 13.13, “Tile”
Overview
Section 13.13.1, “Overview”
The same image, before and after applying Tile filter
Figure 17.310, “The same image, before and after applying Tile filter”
Activate the filter
Section 13.13.2, “Activate the filter”
Options
Section 13.13.3, “Options”
“Tile” filter options
Figure 17.311, ““Tile” filter options”
Rendering Filters
Section 14, “Rendering Filters”
Introduction
Section 14.1, “Introduction”
Flame
Section 14.2, “Flame”
Overview
Section 14.2.1, “Overview”
Example of a rendered Flame
Figure 17.312, “Example of a rendered Flame”
Activating the filter
Section 14.2.2, “Activating the filter”
Options
Section 14.2.3, “Options”
“Flame” filter options
Figure 17.313, ““Flame” filter options”
The Edit Flame dialog
Figure 17.314, “The Edit Flame dialog”
Fractal Explorer
Section 14.3, “Fractal Explorer”
Overview
Section 14.3.1, “Overview”
Example for the Fractal Explorer filter
Figure 17.315, “Example for the Fractal Explorer filter”
Starting filter
Section 14.3.2, “Starting filter”
Options
Section 14.3.3, “Options”
“Fractal Explorer” filter options
Figure 17.316, ““Fractal Explorer” filter options”
Preview
Section 14.3.3.1, “Preview”
Parameters
Section 14.3.3.2, “Parameters”
“Fractal Explorer” filter options (Parameters)
Figure 17.317, “ “Fractal Explorer” filter options (Parameters) ”
Colors
Section 14.3.3.3, “Colors”
“Fractal Explorer” filter options (Colors)
Figure 17.318, “ “Fractal Explorer” filter options (Colors) ”
Loglog smoothing example
Figure 17.319, “Loglog smoothing example”
Fractals
Section 14.3.3.4, “Fractals”
“Fractal Explorer” filter options (Fractals)
Figure 17.320, “ “Fractal Explorer” filter options (Fractals) ”
IFS Fractal
Section 14.4, “IFS Fractal”
???TITLE???
IFS Fractal
Overview
Section 14.4.1, “Overview”
Applying example for the IFS Fractal filter
Figure 17.321, “Applying example for the IFS Fractal filter”
Activating the filter
Section 14.4.2, “Activating the filter”
Options
Section 14.4.3, “Options”
“IFS Fractal” filter options
Figure 17.322, ““IFS Fractal” filter options”
A Brief Tutorial
Section 14.4.4, “A Brief Tutorial”
Tutorial Step 2
Figure 17.323, “Tutorial Step 2”
Tutorial Step 3
Figure 17.324, “Tutorial Step 3”
Tutorial Step 4
Figure 17.325, “Tutorial Step 4”
Tutorial Step 5
Figure 17.326, “Tutorial Step 5”
Cell Noise
Section 14.5, “Cell Noise”
Overview
Section 14.5.1, “Overview”
Activating the filter
Section 14.5.2, “Activating the filter”
Options
Section 14.5.3, “Options”
“Cell Noise” filter options
Figure 17.327, ““Cell Noise” filter options”
Perlin Noise
Section 14.6, “Perlin Noise”
Overview
Section 14.6.1, “Overview”
Activating the filter
Section 14.6.2, “Activating the filter”
Options
Section 14.6.3, “Options”
“Perlin Noise” filter options
Figure 17.328, ““Perlin Noise” filter options”
“Alpha ” option examples
Figure 17.329, ““Alpha ” option examples”
“Z offset” option examples
Figure 17.330, ““Z offset” option examples”
Plasma
Section 14.7, “Plasma”
Overview
Section 14.7.1, “Overview”
Example of a rendered plasma
Figure 17.331, “Example of a rendered plasma”
Activating the filter
Section 14.7.2, “Activating the filter”
Options
Section 14.7.3, “Options”
“Plasma” filter options
Figure 17.332, ““Plasma” filter options”
Simplex Noise
Section 14.8, “Simplex Noise”
Overview
Section 14.8.1, “Overview”
Activating the filter
Section 14.8.2, “Activating the filter”
Options
Section 14.8.3, “Options”
“Simplex Noise” filter options
Figure 17.333, ““Simplex Noise” filter options”
Solid Noise
Section 14.9, “Solid Noise”
Overview
Section 14.9.1, “Overview”
Example of turbulent solid noise
Figure 17.334, “Example of turbulent solid noise”
Activating the filter
Section 14.9.2, “Activating the filter”
Options
Section 14.9.3, “Options”
“Solid Noise” filter options
Figure 17.335, ““Solid Noise” filter options”
Difference Clouds
Section 14.10, “Difference Clouds”
Overview
Section 14.10.1, “Overview”
Example of Difference Clouds
Figure 17.336, “Example of Difference Clouds”
Activate the filter
Section 14.10.2, “Activate the filter”
Options
Section 14.10.3, “Options”
Checkerboard
Section 14.11, “Checkerboard”
Overview
Section 14.11.1, “Overview”
Example for the Checkerboard filter
Figure 17.337, “Example for the Checkerboard filter”
Starting filter
Section 14.11.2, “Starting filter”
Options
Section 14.11.3, “Options”
“Checkerboard (legacy)” filter options
Figure 17.338, ““Checkerboard (legacy)” filter options”
Diffraction Patterns
Section 14.12, “Diffraction Patterns”
Overview
Section 14.12.1, “Overview”
Two examples of diffraction patterns
Figure 17.339, “Two examples of diffraction patterns”
Activating the filter
Section 14.12.2, “Activating the filter”
Options
Section 14.12.3, “Options”
“Diffraction Patterns” filter options
Figure 17.340, ““Diffraction Patterns” filter options”
Grid
Section 14.13, “Grid”
Overview
Section 14.13.1, “Overview”
Applying example for the Grid filter
Figure 17.341, “Applying example for the Grid filter”
Activating the filter
Section 14.13.2, “Activating the filter”
Options
Section 14.13.3, “Options”
“Grid” filter options
Figure 17.342, ““Grid” filter options”
Maze
Section 14.14, “Maze”
Overview
Section 14.14.1, “Overview”
An example of a rendered maze.
Figure 17.343, “An example of a rendered maze. ”
Activating the filter
Section 14.14.2, “Activating the filter”
Options
Section 14.14.3, “Options”
“Maze” filter options
Figure 17.344, ““Maze” filter options”
Sinus
Section 14.15, “Sinus”
Overview
Section 14.15.1, “Overview”
Applying example for the Sinus filter
Figure 17.345, “Applying example for the Sinus filter”
Options
Section 14.15.2, “Options”
“Sinus” filter options (Settings)
Figure 17.346, ““Sinus” filter options (Settings)”
Checkerboard (legacy)
Section 14.16, “Checkerboard (legacy)”
Overview
Section 14.16.1, “Overview”
Example for the Checkerboard (legacy) filter
Figure 17.347, “Example for the Checkerboard (legacy) filter”
Starting filter
Section 14.16.2, “Starting filter”
Options
Section 14.16.3, “Options”
“Checkerboard (legacy)” filter options
Figure 17.348, ““Checkerboard (legacy)” filter options”
CML Explorer
Section 14.17, “CML Explorer”
Overview
Section 14.17.1, “Overview”
Example for the “CML Explorer” filter
Figure 17.349, “Example for the “CML Explorer” filter”
Activating the filter
Section 14.17.2, “Activating the filter”
Options
Section 14.17.3, “Options”
Hue tab
Figure 17.350, “Hue tab”
Function graph of present settings
Figure 17.351, “Function graph of present settings”
Saturation tab
Figure 17.352, “Saturation tab”
Value tab
Figure 17.353, “Value tab”
Advanced tab
Figure 17.354, “Advanced tab”
Others tab
Figure 17.355, “Others tab”
Miscellaneous options tab
Figure 17.356, “Miscellaneous options tab”
Grid (legacy)
Section 14.18, “Grid (legacy)”
Overview
Section 14.18.1, “Overview”
Applying example for the Grid (legacy) filter
Figure 17.357, “Applying example for the Grid (legacy) filter”
Activating the filter
Section 14.18.2, “Activating the filter”
Options
Section 14.18.3, “Options”
“Grid (legacy)” filter options
Figure 17.358, ““Grid (legacy)” filter options”
Intersection parameters
Figure 17.359, “Intersection parameters”
Jigsaw
Section 14.19, “Jigsaw”
Overview
Section 14.19.1, “Overview”
Jigsaw filter example
Figure 17.360, “Jigsaw filter example”
Activating the filter
Section 14.19.2, “Activating the filter”
Options
Section 14.19.3, “Options”
“Jigsaw” filter options
Figure 17.361, ““Jigsaw” filter options”
Qbist
Section 14.20, “Qbist”
Overview
Section 14.20.1, “Overview”
Applying examples for the Qbist filter
Figure 17.362, “Applying examples for the Qbist filter”
Activating the filter
Section 14.20.2, “Activating the filter”
Options
Section 14.20.3, “Options”
“Qbist” filter options
Figure 17.363, ““Qbist” filter options”
Circuit
Section 14.21, “Circuit”
Overview
Section 14.21.1, “Overview”
Example of Circuit
Figure 17.364, “Example of Circuit”
Activate the filter
Section 14.21.2, “Activate the filter”
Options
Section 14.21.3, “Options”
“Circuit” filter options
Figure 17.365, ““Circuit” filter options”
Making the Circuit effect
Section 14.21.4, “Making the Circuit effect”
Gfig
Section 14.22, “Gfig”
Overview
Section 14.22.1, “Overview”
The same image, before and after using Gfig
Figure 17.366, “The same image, before and after using Gfig”
Starting filter
Section 14.22.2, “Starting filter”
Options
Section 14.22.3, “Options”
“Gfig” filter options
Figure 17.367, ““Gfig” filter options”
The Gfig tool bar
Section 14.22.3.1, “The Gfig tool bar”
The Gfig main window
Section 14.22.3.2, “The Gfig main window”
Lava
Section 14.23, “Lava”
Overview
Section 14.23.1, “Overview”
Example for the “Lava” filter
Figure 17.368, “Example for the “Lava” filter”
Activating the filter
Section 14.23.2, “Activating the filter”
Options
Section 14.23.3, “Options”
“Lava” options
Figure 17.369, ““Lava” options”
Line Nova
Section 14.24, “Line Nova”
Overview
Section 14.24.1, “Overview”
Example for the “Line Nova” filter
Figure 17.370, “Example for the “Line Nova” filter”
Activating the filter
Section 14.24.2, “Activating the filter”
Options
Section 14.24.3, “Options”
“Line Nova” options
Figure 17.371, ““Line Nova” options”
“Line Nova” sharpness option
Figure 17.372, ““Line Nova” sharpness option”
“Line Nova” offset radius option
Figure 17.373, ““Line Nova” offset radius option”
“Line Nova” randomness option
Figure 17.374, ““Line Nova” randomness option”
Sphere Designer
Section 14.25, “Sphere Designer”
Overview
Section 14.25.1, “Overview”
The same image, before and after the application of “Sphere Designer” filter.
Figure 17.375, “ The same image, before and after the application of “Sphere Designer” filter. ”
Activating Sphere Designer
Section 14.25.2, “Activating Sphere Designer”
Options
Section 14.25.3, “Options”
“Sphere Designer” filter parameters
Figure 17.376, ““Sphere Designer” filter parameters”
Spyrogimp
Section 14.26, “Spyrogimp”
Overview
Section 14.26.1, “Overview”
Example for the “Spyrogimp” filter
Figure 17.377, “Example for the “Spyrogimp” filter”
Activating the filter
Section 14.26.2, “Activating the filter”
Selection and Tool
Section 14.26.3, “Selection and Tool”
The Current Selection
Section 14.26.3.1, “The Current Selection”
Tool Settings
Section 14.26.3.2, “Tool Settings”
Gradient Settings
Section 14.26.3.3, “Gradient Settings”
Options
Section 14.26.4, “Options”
“Spyrogimp” options
Figure 17.378, ““Spyrogimp” options”
Options Above the Tabs
Section 14.26.4.1, “Options Above the Tabs”
Curve Pattern Tab
Section 14.26.4.2, “Curve Pattern Tab”
“Spyrogimp” filter options (Curve Pattern)
Figure 17.379, “ “Spyrogimp” filter options (Curve Pattern) ”
Fixed Gear Tab
Section 14.26.4.3, “Fixed Gear Tab”
“Spyrogimp” filter options (Fixed Gear)
Figure 17.380, “ “Spyrogimp” filter options (Fixed Gear) ”
Size Tab
Section 14.26.4.4, “Size Tab”
“Spyrogimp” filter options (Size)
Figure 17.381, “ “Spyrogimp” filter options (Size) ”
Buttons Below the Tabs
Section 14.26.4.5, “Buttons Below the Tabs”
Web Filters
Section 15, “Web Filters”
Introduction
Section 15.1, “Introduction”
The Web filters menu
Figure 17.382, “The Web filters menu”
ImageMap
Section 15.2, “ImageMap”
Overview
Section 15.2.1, “Overview”
Activate the filter
Section 15.2.2, “Activate the filter”
Options
Section 15.2.3, “Options”
Imagemap filter options
Figure 17.383, “Imagemap filter options”
The Menu Bar
Section 15.2.3.1, “The Menu Bar”
Editing an imagemap area
Figure 17.384, “Editing an imagemap area”
Editing the imagemap data
Figure 17.385, “Editing the imagemap data”
Grid options
Figure 17.386, “Grid options”
Guide options
Figure 17.387, “Guide options”
The Tool Bar
Section 15.2.3.2, “The Tool Bar”
The Working Area
Section 15.2.3.3, “The Working Area”
The Working Area
Figure 17.388, “The Working Area”
The selection area
Section 15.2.3.4, “The selection area”
Semi-Flatten
Section 15.3, “Semi-Flatten”
Overview
Section 15.3.1, “Overview”
Activate the filter
Section 15.3.2, “Activate the filter”
Example
Section 15.3.3, “Example”
Semi-Flatten example
Figure 17.389, “Semi-Flatten example”
Semi-Flatten filter applied
Figure 17.390, “Semi-Flatten filter applied”
Slice
Section 15.4, “Slice”
Overview
Section 15.4.1, “Overview”
Example for the “Slice” filter
Figure 17.391, “Example for the “Slice” filter”
Simple “Slice” filter example output
Example 17.1, “Simple “Slice” filter example output”
Activate the filter
Section 15.4.2, “Activate the filter”
Options
Section 15.4.3, “Options”
“Slice” options
Figure 17.392, ““Slice” options”
With separate image folder
Example 17.2, “With separate image folder”
Space between table elements
Example 17.3, “Space between table elements”
JavaScript code snippet
Example 17.4, “JavaScript code snippet”
Skipped animation for table caps (simplified HTML code)
Example 17.5, “ Skipped animation for table caps (simplified HTML code) ”
Animation Filters
Section 16, “Animation Filters”
Introduction
Section 16.1, “Introduction”
The Animation filters menu
Figure 17.393, “The Animation filters menu”
Blend
Section 16.2, “Blend”
Overview
Section 16.2.1, “Overview”
Example for the “Blend” filter: original image
Figure 17.394, “ Example for the “Blend” filter: original image ”
Example for the “Blend” filter: filter applied
Figure 17.395, “ Example for the “Blend” filter: filter applied ”
Activating the filter
Section 16.2.2, “Activating the filter”
Options
Section 16.2.3, “Options”
“Blend” options
Figure 17.396, ““Blend” options”
Burn-In
Section 16.3, “Burn-In”
Overview
Section 16.3.1, “Overview”
Example for the “Burn-In” filter: original image
Figure 17.397, “ Example for the “Burn-In” filter: original image ”
Example for the “Burn-In” filter: filter applied
Figure 17.398, “ Example for the “Burn-In” filter: filter applied ”
Activating the filter
Section 16.3.2, “Activating the filter”
Options
Section 16.3.3, “Options”
“Burn-In” options
Figure 17.399, ““Burn-In” options”
Rippling
Section 16.4, “Rippling”
Overview
Section 16.4.1, “Overview”
Example for the “Rippling” filter
Figure 17.400, “Example for the “Rippling” filter”
Activating the filter
Section 16.4.2, “Activating the filter”
Options
Section 16.4.3, “Options”
“Rippling” options
Figure 17.401, ““Rippling” options”
Spinning Globe
Section 16.5, “Spinning Globe”
Overview
Section 16.5.1, “Overview”
Example for the “Spinning Globe” filter: original image
Figure 17.402, “ Example for the “Spinning Globe” filter: original image ”
Example for the “Spinning Globe” filter: filter applied
Figure 17.403, “ Example for the “Spinning Globe” filter: filter applied ”
Activating the filter
Section 16.5.2, “Activating the filter”
Options
Section 16.5.3, “Options”
“Spinning Globe” options
Figure 17.404, ““Spinning Globe” options”
Waves
Section 16.6, “Waves”
Overview
Section 16.6.1, “Overview”
Example for the “Waves” filter
Figure 17.405, “Example for the “Waves” filter”
Activating the filter
Section 16.6.2, “Activating the filter”
Options
Section 16.6.3, “Options”
“Waves” options
Figure 17.406, ““Waves” options”
Optimize
Section 16.7, “Optimize”
???TITLE???
Optimize (for GIF)
???TITLE???
Optimize (Difference)
Overview
Section 16.7.1, “Overview”
Activate filters
Section 16.7.2, “Activate filters”
Example for the Optimize animation filters
Section 16.7.3, “Example for the Optimize animation filters”
Unoptimize
Section 16.7.4, “Unoptimize”
Playback
Section 16.8, “Playback”
???TITLE???
Playback
Overview
Section 16.8.1, “Overview”
Activate the filter
Section 16.8.2, “Activate the filter”
Options
Section 16.8.3, “Options”
“Playback” filter options
Figure 17.407, ““Playback” filter options”
Keys and Mouse Reference
Keys and Mouse Reference
Help
Help
Help
the section called “Help”
Tools
Tools
Tools
the section called “Tools”
File
File
File
the section called “File”
Dialogs
Dialogs
Dockable Dialogs
the section called “Dockable Dialogs”
View
View
View
the section called “View”
Edit
Edit
Edit
the section called “Edit”
Layer
Layer
Layers
the section called “Layers”
Select
Select
Selections
the section called “Selections”
Filters
Filters
Filters
the section called “Filters”
Zoom tool
Zoom tool
Zoom tool
the section called “Zoom tool”
Glossary
Glossary
Alpha
Alpha
Alpha Channel
Alpha Channel
Antialiasing
Antialiasing
Bézier curve
Bézier curve
Bitmap
Bitmap
BMP
BMP
???TITLE???
BMP
???TITLE???
BMP
Bump mapping
Bump mapping
Channel Mask
Channel Mask
Channel encoding
Channel encoding
Channel
Channel
Clipboard
Clipboard
Color
Color
CMY, CMYK
CMY, CMYK
Subtractive color model
Figure 1141, “Subtractive color model”
Color depth
Color depth
Color model
Color model
Display-referred
Display-referred
Display-referred white
Display-referred white
Display-referred black
Display-referred black
Dithering
Dithering
EXIF
EXIF
Feathering
Feathering
File Format
File Format
Floating Selection
Floating Selection
Floyd-Steinberg Dithering
Floyd-Steinberg Dithering
Gamma
Gamma
Gamut
Gamut
GIF
GIF
GNU
GNU
Grayscale
Grayscale
???TITLE???
Grayscale
Guides
Guides
High Dynamic Range
High Dynamic Range
Histogram
Histogram
HSV
HSV
HTML notation
HTML notation
Image Hose
Image Hose
Incremental, paint mode
Incremental, paint mode
Indexed Colors
Indexed Colors
Interpolation
Interpolation
JPEG
JPEG
L*a*b*
L*a*b*
Layer
Layer
Example image with layers
Figure 1142, “Example image with layers”
Marching Ants
Marching Ants
Masks
Masks
Moiré Effect
Moiré Effect
Parasite
Parasite
Pass-through
Pass-through
Three images
Figure 1143, “Three images”
Path
Path
PDB
PDB
PDF
PDF
Pixel
Pixel
Plugin
Plugin
???TITLE???
Plugin
PNG
PNG
PostScript
PostScript
PSD
PSD
Quantization
Quantization
Rendering Intent
Rendering Intent
RGB
RGB
Additive color model
Figure 1144, “ Additive color model ”
Colorcircle
Figure 1145, “Colorcircle”
Sample Merged
Sample Merged
Saturation
Saturation
Scene-referred
Scene-referred
Supersampling
Supersampling
SVG
SVG
TGA
TGA
TIFF
TIFF
Tile
Tile
URI
URI
URL
URL
Value
Value
XCF
XCF
YCbCr
YCbCr
YUV
YUV
Bibliography
Bibliography
Books
Books
Beginning GIMP: From Novice to Professional
APRESS00
Computer Graphics, Principles and Practice
FOLEY01
Grokking the Gimp
GROKKING
Online resources
Online resources
Adobe RGB (1998) ICC Profile
AdobeRGB
AdvanceMAME project
AdvanceMAME
Astronomy Picture of the Day
APOD
Astronomy Picture of the Day (today)
APOD01
Astronomy Picture of the Day - The Hubble Ultra Deep Field (2004 March 9)
APOD02
Astronomy Picture of the Day - M51: Cosmic Whirlpool (2002 July 10)
APOD03
Astronomy Picture of the Day - Saturn: Lord of the Rings (2002 February 15)
APOD04
Astronomy Picture of the Day - NGC 6369: The Little Ghost Nebula (2002 November 8)
APOD05
Astronomy Picture of the Day - Disorder in Stephan's Quintet (2000 November 13)
APOD06
Astronomy Picture of the Day - The Sharpest View of the Sun (2002 November 14)
APOD07
Argyll Color Management System Home Page
ARGYLLCMS
babl (pixel format translation library)
BABL
Face in blocks
BACH04
Golden Text
BUDIG01
Bugzilla
BUGZILLA
Bugzilla-GIMP
BUGZILLA-GIMP
Cairo
CAIRO
Darwin Ports Package Manager for OS X
DARWINORTS
ECI (European Color Initiative) Profiles
ECI
Unofficial translation of the GNU Free Documentation License
FDL-TRANSLATION
Fink Package Manager for OS X
FINK
Freetype 2 home page
FREETYPE
GEGL (Generic Graphics Library)
GEGL
Image Reconstruction Invariant to Relighting
GEORGIEV01
Ghostscript project page on Sourceforge.net
GHOSTSCRIPT
GIMP - The Gnu Image Manipulation Program
GIMP
GIMP Development
GIMP-DEV
GIMP Plugin Development
GIMP-DEV-PLUGIN
GIMP Documentation project page
GIMP-DOCS
Fonts in GIMP 2.0
GIMP-FONTS
List of new symbols in GIMP 2.6
GIMP-NEWSYM26
Grokking the GIMP
GROKKING01
Grokking the GIMP (9.2 Clickable Image Maps)
GROKKING02
Making shapes in GIMP
GUNTHER04
INTERNATIONAL COLOR CONSORTIUM
ICC
ICC sRGB PROFILES
ICCsRGB
General Public License (GPL)
GPL
Homepage of Geeqie, an image browser
GEEQIE
gThumb - An Image Viewer and Browser for the GNOME Desktop
GTHUMB
Inkscape is an Open Source vector graphics editor
INKSCAPE
Alternative icon theme for GIMP 2.4
JIMMAC01
LPROF ICC Profiler
LPROF
Microsoft Knowledge Base Article 294714
MSKB-294714
Microsoft sRVB Workspace
MsRGB
Open Clipart - Gradients
OPENCLIPART-GRADIENT
The OpenICC project
OPENICC
GIMP-Plugin Exif Browser
PLUGIN-EXIF
GIMP-Plugin Flames
PLUGIN-FLAMES
A plugin to quickly remove “redeye” caused by camera flash
PLUGIN-REDEYE
Resynthesizer is a Gimp plug-in for texture synthesis
PLUGIN-RESYNTH
A plugin providing the Retinex algorithm for GIMP
PLUGIN-RETINEX
A plugin providing rudimentary CMYK support for GIMP
PLUGIN-SEPARATE
Python Programming Language
PYTHON
Scale2x
SCALE2X
Scribus :: Open Source Desktop Publishing
SCRIBUS
Simple Interactive Object Extraction
SIOX
Tutorial: How to draw straight lines
TUT01
Tutorial: GIMPLite Quickies
TUT02
Unicode
UNICODE
Wikipedia
WIKIPEDIA
Wikipedia - Alpha channel
WKPD-ALPHA
Wikipedia - Bézier curve
WKPD-BEZIER
Wikipedia - Bumpmap
WKPD-BUMP
Wikipedia - Burning
WKPD-BURN
Wikipedia - Cellular Automata
WKPD-CA
Wikipedia - CMYK
WKPD-CMYK
Wikipedia - Colorspace
WKPD-COLORSPACE
Wikipedia - Deflate
WKPD-DEFLATE
Wikipedia - Deinterlace
WKPD-DEINTERLACE
Wikipedia - Dithering
WKPD-DITHERING
Wikipedia - Dodging
WKPD-DODGE
Wikipedia - EXIF
WKPD-EXIF
Wikipedia - Fileformat
WKPD-FILEFORMAT
Wikipedia - Gamut
WKPD-GAMUT
Wikipedia - GIF
WKPD-GIF
Wikipedia - GNU
WKPD-GNU
Wikipedia - Histogram
WKPD-HISTOGRAM
Wikipedia - HSV
WKPD-HSV
Wikipedia - ICC Profile
WKPD-ICC
Wikipedia - Interpolation
WKPD-INTERPOL
Wikipedia - JPEG
WKPD-JPEG
Wikipedia - L*a*b
WKPD-LAB
Wikipedia - LZW
WKPD-LZW
Wikipedia - Moire
WKPD-MOIRE
Wikipedia - PackBits
WKPD-PACKBITS
Wikipedia - PNG
WKPD-PNG
Wikipedia - Raster Graphics
WKPD-RASTER
Wikipedia - Rendering Intent
WKPD-RI
Wikipedia - Retina
WKPD-RETINA
Wikipedia - Sepia
WKPD-SEPIA
Wikipedia - Chroma subsampling
WKPD-SUBSAMPLING
Wikipedia - SVG
WKPD-SVG
Wikipedia - URI
WKPD-URI
Wikipedia - URL
WKPD-URL
Wikipedia - Web-colors
WKPD-Web-colors
Wikipedia - YCbCr
WKPD-YCBCR
Wikipedia - YUV
WKPD-YUV
Direct Save Protocol (XDS)
XDS
GIMP History
Appendix A, GIMP History
The Very Beginning
Section 1, “The Very Beginning”
The Early Days of GIMP
Section 2, “The Early Days of GIMP”
The One to Change the World
Section 3, “The One to Change the World”
Version 2.0
Section 4, “Version 2.0”
What's New in GIMP 2.2?
Section 5, “What's New in GIMP 2.2?”
What's New in GIMP 2.4?
Section 6, “What's New in GIMP 2.4?”
New Look of the toolbox in GIMP 2.4
Figure A.1, “New Look of the toolbox in GIMP 2.4”
Scalable brushes in GIMP 2.4
Figure A.2, “Scalable brushes in GIMP 2.4”
Selection tools in GIMP 2.4
Figure A.3, “Selection tools in GIMP 2.4”
Color management in GIMP 2.4
Figure A.4, “Color management in GIMP 2.4”
What's New in GIMP 2.6?
Section 7, “What's New in GIMP 2.6? ”
New Look of the image window in GIMP 2.6
Figure A.5, “New Look of the image window in GIMP 2.6”
Scrolling beyond border
Figure A.6, “Scrolling beyond border”
Polygonal Selection
Figure A.7, “Polygonal Selection”
Brush Dynamics
Figure A.8, “Brush Dynamics”
Text tool bounding box
Figure A.9, “Text tool bounding box”
Rectangle handles
Figure A.10, “Rectangle handles”
Comparing 2.6 display vs 2.4
Figure A.11, “Comparing 2.6 display vs 2.4”
GEGL operation
Figure A.12, “GEGL operation”
What's New in GIMP 2.8?
Section 8, “What's New in GIMP 2.8? ”
The new look of the single window mode
Figure A.13, “The new look of the single window mode”
The new image workflow
Figure A.14, “The new image workflow”
The new image bar
Figure A.15, “The new image bar”
Multi column docks
Figure A.16, “Multi column docks”
Resource tags
Figure A.17, “Resource tags”
Math size entries
Figure A.18, “Math size entries”
The new Lock Pixels option
Figure A.19, “The new Lock Pixels option”
Cage Transform
Figure A.20, “Cage Transform”
Improved text tool
Figure A.21, “Improved text tool”
New layer groups
Figure A.22, “New layer groups”
Rotating brushes
Figure A.23, “Rotating brushes”
GEGL operation
Figure A.24, “GEGL operation”
Progress indicator
Figure A.25, “Progress indicator”
Reporting Bugs and Requesting Enhancements
Appendix B, Reporting Bugs and Requesting Enhancements
Making sure it's a Bug
Section 1, “Making sure it's a Bug”
Find a Specific Bug
the section called “Find a Specific Bug”
Bugzilla: Find a Specific Bug
Figure B.1, “Bugzilla: Find a Specific Bug”
The Advanced Bug Search Form
the section called “The Advanced Bug Search Form”
Bugzilla: Advanced Search
Figure B.2, “Bugzilla: Advanced Search”
Reporting the Bug
Section 2, “Reporting the Bug”
What Happens to a Bug Report after you Submit it
Section 3, “What Happens to a Bug Report after you Submit it”
How to Contribute
Appendix C, How to Contribute
Prerequisites
Section 1, “Prerequisites”
Join our mailing list
Section 1.1, “Join our mailing list”
Create a Local Working Copy of Code
Section 1.2, “Create a Local Working Copy of Code”
Installing your sandbox
Section 1.3, “Installing your sandbox”
The gimp-help folder
Section 1.4, “The gimp-help folder”
Workflow
Section 2, “Workflow”
Writing
Section 2.1, “Writing”
Validating
Section 2.2, “Validating”
Images
Section 2.3, “Images”
Create HTML Files
Section 2.4, “Create HTML Files”
Sending your files
Section 2.5, “Sending your files”
Annexes
Section 3, “Annexes”
Working under Windows
Section 4, “Working under Windows”
Adapting Cygwin to use with GIMP documentation tools
Section 4.1, “Adapting Cygwin to use with GIMP documentation tools”
Tone Mapping and Shadow Recovery Using GIMP’s ‘Colors/Exposure’
Appendix D, Tone Mapping and Shadow Recovery Using GIMP’s ‘Colors/Exposure’
High bit depth GIMP’s floating point “Colors/Exposure”: much better than Curves for lightening the shadows and midtones of an image without blowing the highlights
Section 1, “ High bit depth GIMP’s floating point “Colors/Exposure”: much better than Curves for lightening the shadows and midtones of an image without blowing the highlights ”
A step-by-step example showing how to recover shadow information using high bit depth GIMP’s floating point “Colors/Exposure”
Section 2, “ A step-by-step example showing how to recover shadow information using high bit depth GIMP’s floating point “Colors/Exposure” ”
Use Notes
Section 3, “Use Notes”
???TITLE???
6
Conclusion
Section 4, “Conclusion”
GNU Free Documentation License
Appendix E, GNU Free Documentation License
???TITLE???
Appendix E, GNU Free Documentation License
???TITLE???
???TITLE???
PREAMBLE
Section 1, “PREAMBLE”
APPLICABILITY AND DEFINITIONS
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
VERBATIM COPYING
Section 3, “VERBATIM COPYING”
COPYING IN QUANTITY
Section 4, “COPYING IN QUANTITY”
MODIFICATIONS
Section 5, “MODIFICATIONS”
COMBINING DOCUMENTS
Section 6, “COMBINING DOCUMENTS”
COLLECTIONS OF DOCUMENTS
Section 7, “COLLECTIONS OF DOCUMENTS”
AGGREGATION WITH INDEPENDENT WORKS
Section 8, “AGGREGATION WITH INDEPENDENT WORKS”
TRANSLATION
Section 9, “TRANSLATION”
TERMINATION
Section 10, “TERMINATION”
FUTURE REVISIONS OF THIS LICENSE
Section 11, “FUTURE REVISIONS OF THIS LICENSE”
ADDENDUM: How to use this License for your documents
Section 12, “ADDENDUM: How to use this License for your documents”
???TITLE???
???TITLE???
???TITLE???
???TITLE???
Eeek! There is Missing Help
Appendix F, Eeek! There is Missing Help
???TITLE???
???
Index
Index